2001-03-12  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Experimental/HTML/Menu.php:
    - extended "prevnext" mode to show the previous, up and next item (up is new)

2001-03-12  Zeev Suraski  <zeev@zend.com>

    * configure.in
      main/php_version.h: Start 4.0.5 release process...

2001-03-12  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Experimental/HTML/Menu.php: - removed a typo
    - added the Isomenu feature "use which fits best" for the search of the selected item

    * pear/Experimental/HTML/Menu.php: - made 'tree' the default redering type

    * pear/Experimental/HTML/Menu.php:
    - made the URL check independend from $PHP_SELF
    - removed homepage specific code

2001-03-12  Colin Viebrock  <colin@easydns.com>

    * pear/Makefile.in: Forgot to add it here

    * pear/Net/Dig.php: A nice friendly OO interface to dig

2001-03-12  Sean Bright  <elixer@erols.com>

    * ext/mysql/php_mysql.c: Fixed prototype.

2001-03-12  Alexander Feldman  <alex@zend.com>

    * NEWS: Added NEWS.

    * ext/gd/gd.c: A small fix to make the function imageloadfont portable.

2001-03-12  Stig Bakken  <ssb@fast.no>

    * pear/DB/oci8.php: * added "@" in front of all OCI* function calls

2001-03-12  David Guerizec  <david@guerizec.net>

    * ext/midgard/article.c: added NULL-check

2001-03-12  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/array.c: Prevent memory leak

2001-03-12  Stig Bakken  <ssb@fast.no>

    * pear/pear.m4:
    HEADS UP: renamed config header file in "phpize"d extensions to
    "config.h" rather than "php_config.h".

    * pear/DB/common.php: * bugfix (thanks to Alexey Borzov)

2001-03-12  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/array.c: Use hash position with array_flip

2001-03-12  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c: This will have to do until the docs come along.

    * ext/standard/array.c
      ext/standard/basic_functions.c
      ext/standard/php_array.h
      ext/pcre/php_pcre.c:
    - Added array_reduce(), which allows iterative reduction of an array
      to a single value via a callback function. 
    - Added array_reduce(), which allows iterative reduction of an array
      to a single value via a callback function.
    - Fixed usage of zend_is_callable() in PCRE.

    * pear/Console/Getopt.php: Use proper class name.

2001-03-12  Jani Taskinen  <sniper@iki.fi>

    * ext/ldap/config.m4: Cleaning this a little bit.

    * ext/pdf/config.m4: ws fixes. Plus removed unnecessary AC_MSG_ calls.

    * ext/muscat/config.m4: ws fix.

2001-03-11  David Guerizec  <david@guerizec.net>

    * ext/midgard/config.m4
      ext/midgard/config.m4.session: fixed misplaced PHP_SUBST

    * ext/midgard/attachment.c
      ext/midgard/config.m4
      ext/midgard/config.m4.session:
    added PHP_SUBST(MIDGARD_SHARED_LIB) to dynamically link against libmidgard in config.m4
    removed debug info in attachments

2001-03-11  Jon Parise  <jon@csh.rit.edu>

    * pear/DB.php: Revised version of the parseDSN function.

    Submitted by: "Tomas V.V.Cox" <cox@idecnet.com>

2001-03-11  David Guerizec  <david@guerizec.net>

    * ext/midgard/attachment.c: added missing conversion.

    * ext/midgard/sitegroup.c: Added missing parameter.

2001-03-11  Alexander Feldman  <alex@zend.com>

    * NEWS
      ext/standard/config.m4
      ext/standard/file.c:
    Fixed a compatibility problem is some file functions (fgets, fputs, fread,
    fwrite). The ANSI standard says that if a file is opened in read/write
    mode, fseek() should be called before switching from reading to writing
    and vice versa.

2001-03-11  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/db_error.phpt
      pear/DB/tests/db_error2.phpt: * new line numbers

2001-03-11  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Output.php: Updated example.

2001-03-11  Jani Taskinen  <sniper@iki.fi>

    * ext/sybase_ct/php_sybase_ct.c: Added missing alias. PR: #9550

    * ext/standard/basic_functions.c
      ext/standard/dns.c
      ext/standard/dns.h
      main/config.w32.h: HAVE_BINDLIB --> HAVE_LIBBIND

    * configure.in:
    Check for inet_aton only if libbind is not found (or inet_aton is not in
    libbind). Fixes bug: #8814

    * ext/curl/config.m4:
    If AC_CHECK_LIB fails, assume that --with-openssl is needed

2001-03-10  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Send pointless HTML, if nothing else happens to avoid timeouts.

    * ext/ircg/ircg.c:
    Increment the pointer and evaluate the next character after
    recognizing a modifier.

    * ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re:
    Disable the speed-up role for now.  Needs to be improved.

    * ext/ircg/ircg.c:
    Add 1 modifier which causes a JS-encoded string to be inserted

2001-03-10  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/attachment.c
      ext/midgard/element.c
      ext/midgard/event.c
      ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/image.c
      ext/midgard/member.c
      ext/midgard/mgd_internal.h
      ext/midgard/midgard.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/pagelink.c
      ext/midgard/php_midgard.h
      ext/midgard/preferences.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c: Fetch sitegroup field when listing objects

2001-03-10  Jani Taskinen  <sniper@iki.fi>

    * ext/mysql/config.m4:
    This should fix the problems with not including -lz.

2001-03-10  Stig Bakken  <ssb@fast.no>

    * pear/PEAR.php.in: * only register the destructor if it exists

2001-03-10  Jon Parise  <jon@csh.rit.edu>

    * pear/DB/pgsql.php:
    Make the #options, $tty, and $port parameters optional.

2001-03-10  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/pdf/pdf.c: just reversed a previous patch.

    * ext/pdf/pdf.c
      ext/iconv/iconv.c:
    initialized some strings in global variable structure.

2001-03-09  Frank M. Kromann  <frank@frontbase.com>

    * ext/odbc/php_odbc.c
      ext/odbc/php_odbc.h:
    Adding a new function odbc_next_result() allowing the query to return more than one result.
    This can be done with a stored procedure or by sending more than one select to the server.

    * ext/mssql/php_mssql.c
      ext/mssql/php_mssql.h:
    Adding a new function mssql_next_result() allowing the query to return more than one result.
    This can be done with a stored procedure or by sending more than one select to the server.

2001-03-09  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/basic_functions.c:
    - Fixed argument checking for call_user_func* functions and allowed
      specifying array($obj, 'method') syntax for call_user_func_array. 

2001-03-09  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Add a format identifier for escaping %m, so that it can be safely used
    as a parameter for Javascript.

2001-03-09  David Guerizec  <david@guerizec.net>

    * ext/midgard/article.c: still a typo

    * ext/midgard/article.c: Fixed typo.

2001-03-09  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Experimental/HTML/Menu.php
      pear/Experimental/README:
    Added a directory Experimental/ as no one said "no" on the PEAR list...
     - added a PHPlib menu2.inc rewrite
     - added a README for the directory with a policy for Experimental/

2001-03-08  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/config.m4: s/--with-ircg/--with-ircg-config/

    * ext/ircg/config.m4: Refine complain message

2001-03-08  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Error.php: This is 100% pure Ulf :-)

    * pear/Cache/Error.php: I think we need to load PEAR.php here.

2001-03-08  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Cache.php
      pear/Cache/Container.php: Formatting and minor inline doc changes.

    * pear/Cache/Container/db.php
      pear/Cache/Container/file.php
      pear/Cache/Container/phplib.php
      pear/Cache.php
      pear/Cache/Container.php
      pear/Cache/Error.php: Added a basic Cache_Error class.

2001-03-08  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re: Fix underline handling

    * ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re:
    Add handling for underline/bold control sequences

2001-03-08  Stanislav Malyshev  <stas@zend.com>

    * ext/recode/recode.c:
    Better use buffer_to_buffer, since zval is really buffer, not string (it can
    contain \0's and not end in \0).

2001-03-08  Christian Stocker  <chregu@nomad.ch>

    * pear/Cache/Container/db.php
      pear/Cache/Container/file.php
      pear/Cache/Container/phplib.php
      pear/Cache/Container.php
      pear/Cache/Output.php:
    Introduced getExpiresAbsolute($expire) function, which translates
    relative/human readable/unixtime expire-times in unixtime-format.

2001-03-08  Zeev Suraski  <zeev@zend.com>

    * win32/README.txt: *** empty log message ***

2001-03-08  David Guerizec  <david@guerizec.net>

    * ext/midgard/config.m4:
    Midgard experimental functions support was not displayed correctly in ./configure

    * ext/midgard/README.session: Forgot to talk about the session table

2001-03-08  Zeev Suraski  <zeev@zend.com>

    * win32/README.txt: Point people to the Windows mailing list...

2001-03-08  David Guerizec  <david@guerizec.net>

    * ext/midgard/README.session: Corrected the README.session

    * ext/midgard/README.session
      ext/midgard/config.m4.session
      ext/midgard/session.modules.c: More on session installation.

    * ext/midgard/article.c
      ext/midgard/mgd_session.h
      ext/midgard/session.c
      ext/midgard/session.sql: Session management (experimental code)

2001-03-07  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c
      ext/ircg/php_ircg.h: Add simplistic ircg_channel_mode() function

    * ext/ircg/ircg.c: D'oh. Check IRCG_API_VERSION after including if_irc.h.

    * ext/ircg/README.txt: Remove some dated information.

    * ext/ircg/ircg.c: Add default message for channel modes

    * ext/ircg/ircg.c: Move binary compat check to the module init function;

    Add initial support for channel modes.

    * ext/ircg/ircg.c:
    Safety check for now, this can later be used to add real binary
    compatibility by increasing the size of php_irconn_t appropiately.

    * ext/ircg/ircg.c:
    There are some subtle changes which are not recognized by the compiler,
    so bark, if someone tries to build against anything older than IRCG 2.0b1.

2001-03-07  Daniel Beulshausen  <daniel@php4win.de>

    * ext/zlib/zlib.c: add missing globals fetches

2001-03-07  Frank M. Kromann  <frank@frontbase.com>

    * main/main.c: Removing a compiler warning

2001-03-07  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: That came from php-gtk.

2001-03-07  Jani Taskinen  <sniper@iki.fi>

    * sapi/cgi/cgi_main.c: Fixed the help for other options too.

2001-03-07  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c:
    Added support for Zeus SSL client certificate information.
    Added SERVER_SIGNATURE to the environment.

    Submitted by: daniel@zeus.com

2001-03-07  Zeev Suraski  <zeev@zend.com>

    * php.ini-dist
      php.ini-optimized
      NEWS: Update .ini's and NEWS

2001-03-06  Zeev Suraski  <zeev@zend.com>

    * ext/zlib/php_zlib.h
      ext/zlib/zlib.c: Implement internal output compression0:wq

    * ext/standard/output.c: Fix freeing of buffers

    * ext/standard/output.c: Fixes to internal output buffering

2001-03-06  David Guerizec  <david@guerizec.net>

    * ext/midgard/mgd_internal.h
      ext/midgard/midgard.c: added ability to break tree walking

2001-03-06  Sascha Schumann  <sascha@schumann.cx>

    * build/build2.mk
      configure.in:
    Replace AM_PROG_LEX with a separated call to AC_PROG_LEX and AC_DECL_YYTEXT.
    The latter is only called, if lex was found, so that PHP configures now
    on setups without (f)lex.

2001-03-06  Zeev Suraski  <zeev@zend.com>

    * ext/standard/output.c
      ext/standard/php_output.h: More internal output buffering fixes

    * ext/standard/output.c
      ext/standard/php_output.h: Fix internal output buffering

    * ext/standard/output.c
      ext/standard/php_output.h:
    Initial work on internal output handlers - should be much quicker

2001-03-06  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache.php
      pear/Cache/Container.php
      pear/Cache/Container/db.php
      pear/Cache/Container/file.php
      pear/Cache/Container/phplib.php
      pear/Cache/Graphics.php
      pear/Cache/Output.php: Whitespace only.

2001-03-06  Zeev Suraski  <zeev@zend.com>

    * sapi/apache/mod_php4.c: Avoid using ret uninitialized

2001-03-06  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c:
    Thread hashtable was being initialized with a size of 1! Changed to 128 as
    a more sensible number.

2001-03-06  Zeev Suraski  <zeev@zend.com>

    * sapi/apache/mod_php4.c:
    Avoid writing to error_log in case of aborted connections.

2001-03-06  Christian Stocker  <chregu@nomad.ch>

    * pear/Cache/Container/file.php:
    deleteDir deletes now the created "group"-Directories as well.
    Hope it works on windows as well...

2001-03-06  Stanislav Malyshev  <stas@zend.com>

    * main/php_ini.c: Don't insert empty path if PHPRC is empty

2001-03-06  Christian Stocker  <chregu@nomad.ch>

    * pear/Cache/Container.php
      pear/Cache/Container/db.php
      pear/Cache/Container/phplib.php:
    replaced db->quoteString with addslashes

    adjusted encoding_mode = "slash" that it doesn't quote slashes, the
    save() function in phplib/db-container is now in charge for that.

2001-03-06  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/article.c
      ext/midgard/element.c
      ext/midgard/event.c
      ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/preferences.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c: Object integrity checks cleanup

    * ext/midgard/sitegroup.c: Bug #123

2001-03-06  Sean Bright  <elixer@erols.com>

    * ext/standard/file.c: Typo.

    * ext/standard/file.c:
    get_meta_tags now allows attributes that are not quoted as well as those
    that are.  It follows the HTML 4.01 specification for attribute values
    outlined here -> http://www.w3.org/TR/html4/intro/sgmltut.html#h-3.2.2

2001-03-05  Rainer Schaaf  <rjs@pdflib.com>

    * ext/pdf/pdf.c: fixed bug in PDF_getbuffer (happend only on Windows)
    When using PDFlib V4.0 the pdf_set(grey/rgbcolor) functions are replaced
    by the PDFlib V4.0 function pdf_setcolor

2001-03-05  Jani Taskinen  <sniper@iki.fi>

    * sapi/cgi/cgi_main.c: Fix help text for -f

    * sapi/cgi/cgi_main.c:
    Can't output any error messages if there isn't any function initialized
    to do it..

2001-03-05  Sean Bright  <elixer@erols.com>

    * ext/standard/file.c:
    get_meta_tags now handles single quoted attributes as well as those that
    are double quoted.

2001-03-04  Zeev Suraski  <zeev@zend.com>

    * ext/standard/info.c:
    I don't know German, but I imagine that was the problem :)

2001-03-04  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/oop.c: Fetch sitegroup field if available

2001-03-04  Zeev Suraski  <zeev@zend.com>

    * ext/standard/info.c: Fix phpinfo() bug that crept in

    * ext/standard/output.c:
    Improve memory consumption on chunked output buffering

    * ext/zlib/php_zlib.h
      ext/zlib/zlib.c
      NEWS: Implemented chunked output buffering support - it's quite cool!

2001-03-04  Martin Jansen  <mail@martin-jansen.de>

    * pear/Cache.php: fixed typo

2001-03-04  Frank M. Kromann  <frank@frontbase.com>

    * ext/standard/info.c:
    Changed code layout to remove PHP warning when running php as a CGI.

2001-03-04  Zeev Suraski  <zeev@zend.com>

    * ext/standard/output.c
      ext/standard/php_output.h
      main/main.c: Fix non-thread safe mode

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h: this function will never return true...

    * ext/sablot/sablot.c
      ext/standard/output.c
      ext/standard/php_output.h:
    Improve chunked output buffering - the output handler now knows at which stage it is

    * sapi/cgi/cgi_main.c: whitespace fix

2001-03-03  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/RFC822.php: documentation/whitespace

    * pear/Mail/RFC822.php:
    Add a validate parameter that allows you to turn off validation of atoms.
    This lets you pass in an address list containing non-mime-encoded addresses,
    for example, and get back a correctly split-up list that you can then encode.

2001-03-03  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg_scanner.re
      ext/ircg/ircg.c:
    Finally fix the handler API to always pass smart_str's to the handlers.

    format_msg now takes smart_str's only as parameters.

    This easily saves a couple of million strlen's for one million
    messages.

2001-03-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Cache.php: The main file with new features.
      - added support for cache dataset groups
      - added extSave() - see my next PEAR list posting
      - added getUserdata()

    * pear/Cache/Output.php: Made Output use the new features.

    * pear/Cache/Graphics.php: Renamed the class to follow PEAR's guides.

    * pear/Cache/Function.php:
    Changed the order of the inline module comment and the copyright stuff.

     Ok, I know this will lead to some discussion. But please let me change
     it so that PHPDoc works with it. Future version of PHPDoc will be able to
     handle the other order but this version... I'll redo my changed as well as
     soon as there is a new PHPDoc version.

    * pear/Cache/Container.php: PR:
      What does PR mean - Public Relations? Anyway: new cache structure/features
        - allowed to group cache datasets in a group
        - allowed to add userdata [CHAR(255)] to a dataset in the cache

      More explanations will follow on the PEAR list.

    Submitted by:
      Ulf Wendel <uw@php.net>

    Reviewed by:
      myself ;-)
      works on my development system and my homepage

    * pear/Cache/Container/shm.php: Updates for the new structure/featues

    * pear/Cache/Container/phplib.php:
    Changes for the new structure / features

    * pear/Cache/Container/file.php:
    Changes for the new cache structure / features.
     - added delDirectory() as a helper function for flush
     - new file format

    * pear/Cache/Container/db.php: Changes for the new cache structure
     - extended inline docs
     - extended calls to the still not existant call CacheError
     - several changed for the new cache structure

    WARNING: the code is untested, I don't have PEAR installed - Windows user.

2001-03-03  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re:
    4-fold increase of ircg_mirc_color() with a single new rule.

    * ext/ircg/ircg.c: Improve the speed of format_msg() (5 fold increase).

    We are still spending too much time in ircg_mirc_color().  According
    to gprof on FreeBSD, it is something like 20% for encoding short
    plain text messages.

2001-03-03  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * php.ini-dist:
    Jan says: 'Do not load php_gtk.dll through php.ini, only use dl(), otherwise it crashes (atleast on Win32).' Me thinks: 'There should be no crash, but a warning. Anyways, remove it from php.ini-dist, so others do not run into this... :-)

2001-03-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Cache/Container/phplib.php:
    bugfix: idExists(), inline Doc changes: class doc

2001-03-03  Sylvain PAGES  <spages@free.fr>

    * ext/cybermut/cybermut.xml: - modified line 161 to be xml compliant

2001-03-03  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * php.ini-dist: Whitespace only.

    * php.ini-dist:
    Whitespace Fixes. Added another Win32 extension DLL. Removed configuration for non-existent debugger.

    * php.ini-dist: Added some more Win32 extension DLLs.

    * pear/Benchmark/Iterate.php:
    Use call_user_func_array() in order to profile functions that take arguments.

    * pear/Benchmark/Timer.php: Whitespace only.

2001-03-03  Sterling Hughes  <sterling@designmultimedia.com>

    * ext/curl/curl.c: add a warn not available for curl_getinfo().
    remove unneccessary error checking.

2001-03-02  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Make use of the "zero-copy" write queue feature.

2001-03-02  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/basic_functions.c:
    - Forced call_user_method() and call_user_method_array() to take the
      object argument by reference. 
    * Forced call_user_method() and call_user_method_array() to take the
      object argument by reference.
    * Also cleaned up the protos for those functions and brought
      call_user_method_array() into functional equivalence with
      call_user_method().

2001-03-02  Martin Jansen  <mail@martin-jansen.de>

    * pear/Benchmark/Iterate.php: - added check for existing bcmath extensions
      to Benchmark/Iterate.php

    - did some cosmetic changes to Benchmark/Iterate.php

2001-03-02  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c: Combine all HTTP headers into a single writev

2001-03-02  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Graphics.php
      pear/Cache/Output.php: Fixed small glitches.

2001-03-02  Andi Gutmans  <andi@zend.com>

    * sapi/nsapi/nsapi.c: - Commit NSAPI patches.

2001-03-02  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Cache/Output.php:
    Sorry, removed my local settings. Will take some sleep before commiting again!

    * pear/Cache/Output.php:
    ... must forgot this commit - endGet(), $cache_id => $output_id

     - added endGet() which returns the output buffering content
     - changed $cache_id to $output_id seems to be a better name as the class
       is named Cache_Output

2001-03-02  Christian Stocker  <chregu@nomad.ch>

    * pear/Cache/Output.php:
    Wrong order of Parameters in $this->container->save();
    and $this->cache_id instead of $this->id on the same line

2001-03-02  Zeev Suraski  <zeev@zend.com>

    * ext/cybermut/.cvsignore
      ext/cybermut/Makefile.in
      ext/cybermut/config.m4
      ext/cybermut/cybermut.c
      ext/cybermut/cybermut.xml
      ext/cybermut/libs.mk
      ext/cybermut/php_cybermut.h
      ext/cybermut/tests/001.phpt:
    Add CyberMut extension from Sylvain PAGES <spages@free.fr>

2001-03-02  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/Cache/Container.php:
    - changed $max_age to an absolute timestamp value

    * pear/Cache/Container/db.php
      pear/Cache/Container/phplib.php:
    Added a warning on the usage of REPLACE INTO to the inline docs.

    * pear/Cache/Container/phplib.php:
    Fixed: MySQL data, expire, garbageCollection

    - forgot to mention for db.php and this file
      changed suggested SQL column type for content (data)
      from text to mediumtext

    * pear/Cache/Container/file.php: Fixed expire date bug.

    * pear/Cache/Container/db.php:
    Bugfixes: expire, encode()/decode(), MySQL data

     - the expire date should be saved as a timestamp with
       ($expire) ?  $expire + time() : 0

     - always use encode(), decode() for data storage

     - the fieldname "data" is a reserved word in old MySQL versions,
       changed to "content"

2001-03-02  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/README
      ext/mnogosearch/test.php:
    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    UDM_ISPELL_TYPE_SERVER parameter in udm_load_ispell_data has been added
    to work with ispell server. This feature is available starting from
    mnoGoSearch 3.1.12 or later. Fixed Udm_Free_Ispell_Data(). Example updated.

2001-03-02  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Output.php: Fixed typo.

    * pear/Cache.php: Whitespace only.

2001-03-02  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c: - Fixed binding of ROWIDs in OCI8. 

2001-03-02  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Function.php: Fixed example.

    * pear/Cache/Function.php: Added PHPDoc doccomments.

    * pear/Cache/Function.php: Make it work, hopefully.

    * pear/Cache/Function.php: Fixed typo.

    * pear/Cache/Function.php
      pear/Makefile.in: Added experimental version of Cache_Function module.

2001-03-02  Jani Taskinen  <sniper@iki.fi>

    * ext/standard/html.c: ws fix

2001-03-01  Rainer Schaaf  <rjs@pdflib.com>

    * ext/pdf/php_pdf.h
      ext/pdf/pdf.c: - integrated new functions vor PDFlib V4.0 (beta1)
    - all functions accepting strings now support binary strings, by calling
      the appropriate PDF*2() functions.

2001-03-01  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Container/db.php: Added Chuck as author.

    * NEWS: Added note about PEAR/Cache.

    * pear/Cache/Graphics.php
      pear/Cache/Output.php: I have nothing to do with this code :-)

    * pear/Cache/Graphics.php
      pear/Cache/Output.php
      pear/Makefile.in: Added Graphics and Output Cache.

2001-03-01  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Cache/Container/db.php: almost working version.

2001-03-01  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Container/file.php
      pear/Cache/Container/phplib.php
      pear/Cache/Container/shm.php
      pear/Cache/Container.php: Added flushPreload() method.

2001-03-01  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Makefile.in: missing a backslash

    * pear/Makefile.in: update the makefile for the new Cache classes.

    * pear/Cache/Cache.php
      pear/Cache/Container.php
      pear/Cache/Container/cache_container.php
      pear/Cache/Container/cache_container_file.php
      pear/Cache/Container/cache_container_phplib.php
      pear/Cache/Container/cache_container_shm.php
      pear/Cache/Container/file.php
      pear/Cache/Container/phplib.php
      pear/Cache/Container/shm.php
      pear/Cache.php:
    use standard naming/capitalization, and do a bit of error checking when
    instantiating the storage classfile.

2001-03-01  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Container/cache_container_shm.php:
    Just hired Björn Schotte to foster the Shared Memory Cache Container implementation. He'll start working on it right away.

    * pear/Cache/Container/cache_container_phplib.php:
    Added Cache Container class for PHPLIB's database abstraction layer DB_Sql. I can't test this right now, but Ulf told me earlier today that it works fine.

    * pear/Cache/Cache.php
      pear/Cache/Container/cache_container.php
      pear/Cache/Container/cache_container_file.php
      pear/Cache/Function_Cache.php:
    Removed my old Function_Cache class implementation. Initial commit of the multi-purpose Cache System Ulf Wendel and I worked on the last couple of days. In this first phase I commit the Cache base class, the Cache Container Base class and the File-based Cache Container. During the next couple of hours I hope to finish the Cache Container classes for caching with PEAR/DB, PHPLIB/DB_Sql and Native MySQL Heap Table support. I also have working versions of classes extending Cache, namely Function_Cache, Graphics_Cache and Output_Cache. Bare with me, tomorrow at the latest PEAR/Cache will be a extensive and efficient means for general caching purposes, besides specialized caching for graphics.

2001-03-01  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    UDM_PARAM_CROSS_WORDS mnoGoSearch extension session parameter has been
    added to use crosswords available since version 3.1.11 of mnogosearch.
    Example updated.

    * ext/mnogosearch/test.php
      NEWS:
    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h
      ext/mnogosearch/test.php: Udm_Api_Version function has been added.
    Example updated.

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h
      ext/mnogosearch/test.php:
    Udm_Get_Doc_Count function from mnoGoSearch 3.1.11 has been added.
    mnoGoSearch library version printing in phpinfo() has been added.
    Example updated.

    * ext/mnogosearch/php_mnogo.c:
    Added UdmFreeEnv call to mnoGoSearch link list destructor to
    free memory allocated for environment.

2001-03-01  Chuck Hagenbuch  <chuck@horde.org>

    * ext/imap/config.m4
      ext/imap/php_imap.c:
    If php is compiled --with-imap-ssl, link in the SSL authenticator from
    c-client so that we can use php to make ssl imap connections.

2001-02-28  David Guerizec  <david@guerizec.net>

    * ext/midgard/attachment.c: function reference: attachments

2001-02-28  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/README
      sapi/apache2filter/sapi_apache2.c:
    httpd-2.0 cvs seems to be busted.  I'm getting very strange backtraces
    and the header filter still seems to be broken.  Will try later.

    * sapi/apache2filter/apache_config.c
      sapi/apache2filter/sapi_apache2.c:
    Now it actually loads, but it segfaults upon a request.

    * sapi/apache2filter/README
      sapi/apache2filter/apache_config.c
      sapi/apache2filter/config.m4
      sapi/apache2filter/php_apache.h
      sapi/apache2filter/sapi_apache2.c:
    Make the module compile again with the latest httpd-2.0 cvs.

2001-02-28  Dan Kalowsky  <dank@deadmime.org>

    * ext/imap/CREDITS: PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-02-28  David Guerizec  <david@guerizec.net>

    * ext/midgard/midgard.c
      ext/midgard/oop.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/pagelink.c
      ext/midgard/parameter.c
      ext/midgard/person.c
      ext/midgard/preferences.c
      ext/midgard/preparser.c
      ext/midgard/sitegroup.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c
      ext/midgard/article.c
      ext/midgard/attachment.c
      ext/midgard/calendar.c
      ext/midgard/element.c
      ext/midgard/event.c
      ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/image.c
      ext/midgard/mail.c
      ext/midgard/member.c
      ext/midgard/mgd_article.h
      ext/midgard/mgd_attachment.h
      ext/midgard/mgd_calendar.h
      ext/midgard/mgd_element.h
      ext/midgard/mgd_event.h
      ext/midgard/mgd_eventmember.h
      ext/midgard/mgd_file.h
      ext/midgard/mgd_group.h
      ext/midgard/mgd_host.h
      ext/midgard/mgd_image.h
      ext/midgard/mgd_internal.h
      ext/midgard/mgd_mail.h
      ext/midgard/mgd_member.h
      ext/midgard/mgd_oop.h
      ext/midgard/mgd_page.h
      ext/midgard/mgd_pageelement.h
      ext/midgard/mgd_pagelink.h
      ext/midgard/mgd_person.h
      ext/midgard/mgd_preferences.h
      ext/midgard/mgd_preparser.h
      ext/midgard/mgd_sitegroup.h
      ext/midgard/mgd_snippet.h
      ext/midgard/mgd_snippetdir.h
      ext/midgard/mgd_style.h
      ext/midgard/mgd_topic.h: First step towards automatic documentation

2001-02-27  Andi Gutmans  <andi@zend.com>

    * ext/readline/readline.c
      ext/sablot/sablot.c
      ext/session/mod_user.c
      ext/standard/assert.c
      ext/xml/xml.c
      ext/oci8/oci8.c:
    - Pointed out by Andrei. zval_ptr_dtor() should be used instead of the
      zval_del_ref() function which should be nuked.

2001-02-27  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c:
    Added PHP_AUTH_USER, PHP_AUTH_PW and PHP_AUTH_TYPE environment variables
    for Zeus/ISAPI, so basic authenication works.

    Submitted by: daniel@zeus.com

2001-02-27  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * TODO:
    PHP3_TLS_*() macros are no longer used in ext/dav/dav.c, ext/ldap/ldap.c.

2001-02-27  Stanislav Malyshev  <stas@zend.com>

    * TODO: ws fix

2001-02-27  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * TODO:
    Daniel told me he is working on this one, and he is pretty close to finishing the job.

2001-02-27  Stanislav Malyshev  <stas@zend.com>

    * TODO: Add UNC in the "todo" list

2001-02-27  Zeev Suraski  <zeev@zend.com>

    * ext/standard/output.c
      ext/standard/php_output.h: Fix chunked output buffering support

2001-02-26  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c
      ext/ircg/php_ircg.h: Support for the new whois functionality in ircg

    * ext/ircg/config.m4:
    Improve the configure part of ircg a little bit;  complain when ircg-config
    is not found.  That lead to confusion in many cases.

    * ext/standard/basic_functions.c:
    Provide proper function aliases, if the sendmail functions
    don't exist.

    Submitted by: Nadir Amra <amra@us.ibm.com>

2001-02-26  Andi Gutmans  <andi@zend.com>

    * main/internal_functions.c.in
      main/internal_functions_win32.c
      main/php.h
      sapi/cgi/cgi_main.c
      ext/mcrypt/php_mcrypt.h
      ext/mhash/php_mhash.h
      ext/midgard/php_midgard.h
      ext/ovrimos/php_ovrimos.h
      ext/gettext/php_gettext.h
      ext/icap/php_icap.c
      ext/imap/php_imap.h
      ext/mcal/php_mcal.c
      configure.in:
    - Finally rename modules.h to zend_modules.h for consistency (first try
      was 2000-03-11).
    - Remove the first_arg_force_ref[]; and friends extern from php.h as they
      are included via zend_API.h

2001-02-26  Dan Kalowsky  <dank@deadmime.org>

    * ext/imap/php_imap.c:
    Removes two unnecessary REGISTER_MAIN_LONG_CONSTANT's.

2001-02-26  Daniel Beulshausen  <daniel@php4win.de>

    * main/php.h: nuke warnings

2001-02-26  Andi Gutmans  <andi@zend.com>

    * ext/standard/string.c: - Fix whitespace

2001-02-26  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/iconv/iconv.c: ob_iconv_handler changed to use for text data only.

2001-02-26  Dan Kalowsky  <dank@deadmime.org>

    * NEWS: PR:
    Submitted by:
    Reviewed by:
    Obtained from:

    * ext/imap/config.m4
      ext/imap/php_imap.c
      ext/imap/php_imap.h:
    Correctly checks for the proper header files, and excludes the QUOTA functions
    from non-imap2000 systems (unavailable for testing at this time).
    PR:
    Submitted by:
    Reviewed by: Sascha Schumann
    Obtained from:

2001-02-26  James Moore  <James@phpuk.org>

    * ext/standard/string.c:
    Fix for bug #9449 to stop infinate loop in wordwrap.

2001-02-26  David Guerizec  <david@guerizec.net>

    * ext/midgard/snippetdir.c: fixed bug #121

2001-02-26  Andi Gutmans  <andi@zend.com>

    * sapi/thttpd/thttpd.c
      scripts/conv_z_macros
      sapi/nsapi/nsapi.c
      sapi/phttpd/php_phttpd.h
      sapi/phttpd/phttpd.c
      sapi/pi3web/pi3web_sapi.c
      sapi/roxen/roxen.c
      sapi/servlet/formatter.java
      sapi/servlet/servlet.c
      sapi/servlet/servlet.java
      sapi/thttpd/php_thttpd.h
      sapi/caudium/caudium.c
      sapi/cgi/cgi_main.c
      sapi/fhttpd/fhttpd.c
      sapi/isapi/php4isapi.c
      sapi/apache/mod_php4.c
      sapi/apache/mod_php4.h
      sapi/apache/php_apache.c
      sapi/apache/sapi_apache.c
      sapi/apache2filter/apache_config.c
      sapi/apache2filter/php_apache.h
      sapi/apache2filter/php_functions.c
      sapi/apache2filter/sapi_apache2.c
      main/SAPI.h
      main/build-defs.h.in
      main/fopen_wrappers.c
      main/fopen_wrappers.h
      main/internal_functions.c.in
      main/internal_functions_registry.h
      main/internal_functions_win32.c
      main/main.c
      main/network.c
      main/php.h
      main/php_content_types.c
      main/php_globals.h
      main/php_ini.c
      main/php_ini.h
      main/php_logos.c
      main/php_main.h
      main/php_network.h
      main/php_open_temporary_file.c
      main/php_open_temporary_file.h
      main/php_reentrancy.h
      main/php_sprintf.c
      main/php_ticks.c
      main/php_ticks.h
      main/php_variables.c
      main/php_variables.h
      main/reentrancy.c
      main/rfc1867.c
      main/safe_mode.c
      main/snprintf.h
      sapi/aolserver/aolserver.c
      ext/yp/php_yp.h
      ext/yp/yp.c
      ext/zlib/php_zlib.h
      ext/zlib/zlib.c
      ext/zlib/zlib_fopen_wrapper.c
      ext/zziplib/php_zziplib.h
      ext/zziplib/zziplib.c
      main/SAPI.c
      ext/yaz/php_yaz.c
      ext/yaz/php_yaz.h
      ext/sysvshm/php_sysvshm.h
      ext/sysvshm/sysvshm.c
      ext/vpopmail/php_vpopmail.h
      ext/wddx/php_wddx_api.h
      ext/xml/php_xml.h
      ext/xml/xml.c
      ext/swf/swf.c
      ext/sybase/php_sybase_db.c
      ext/sybase/php_sybase_db.h
      ext/sybase_ct/php_sybase_ct.c
      ext/sybase_ct/php_sybase_ct.h
      ext/sysvsem/php_sysvsem.h
      ext/sysvsem/sysvsem.c
      ext/standard/iptc.c
      ext/standard/lcg.c
      ext/standard/levenshtein.c
      ext/standard/link.c
      ext/standard/mail.c
      ext/standard/math.c
      ext/standard/md5.c
      ext/standard/md5.h
      ext/standard/metaphone.c
      ext/standard/microtime.c
      ext/standard/microtime.h
      ext/standard/output.c
      ext/standard/pack.c
      ext/standard/pack.h
      ext/standard/pageinfo.c
      ext/standard/pageinfo.h
      ext/standard/php_array.h
      ext/standard/php_assert.h
      ext/standard/php_browscap.h
      ext/standard/php_crypt.h
      ext/standard/php_dir.h
      ext/standard/php_ext_syslog.h
      ext/standard/php_filestat.h
      ext/standard/php_fopen_wrapper.c
      ext/standard/php_fopen_wrappers.h
      ext/standard/php_image.h
      ext/standard/php_incomplete_class.h
      ext/standard/php_iptc.h
      ext/standard/php_lcg.h
      ext/standard/php_link.h
      ext/standard/php_mail.h
      ext/standard/php_math.h
      ext/standard/php_metaphone.h
      ext/standard/php_output.h
      ext/standard/php_parsedate.h
      ext/standard/php_rand.h
      ext/standard/php_smart_str.h
      ext/standard/php_smart_str_public.h
      ext/standard/php_standard.h
      ext/standard/php_string.h
      ext/standard/php_var.h
      ext/standard/quot_print.c
      ext/standard/quot_print.h
      ext/standard/rand.c
      ext/standard/reg.c
      ext/standard/reg.h
      ext/standard/scanf.c
      ext/standard/scanf.h
      ext/standard/soundex.c
      ext/standard/string.c
      ext/standard/syslog.c
      ext/standard/type.c
      ext/standard/type.h
      ext/standard/uniqid.c
      ext/standard/uniqid.h
      ext/standard/url.c
      ext/standard/url.h
      ext/standard/url_scanner.c
      ext/standard/url_scanner.h
      ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.h
      ext/standard/url_scanner_ex.re
      ext/standard/var.c
      ext/swf/php_swf.h
      ext/standard/crc32.c
      ext/standard/credits.c
      ext/standard/credits.h
      ext/standard/crypt.c
      ext/standard/cyr_convert.c
      ext/standard/cyr_convert.h
      ext/standard/datetime.c
      ext/standard/datetime.h
      ext/standard/dir.c
      ext/standard/dl.c
      ext/standard/dl.h
      ext/standard/dns.c
      ext/standard/dns.h
      ext/standard/exec.c
      ext/standard/exec.h
      ext/standard/file.c
      ext/standard/file.h
      ext/standard/filestat.c
      ext/standard/flock_compat.c
      ext/standard/flock_compat.h
      ext/standard/formatted_print.c
      ext/standard/fsock.c
      ext/standard/fsock.h
      ext/standard/ftp_fopen_wrapper.c
      ext/standard/head.c
      ext/standard/head.h
      ext/standard/html.c
      ext/standard/html.h
      ext/standard/http_fopen_wrapper.c
      ext/standard/image.c
      ext/standard/incomplete_class.c
      ext/standard/info.c
      ext/standard/info.h
      ext/shmop/php_shmop.h
      ext/shmop/shmop.c
      ext/snmp/php_snmp.h
      ext/snmp/snmp.c
      ext/sockets/php_sockets.h
      ext/sockets/sockets.c
      ext/standard/array.c
      ext/standard/assert.c
      ext/standard/base64.c
      ext/standard/base64.h
      ext/standard/basic_functions.c
      ext/standard/basic_functions.h
      ext/standard/browscap.c
      ext/sablot/php_sablot.h
      ext/sablot/sablot.c
      ext/satellite/Makefile.in
      ext/satellite/class.c
      ext/satellite/class.h
      ext/satellite/common.c
      ext/satellite/common.h
      ext/satellite/corba.c
      ext/satellite/corba.h
      ext/satellite/enum.c
      ext/satellite/enum.h
      ext/satellite/findtype.c
      ext/satellite/findtype.h
      ext/satellite/hashtable.c
      ext/satellite/hashtable.h
      ext/satellite/namedvalue_to_zval.c
      ext/satellite/namedvalue_to_zval.h
      ext/satellite/object.c
      ext/satellite/object.h
      ext/satellite/php_orbit.c
      ext/satellite/php_orbit.h
      ext/satellite/struct.c
      ext/satellite/struct.h
      ext/satellite/typecode.c
      ext/satellite/typecode.h
      ext/satellite/typemanager.c
      ext/satellite/typemanager.h
      ext/satellite/zval_to_namedvalue.c
      ext/satellite/zval_to_namedvalue.h
      ext/session/mod_files.c
      ext/session/mod_mm.c
      ext/session/mod_user.c
      ext/session/mod_user.h
      ext/session/session.c
      ext/readline/php_readline.h
      ext/readline/readline.c
      ext/recode/php_recode.h
      ext/printer/php_printer.h
      ext/printer/printer.c
      ext/pspell/php_pspell.h
      ext/pspell/pspell.c
      ext/qtdom/qtdom.c
      ext/qtdom/qtdom.h
      ext/pdf/php_pdf.h
      ext/pfpro/pfpro.c
      ext/pfpro/php_pfpro.h
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h
      ext/ovrimos/ovrimos.c
      ext/pcre/php_pcre.c
      ext/pcre/php_pcre.h
      ext/pdf/pdf.c
      ext/openssl/openssl.c
      ext/openssl/php_openssl.h
      ext/oracle/oracle.c
      ext/oci8/php_oci8.h
      ext/odbc/php_odbc.c
      ext/odbc/php_odbc.h
      ext/odbc/php_velocis.h
      ext/odbc/velocis.c
      ext/notes/php_notes.h
      ext/oci8/oci8.c
      ext/mysql/php_mysql.c
      ext/mysql/php_mysql.h
      ext/notes/php_notes.c
      ext/msql/php_msql.c
      ext/msql/php_msql.h
      ext/mssql/php_mssql.c
      ext/mssql/php_mssql.h
      ext/mcrypt/mcrypt.c
      ext/mhash/mhash.c
      ext/ming/ming.c
      ext/ming/php_ming.h
      ext/java/reflect.java
      ext/ldap/ldap.c
      ext/ldap/php_ldap.h
      ext/mcal/php_mcal.c
      ext/interbase/interbase.c
      ext/interbase/php_interbase.h
      ext/ircg/ircg.c
      ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re
      ext/ircg/php_ircg.h
      ext/java/java.c
      ext/ingres_ii/ii.c
      ext/ingres_ii/ii.h
      ext/ingres_ii/php_ii.h
      ext/iisfunc/iisfunc.cpp
      ext/iisfunc/iisfunc.h
      ext/iisfunc/setup.c
      ext/iisfunc/setup.h
      ext/imap/php_imap.c
      ext/informix/ifx.ec
      ext/hyperwave/hg_comm.c
      ext/hyperwave/hg_comm.h
      ext/hyperwave/hw.c
      ext/hyperwave/hw_error.h
      ext/hyperwave/php_hyperwave.h
      ext/iconv/iconv.c
      ext/iconv/php_iconv.h
      ext/gd/gd.c
      ext/gd/gdt1.c
      ext/gd/gdt1.h
      ext/gd/php_gd.h
      ext/gettext/gettext.c
      ext/gettext/php_gettext.h
      ext/gmp/gmp.c
      ext/gmp/php_gmp.h
      ext/filepro/filepro.c
      ext/filepro/php_filepro.h
      ext/fribidi/fribidi.c
      ext/fribidi/php_fribidi.h
      ext/domxml/php_domxml.h
      ext/dotnet/dotnet.cpp
      ext/exif/exif.c
      ext/exif/php_exif.h
      ext/fdf/fdf.c
      ext/fdf/php_fdf.h
      ext/db/db.c
      ext/db/php_db.h
      ext/dbase/dbase.c
      ext/dbase/php_dbase.h
      ext/domxml/php_domxml.c
      ext/curl/curl.c
      ext/curl/php_curl.h
      ext/com/COM.c
      ext/com/typedef_VARIANT.c
      ext/ctype/ctype.c
      ext/ctype/php_ctype.h
      ext/bz2/bz2.c
      ext/bz2/php_bz2.h
      ext/calendar/cal_unix.c
      ext/calendar/calendar.c
      ext/calendar/easter.c
      ext/ccvs/ccvs.c
      ext/ccvs/ccvs.h
      dynlib.m4
      ext/aspell/aspell.c
      ext/aspell/php_aspell.h
      ext/bcmath/bcmath.c
      ext/bcmath/php_bcmath.h
      run-tests.php: - Fix copyright notices with 2001

2001-02-25  David Guerizec  <david@guerizec.net>

    * ext/midgard/midgard.c:
    force user to pass $xparam by reference (from mgd_walk_xxx_tree() functions)

2001-02-25  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Provide improved means for mass joins

2001-02-25  David Guerizec  <david@guerizec.net>

    * ext/midgard/article.c
      ext/midgard/midgard.c
      ext/midgard/page.c
      ext/midgard/topic.c: optimized the mgd_is_in_xxx_tree() functions

2001-02-25  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c
      ext/ircg/php_ircg.h: Add function for kick and topic

2001-02-25  Dan Kalowsky  <dank@deadmime.org>

    * ext/imap/config.m4
      ext/imap/php_imap.c
      ext/imap/php_imap.h:
    Updating the IMAP client to include quota support via the imap c-client2000 libraries.
    Removes the SA_QUOTA and SA_QUOTA_ALL defines
    Cleans up the imap_status() function to remove notion of quotas in a status message.

    Changes the config.m4 to support the client.h include
    Changed the directory search order for the include files as well.

    (PHP imap_get_quota) Added
    (PHP imap_set_quota) Added


    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-02-24  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/datetime.c:
    Don't assume that tzname exists, if tm_zone does not exist.

    PR: #9380

    * main/network.c:
    Declare inet_aton properly, if the system lacks support for it.

    PR: #9382

2001-02-24  David Guerizec  <david@guerizec.net>

    * ext/midgard/mgd_internal.h
      ext/midgard/midgard.c
      ext/midgard/oop.c
      ext/midgard/php_midgard.h: fixed the error reporting.
    added custom log to the lib

2001-02-24  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/basic_functions.c
      ext/standard/php_ext_syslog.h
      ext/standard/syslog.c
      main/php_syslog.h: Actually compile on systems without syslog.

    PR: #9412

    * sapi/cgi/cgi_main.c:
    php_register_command_line_global_vars only needs file scope.

    * sapi/cgi/cgi_main.c
      sapi/servlet/servlet.c:
    Neither the CGI nor the Servlet SAPI module call syslog, so remove
    references to the syslog include files.

    * ext/ircg/ircg.c:
    Replace the sixth and seventh parameter of ircg_pconnect()
    with a connection-detail array.  Currently, you can set
    realname, password, ident.  Those information are used
    during the connection setup process.

2001-02-24  David Guerizec  <david@guerizec.net>

    * ext/midgard/page.c: fixed a possible memory leak

    * ext/midgard/article.c
      ext/midgard/calendar.c
      ext/midgard/event.c
      ext/midgard/person.c
      ext/midgard/topic.c: fixed some possible memory leaks.

2001-02-24  Sascha Schumann  <sascha@schumann.cx>

    * sapi/aolserver/README:
    Change the default to assumption that people don't use AOLserver 3.0 anymore.

    * ext/ircg/ircg.c: Add the ability to set a connection password

2001-02-24  David Guerizec  <david@guerizec.net>

    * ext/midgard/mgd_preparser.h: Fixed some potential and real segfaults.

    * ext/midgard/preparser-parser.y
      ext/midgard/preparser-scanner.l:
    passing include()'ed files thru the preparser.

2001-02-23  David Guerizec  <david@guerizec.net>

    * ext/midgard/config.m4
      ext/midgard/preparser.c:
    - workaround for the function mgd_eval() to return a value like the PHP eval().
    - changed --with-mgd-experimental to --enable-mgd-experimental

2001-02-23  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * win32/php4dll.dsp
      win32/php4dllts.dsp: That should do the trick.

2001-02-23  Sascha Schumann  <sascha@schumann.cx>

    * main/main.c
      main/php.h
      sapi/cgi/cgi_main.c
      sapi/servlet/servlet.c
      ext/standard/dir.c
      ext/standard/file.c
      ext/standard/filestat.c
      ext/standard/image.c
      ext/zlib/zlib.c
      ext/zlib/zlib_fopen_wrapper.c
      main/Makefile.in
      ext/dbase/dbase.c
      ext/filepro/filepro.c
      ext/hyperwave/hw.c
      ext/db/db.c: Finish fopen-wrappers rename.

    * ext/fribidi/config.m4: Fix another instance of the == bug.

    * ext/midgard/config.m4:
    Note that the equality operator in the Bourne shell is a single =,
    unlike C/C++/PHP.

2001-02-23  David Guerizec  <david@guerizec.net>

    * ext/midgard/config.m4:
    Added --with-mgd-experimental option to compile experimental stuff (off by defeult)

2001-02-23  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/test.php: mnogosearch example updated.

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h:
    Added ispell loading routines and date search limits in mnogosearch module.

2001-02-23  David Guerizec  <david@guerizec.net>

    * ext/midgard/oop.c: another typo.

    * ext/midgard/midgard.c: removed unneeded header inclusion.

    * ext/midgard/oop.c: typo fixed.

    * ext/midgard/midgard.c:
    Removed constants registration, added a conversion table $midgard->types[$objtype]
    try var_dump($midgard) for more details

2001-02-23  André Langhorst  <A.Langhorst@itbnet.de>

    * ext/standard/exec.c:
    fix stas' last commit, added additional ifdefs PHP_SIGCHILD to fix win32 build

2001-02-23  David Guerizec  <david@guerizec.net>

    * ext/midgard/preparser-scanner.l:
    misbehavior of the preparser that translated (eg) myeval() into mymgd_eval()

2001-02-22  David Guerizec  <david@guerizec.net>

    * ext/midgard/midgard.c: Registering Midgard constants.

2001-02-22  Hartmut Holzgraefe  <hartmut@six.de>

    * tests/strings/003.phpt: removed LC_* warnin

2001-02-22  David Guerizec  <david@guerizec.net>

    * ext/midgard/article.c
      ext/midgard/calendar.c
      ext/midgard/event.c
      ext/midgard/group.c
      ext/midgard/mgd_group.h
      ext/midgard/mgd_internal.h
      ext/midgard/midgard.c
      ext/midgard/page.c
      ext/midgard/person.c
      ext/midgard/topic.c: Added mgd_walk_group_tree() function

2001-02-22  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/SMTP.php
      pear/Mail/Sendmail.php
      pear/Mail/sendmail.php
      pear/Mail/smtp.php
      pear/Mail.php
      pear/Makefile.in:
    factory-generated classes have lowercase subclass names by our (newly
    revised) standards.

2001-02-22  David Guerizec  <david@guerizec.net>

    * ext/midgard/event.c
      ext/midgard/mgd_event.h
      ext/midgard/mgd_internal.h
      ext/midgard/midgard.c:
    Added custom sort on mgd_walk_xxx_tree() function.

2001-02-22  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/README: README for mnoGoSearch module updated.

2001-02-22  Andi Gutmans  <andi@zend.com>

    * main/main.c: - Fix indentation and remove comment.

2001-02-22  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    Added Ispell routines to work with Ispell data loaded into sql tables.
    Example updated.

2001-02-22  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/string.c: Safer bin2hex

    * ext/standard/exec.c: Fix #8992, patch by yasushi_takahashi@tsuken.co.jp

2001-02-22  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hw.c:
    - took out the HwSLS_FETCH to make it compile again on Unix
      Is this really neccesary at this point?

2001-02-22  Jon Parise  <jon@csh.rit.edu>

    * ext/standard/crypt.c:
    The php_rand() and php_srand() functions added in the previous commit
    require the inclusion of php_rand.h.

2001-02-22  James Moore  <James@phpuk.org>

    * ext/standard/array.c
      ext/standard/crypt.c
      ext/standard/php_rand.h
      ext/standard/rand.c:
    Adding php_rand() and php_srand(seed) as a wrapper around random, lrand48 and rand.

2001-02-21  Shane Caraveo  <shane@php.net>

    * ext/mysql/php_mysql.c:
    Initalize some of the global vars.  Crashed under ms debugger without having them initialized.

2001-02-21  James Moore  <James@phpuk.org>

    * win32/php4dllts.dsp:
    Adding crypt.c and php_crypt.h to win32 builds, they were missing..

2001-02-21  Rainer Schaaf  <rjs@pdflib.com>

    * ext/pdf/pdf.c:
    When using pdf_get_buffer() and doing a correct cleanup by calling pdf_delete()
    this always resulted in a coredump (after everything was finished, so only
    visible in the logfile).
    So it seems to be neccesary to copy the contents of the result of get_buffer,
    to avoid this coredump.

2001-02-21  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/Makefile.in
      ext/midgard/article.c
      ext/midgard/attachment.c
      ext/midgard/element.c
      ext/midgard/event.c
      ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/image.c
      ext/midgard/member.c
      ext/midgard/mgd_oop.h
      ext/midgard/midgard.c
      ext/midgard/oop.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/pagelink.c
      ext/midgard/person.c
      ext/midgard/preferences.c
      ext/midgard/sitegroup.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c: Centralized object fetching for get_object_by_guid

2001-02-21  Shane Caraveo  <shane@php.net>

    * main/main.c:
    zend_compile_file returns a NULL on error, check for that before
    calling destroy_op_array unless we like crashes :-)

2001-02-21  Thies C. Arntzen  <thies@thieso.net>

    * ext/imap/php_imap.c: fix possible leak.

2001-02-21  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c:
    If we cannot send the header, we don't need to continue with the page.

    * ext/ircg/ircg.c:
    Allow users to set the ident string which we use to register with
    the IRC server.

2001-02-21  Chuck Hagenbuch  <chuck@horde.org>

    * pear/PHPDoc/renderer/html/PhpdocHTMLDocumentRenderer.php: fix typo

2001-02-21  Stig Bakken  <ssb@fast.no>

    * ext/odbc/config.m4: * dbmaker fix, shared support

2001-02-21  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c: Fix memory leak.

2001-02-21  Stanislav Malyshev  <stas@zend.com>

    * main/php_ini.c: Add safety check

2001-02-21  David Guerizec  <david@guerizec.net>

    * ext/midgard/midgard.c: used dynamic alloc to avoid segfault ;)

2001-02-21  Hartmut Holzgraefe  <hartmut@six.de>

    * main/php_ini.h
      main/php_ini.c:
2001-02-21  Sascha Schumann  <sascha@schumann.cx>

    * sapi/cgi/php_getopt.h:
    There is no need to declare ap_php_(opterr|optopt) with external linkage
    as they are not used outside of getopt.c.

    PR: #9364

    * acinclude.m4:
    Instead of assuming that sendmail lives in /usr/lib, if we don't find it,
    we also check /usr/lib now.

    PR: #9362

    * ext/standard/file.c
      ext/standard/filestat.c:
    Correctly check for the existence of the st_rdev field.

    Note that this field is required to exist for SUSv3 conformance.

    Submitted by: amra@us.ibm.com
    PR: #9358

    * ext/pcre/config.m4: Preprocessor stuff should go into CPPFLAGS.

2001-02-21  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * NEWS: Added note about PCRE update.

2001-02-21  Jason Greene  <jason@inetgurus.net>

    * NEWS: Corrected News entry.

2001-02-21  Hartmut Holzgraefe  <hartmut@six.de>

    * main/main.c
      main/php_ini.c:
    will now initialize dynamic extensions *after* static ones

2001-02-21  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/config.m4:
    Source files explicitly include midgard/something.h

2001-02-21  David Guerizec  <david@guerizec.net>

    * ext/midgard/midgard.c: more explicit variable names.

    * ext/midgard/article.c
      ext/midgard/mgd_article.h
      ext/midgard/mgd_internal.h
      ext/midgard/mgd_midgard.h
      ext/midgard/mgd_page.h
      ext/midgard/mgd_snippetdir.h
      ext/midgard/mgd_style.h
      ext/midgard/mgd_topic.h
      ext/midgard/midgard.c
      ext/midgard/page.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c: mgd_walk_xxx_tree() functions implemented.

2001-02-20  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/midgard.c:
    Argh, that's what init_globals does. Sorry, on auto-pilot fixing things
    in both midgard-php3 and midgard-php4

    * ext/midgard/midgard.c: Initialize globals to NULL at module init

2001-02-20  Stig Bakken  <ssb@fast.no>

    * pear/DB.php:
    * allow empty passwords in dsn (for example "mysql://user:@database")

2001-02-20  Zeev Suraski  <zeev@zend.com>

    * ext/com/COM.c: Fix Win32 build

2001-02-20  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/config.m4: Enable UTF8 support (incomplete) by default.

    * ext/pcre/pcrelib/pcre.h: Include PHP compatibility header file.

    * ext/pcre/pcrelib/doc/Tech.Notes
      ext/pcre/pcrelib/doc/pcre.3
      ext/pcre/pcrelib/doc/pcre.html
      ext/pcre/pcrelib/doc/pcre.txt
      ext/pcre/pcrelib/doc/pcregrep.1
      ext/pcre/pcrelib/doc/pcregrep.html
      ext/pcre/pcrelib/doc/pcregrep.txt
      ext/pcre/pcrelib/doc/pcreposix.3
      ext/pcre/pcrelib/doc/pcreposix.html
      ext/pcre/pcrelib/doc/pcreposix.txt
      ext/pcre/pcrelib/doc/pcretest.txt
      ext/pcre/pcrelib/doc/perltest.txt
      ext/pcre/pcrelib/doc/pgrep.1
      ext/pcre/pcrelib/doc/pgrep.html
      ext/pcre/pcrelib/doc/pgrep.txt
      ext/pcre/pcrelib/testdata/testinput1
      ext/pcre/pcrelib/testdata/testinput2
      ext/pcre/pcrelib/testdata/testinput3
      ext/pcre/pcrelib/testdata/testinput4
      ext/pcre/pcrelib/testdata/testinput5
      ext/pcre/pcrelib/testdata/testinput6
      ext/pcre/pcrelib/testdata/testoutput1
      ext/pcre/pcrelib/testdata/testoutput2
      ext/pcre/pcrelib/testdata/testoutput3
      ext/pcre/pcrelib/testdata/testoutput4
      ext/pcre/pcrelib/testdata/testoutput5
      ext/pcre/pcrelib/testdata/testoutput6
      ext/pcre/pcrelib/pcre.h
      ext/pcre/pcrelib/pcregrep.c
      ext/pcre/pcrelib/pcreposix.c
      ext/pcre/pcrelib/pcreposix.h
      ext/pcre/pcrelib/pcretest.c
      ext/pcre/pcrelib/perltest
      ext/pcre/pcrelib/perltest8
      ext/pcre/pcrelib/pgrep.c
      ext/pcre/pcrelib/COPYING
      ext/pcre/pcrelib/ChangeLog
      ext/pcre/pcrelib/INSTALL
      ext/pcre/pcrelib/LICENCE
      ext/pcre/pcrelib/NEWS
      ext/pcre/pcrelib/README
      ext/pcre/pcrelib/RunTest
      ext/pcre/pcrelib/get.c
      ext/pcre/pcrelib/internal.h
      ext/pcre/pcrelib/pcre.c: Upgrade PCRE to version 3.4.

2001-02-20  Daniel Beulshausen  <daniel@php4win.de>

    * ext/standard/fsock.c
      ext/standard/fsock.h: proper prefix for lookup_hostname

    * win32/php_modules.dsw
      ext/hyperwave/hyperwave.dsp
      ext/hyperwave/php_hyperwave.h
      ext/hyperwave/hg_comm.c
      ext/hyperwave/hw.c: make hyperwave build under win32

    * ext/standard/fsock.h
      ext/standard/fsock.c: make socket functions available to the outside

    * ext/standard/image.c
      ext/gd/php_gd.h
      ext/gd/gd.c
      ext/gd/gd.dsp: make gd work again under win32

    * ext/ldap/ldap.dsp: add configuration which links again libsasl.lib

2001-02-20  Jason Greene  <jason@inetgurus.net>

    * ext/standard/array.c:
    Changed default behavior of array_search to match in_array
    (strict was default on, and is now default off)

2001-02-20  David Eriksson  <david@2good.com>

    * ext/satellite/typemanager.c:
    Patch for inherited interfaces by Daniel Stodden <stodden@in.tum.de>

2001-02-20  Daniel Beulshausen  <daniel@php4win.de>

    * ext/pgsql/pgsql.c: added missing ELS_FETCH()

    * ext/iconv/iconv.dsp: define HAVE_LIBICONV

2001-02-20  David Eriksson  <david@2good.com>

    * ext/satellite/object.c: Stop leaking ParameterType data

2001-02-20  Daniel Beulshausen  <daniel@php4win.de>

    * win32/php_modules.dsw
      ext/swf/swf.dsp: no swf under win32

2001-02-20  David Eriksson  <david@2good.com>

    * ext/satellite/config.m4: Corrected typo in config.m4

2001-02-20  Daniel Beulshausen  <daniel@php4win.de>

    * ext/zlib/zlib.dsp:
    changed zlibstat.lib -> zlib.lib, which is the correct name

2001-02-20  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c
      ext/standard/basic_functions.c
      ext/standard/php_array.h: Rename to array_search().

2001-02-20  Adam Dickmeiss  <adam@indexdata.dk>

    * ext/yaz/php_yaz.c: Yet another bug fix regarding present.

2001-02-20  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/mgd_access.h
      ext/midgard/mgd_preparser.h
      ext/midgard/php_midgard.h
      ext/midgard/config.m4: Header file moved.

2001-02-20  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    Phrase search support has been added to mnogosearch extenstion.
    Min_word_len and Max_word_len support has been added to mnogosearch
    extension. Example updated.

2001-02-20  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/mail.c
      ext/midgard/preparser-parser.y
      ext/midgard/preparser.c: header file moved

    * ext/midgard/.cvsignore: ignore *.la

    * ext/midgard/php_midgard.h
      ext/midgard/preparser.c: Header files moved

2001-02-20  David Guerizec  <david@guerizec.net>

    * ext/midgard/oop.c
      ext/midgard/sitegroup.c: a few fixes on function mis-behavior.

2001-02-20  Jason Greene  <jason@inetgurus.net>

    * ext/standard/array.c
      ext/standard/basic_functions.c
      ext/standard/php_array.h:
    Moved the core of in_array into the function php_search_array, which is called by
    in_array and search_array (new)


2001-02-20  Zeev Suraski  <zeev@zend.com>

    * win32/php4dllts.dsp: Restore COM.c

2001-02-20  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/RFC822.php: use -1 to specify no limit on number of matches.

2001-02-19  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/rand.c:
    - Fix for bug 9277, two the same boundaries make sense in some cases

2001-02-19  Adam Dickmeiss  <adam@indexdata.dk>

    * ext/yaz/php_yaz.c:
    Bug fix: number of records in yaz_range wrongly set to zero.

2001-02-19  David Guerizec  <david@guerizec.net>

    * ext/midgard/attachment.c: Small typo fixed.

2001-02-19  Sascha Schumann  <sascha@schumann.cx>

    * ext/pgsql/config.m4
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h: Simpler fix for the InvalidOid thing by Tom Lane.

    He assured me that InvalidOid has always expanded to (Oid) 0, so this
    should be safe.

2001-02-19  David Guerizec  <david@guerizec.net>

    * ext/midgard/article.c
      ext/midgard/page.c
      ext/midgard/topic.c: fixed bug #81, for more details, see:
    http://www.midgard-project.org/bugs/?id=81

2001-02-19  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/zziplib/php_zziplib.h
      ext/zziplib/zziplib.c:
2001-02-19  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/pgsql/011.phpt
      pear/DB/tests/transactions.inc
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php
      pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/sybase.php
      pear/DB/common.php:    also added "dsn" property in all backends

2001-02-19  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c:
    Include <sys/uio.h>.  Apparently, the header cleanup in glibc 2.2.2
    caused that file to be included by accident.

    * ext/pgsql/config.m4
      ext/pgsql/php_pgsql.h: Fix incompatibility with PostgreSQL CVS.

    We now perform a check whether we need to include <postgres.h> to
    succesfully compile.

    PR: #9328

    * ext/pgsql/pgsql.c: Fix warning

    * ext/pgsql/config.m4: Allow passing relative paths to --with-pgsql

2001-02-19  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/oci8/.cvsignore: ignore "sqlnet.log" file

    * pear/DB/tests/pgsql/002.phpt
      pear/DB/tests/pgsql/README
      pear/DB/tests/pgsql/connect.inc
      pear/DB/tests/pgsql/mktable.inc
      pear/DB/tests/fetchmodes.inc
      pear/DB/tests/fetchrow.inc
      pear/DB/tests/ibase/.cvsignore
      pear/DB/tests/ibase/002.phpt
      pear/DB/tests/ibase/connect.inc
      pear/DB/tests/ibase/mktable.inc
      pear/DB/tests/ibase/skipif.inc
      pear/DB/tests/mysql/002.phpt
      pear/DB/tests/mysql/README
      pear/DB/tests/mysql/mktable.inc
      pear/DB/tests/odbc/002.phpt
      pear/DB/tests/odbc/mktable.inc:
    * added "fetchRow returns NULL at end of resultset" tests

    * pear/DB/tests/numrows.inc
      pear/DB/tests/oci8/001.phpt
      pear/DB/tests/oci8/002.phpt
      pear/DB/tests/oci8/003.phpt
      pear/DB/tests/oci8/004.phpt
      pear/DB/tests/oci8/005.phpt
      pear/DB/tests/oci8/006.phpt
      pear/DB/tests/oci8/007.phpt
      pear/DB/tests/oci8/008.phpt
      pear/DB/tests/oci8/009.phpt
      pear/DB/tests/oci8/010.phpt
      pear/DB/tests/oci8/connect.inc
      pear/DB/tests/oci8/mktable.inc
      pear/DB/tests/oci8/skipif.inc:
    * added oci8 tests (haven't run them myself yet)

    * pear/DB/tests/db_error.phpt
      pear/DB/tests/db_error2.phpt: updated some line numbers

    * pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/storage.php: odbc.php: load "odbc" extension on demand
    pgsql.php: unix domain socket support (set hostname to "unix")
    storage.php: inherit PEAR

2001-02-18  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c:
    Save 50% of the syscalls when writing the HTTP header.

2001-02-18  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/fsock.c: [p]fsockopen: fixed possible leak

2001-02-18  David Guerizec  <david@guerizec.net>

    * ext/midgard/midgard.c: allow execution of 'normal' php scripts

2001-02-18  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/string.c: fixed buffer-overwrite

2001-02-18  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/config.m4:
    ircg creates a convenient script now.  of course, this is incompatible
    to older ircg versions.  if someone else would have created ircg, I
    probably would hate him.

2001-02-18  Thies C. Arntzen  <thies@thieso.net>

    * ext/imap/php_imap.c: fixed a possible double-free

2001-02-18  Jon Parise  <jon@csh.rit.edu>

    * pear/CODING_STANDARDS:
    Go back to listing the copyright years explicitly (instead of using a
    range).

2001-02-18  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/xmlwriter/PhpdocXMLWriter.php:
    Sorry, whitespace only changes to follow the PEAR Coding conventions. Replaced tabs with spaces.

2001-02-18  Egon Schmid  <eschmid@s.netic.de>

    * ext/interbase/interbase.c
      ext/mysql/php_mysql.c: Typos in protos.

2001-02-18  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/xmlreader/PhpdocXMLReader.php
      pear/PHPDoc/xmlexporter/PhpdocXMLClassExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLDocumentExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLIndexExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLModuleExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLWarningExporter.php:
    Sorry, whitespace only changes to follow the PEAR Coding conventions. Replaced tabs with spaces.

2001-02-18  Harald Radi  <h.radi@nme.at>

    * ext/com/typedef_VARIANT.c:
    export global constants for codepage and variant type
    VT_* and CP_*

    * ext/com/conversion.c:
    added a few more variant types for zval <-> variant conversion

    * ext/com/COM.cpp:
    - Added new object VARIANT() to encapsulate values for use with
      the COM and DOTNET module. Therefore it is now possible to pass
      values by reference, convert php values to extended variant types (currency,
      date, idispatch, iunknown, ...) and define the codepage that should
      be used for unicode - conversion.

    * ext/com/CREDITS: added myself to CREDITS

2001-02-18  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/warning/PhpdocWarning.php
      pear/PHPDoc/renderer/html/PhpdocHTMLClassRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLDocumentRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLIndexRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLModuleRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLRendererManager.php
      pear/PHPDoc/renderer/html/PhpdocHTMLWarningRenderer.php
      pear/PHPDoc/renderer/PhpdocRendererObject.php:
    Sorry, whitespace only changes to follow the PEAR Coding conventions. Replaced tabs with spaces.

2001-02-18  Stig Bakken  <ssb@fast.no>

    * pear/DB/oci8.php: * use "hostspec" dsn parameter as SID if specified

    * pear/DB/common.php: * added "persistent" option

2001-02-18  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/indexer/PhpdocIndexer.php
      pear/PHPDoc/filehandler/PhpdocFileHandler.php
      pear/PHPDoc/exceptions/PhpdocError.php
      pear/PHPDoc/core/Phpdoc.php
      pear/PHPDoc/core/PhpdocArgvHandler.php
      pear/PHPDoc/core/PhpdocObject.php
      pear/PHPDoc/core/PhpdocSetupHandler.php
      pear/PHPDoc/analyser/PhpdocAnalyser.php
      pear/PHPDoc/analyser/PhpdocClassAnalyser.php
      pear/PHPDoc/analyser/PhpdocModuleAnalyser.php
      pear/PHPDoc/accessor/PhpdocAccessor.php
      pear/PHPDoc/accessor/PhpdocClassAccessor.php
      pear/PHPDoc/accessor/PhpdocDocumentAccessor.php
      pear/PHPDoc/accessor/PhpdocIndexAccessor.php
      pear/PHPDoc/accessor/PhpdocModuleAccessor.php
      pear/PHPDoc/accessor/PhpdocWarningAccessor.php:
    Sorry, whitespace only changes to follow the PEAR Coding conventions. Replaced tabs with spaces.

    * pear/PHPDoc/parser/PhpdocParserRegExp.php
      pear/PHPDoc/parser/PhpdocParserTags.php
      pear/PHPDoc/parser/PhpdocUseParser.php
      pear/PHPDoc/parser/PhpdocVariableParser.php
      pear/PHPDoc/parser/PhpdocClassParser.php
      pear/PHPDoc/parser/PhpdocConstantParser.php
      pear/PHPDoc/parser/PhpdocFunctionParser.php
      pear/PHPDoc/parser/PhpdocModuleParser.php
      pear/PHPDoc/parser/PhpdocParser.php
      pear/PHPDoc/parser/PhpdocParserCore.php:
    Sorry, whitespace only changes to follow the PEAR Coding conventions. Replaces tabs with spaces.

2001-02-18  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Remove unnecessary assignment which caused a segfault

    * ext/ircg/ircg.c: Set from for MSG_FMT_SELF_PART

2001-02-18  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c:
    - Fixed crash in OCI8 when using unitialized LOBs. (Thies)

2001-02-18  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Add code for user-quit hook

    * ext/ircg/ircg.c:
    irc_write_buf_del() performs a final flush now, if the fd is not dead yet.

    afterwards we perform a shutdown() on the socket, so that thttpd
    notices that the socket is to be closed.  Otherwise, we might do
    two close()s which is bad (as the fd might be reused in the meantime).

    * ext/ircg/ircg.c:
    Close an apparent race which caused HTTP connections to stay open,
    even though the IRC server refused to let us login.

2001-02-18  David Croft  <david@infotrek.co.uk>

    * header: add year 2001 to header

2001-02-18  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/.cvsignore:
    Simplifying .cvsignore (and losing some fat on the way)

2001-02-18  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Add a new format string identifier 'r' which inserts the raw message.

    Also port the ctcp copy function to the hash_ex API as per Andi's
    suggestion.

2001-02-17  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/image.c
      ext/midgard/mail.c
      ext/midgard/member.c
      ext/midgard/mgd_access.h
      ext/midgard/mgd_article.h
      ext/midgard/mgd_attachment.h
      ext/midgard/mgd_calendar.h
      ext/midgard/mgd_element.h
      ext/midgard/mgd_errno.pl
      ext/midgard/mgd_event.h
      ext/midgard/mgd_eventmember.h
      ext/midgard/mgd_file.h
      ext/midgard/mgd_group.h
      ext/midgard/mgd_host.h
      ext/midgard/mgd_image.h
      ext/midgard/mgd_internal.h
      ext/midgard/mgd_mail.h
      ext/midgard/mgd_member.h
      ext/midgard/mgd_midgard.h
      ext/midgard/mgd_oop.h
      ext/midgard/mgd_page.h
      ext/midgard/mgd_pageelement.h
      ext/midgard/mgd_pagelink.h
      ext/midgard/mgd_person.h
      ext/midgard/mgd_preferences.h
      ext/midgard/mgd_preparser.h
      ext/midgard/mgd_sitegroup.h
      ext/midgard/mgd_snippet.h
      ext/midgard/mgd_snippetdir.h
      ext/midgard/mgd_style.h
      ext/midgard/mgd_topic.h
      ext/midgard/midgard.c
      ext/midgard/mkall
      ext/midgard/oop.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/pagelink.c
      ext/midgard/parameter.c
      ext/midgard/person.c
      ext/midgard/php_midgard.h
      ext/midgard/preferences.c
      ext/midgard/preparser-parser.y
      ext/midgard/preparser-scanner.l
      ext/midgard/preparser.c
      ext/midgard/sitegroup.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c
      ext/midgard/.cvsignore
      ext/midgard/ChangeLog
      ext/midgard/INSTALL
      ext/midgard/Makefile.in
      ext/midgard/article.c
      ext/midgard/attachment.c
      ext/midgard/calendar.c
      ext/midgard/config.m4
      ext/midgard/element.c
      ext/midgard/event.c:
    Remove/Add appearantly doesn't cancel the remove... add separately.

    * ext/midgard/ChangeLog
      ext/midgard/INSTALL
      ext/midgard/LICENSE
      ext/midgard/Makefile.in
      ext/midgard/access.c
      ext/midgard/article.c
      ext/midgard/attachment.c
      ext/midgard/calendar.c
      ext/midgard/config.m4
      ext/midgard/element.c
      ext/midgard/event.c
      ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/fudge
      ext/midgard/genentry.pl
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/image.c
      ext/midgard/mail.c
      ext/midgard/member.c
      ext/midgard/mgd_access.h
      ext/midgard/mgd_article.h
      ext/midgard/mgd_attachment.h
      ext/midgard/mgd_calendar.h
      ext/midgard/mgd_element.h
      ext/midgard/mgd_errno.c
      ext/midgard/mgd_errno.h
      ext/midgard/mgd_errno.pl
      ext/midgard/mgd_event.h
      ext/midgard/mgd_eventmember.h
      ext/midgard/mgd_file.h
      ext/midgard/mgd_group.h
      ext/midgard/mgd_host.h
      ext/midgard/mgd_image.h
      ext/midgard/mgd_internal.h
      ext/midgard/mgd_mail.h
      ext/midgard/mgd_member.h
      ext/midgard/mgd_midgard.h
      ext/midgard/mgd_oop.h
      ext/midgard/mgd_page.h
      ext/midgard/mgd_pageelement.h
      ext/midgard/mgd_pagelink.h
      ext/midgard/mgd_person.h
      ext/midgard/mgd_preferences.h
      ext/midgard/mgd_preparser.h
      ext/midgard/mgd_sitegroup.h
      ext/midgard/mgd_snippet.h
      ext/midgard/mgd_snippetdir.h
      ext/midgard/mgd_style.h
      ext/midgard/mgd_topic.h
      ext/midgard/midgard-root.php
      ext/midgard/midgard.c
      ext/midgard/mkall
      ext/midgard/oop.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/pagelink.c
      ext/midgard/parameter.c
      ext/midgard/person.c
      ext/midgard/php4_porting.txt
      ext/midgard/php_midgard.h
      ext/midgard/preferences.c
      ext/midgard/preparser-parser.y
      ext/midgard/preparser-scanner.l
      ext/midgard/preparser.c
      ext/midgard/sitegroup.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/topic.c:
    Trimming, license change (said GPL, actually is LGPL) removed warnings during
    compilation, removed configure bug.

    * ext/midgard/.cvsignore: Added generated files

2001-02-17  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Also format CTCP correctly when sending it to the server.

    This is still quite ugly but works already quite well.

    * ext/ircg/ircg.c:
    Add initial CTCP handling and fix a possible segfault in ircg_msg()

2001-02-17  Chuck Hagenbuch  <chuck@horde.org>

    * pear/DB/mysql.php
      pear/DB/pgsql.php:
    consistently supress error messages from $connect_function
    in mysql and pgsql.

2001-02-17  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c: make oci work again.

2001-02-17  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c
      ext/ircg/php_ircg.h: Convert to the new hooks-based callback system.

    Also add a facility to change our own nick as well as tracking other
    nick changes.

2001-02-17  Harald Radi  <h.radi@nme.at>

    * ext/dotnet/dotnet.cpp
      ext/com/COM.cpp
      ext/com/conversion.c
      ext/com/conversion.h
      ext/com/typedef_VARIANT.c: multiple codepage support
    export global constants

2001-02-16  Sascha Schumann  <sascha@schumann.cx>

    * NEWS: Add some old and some recent news

    * ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re:
    Reverse the priority of the entity matches vs. anything.  If it sees
    a single entity, it should handle it immediately.

    * ext/ircg/ircg.c
      ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re:
    Move the separate entity encoding into the scanner.  Otherwise,
    we cannot properly differentiate between (apparent) HTML which was
    generated by the IRC user vs. the scanner.

2001-02-16  David Guerizec  <david@guerizec.net>

    * ext/midgard/logo/midgard-logo.gif:
    deleting logo to slim down the Midgard extension

    * ext/midgard/midgard-logo.h
      ext/midgard/midgard-team.h
      ext/midgard/midgard.c:
    deleting logo & picture to slim down the Midgard extension

2001-02-16  Zeev Suraski  <zeev@zend.com>

    * ext/notes/php_notes.h
      ext/notes/notes.dsp
      ext/notes/notes.dsw
      ext/notes/php_notes.c: import notes modules from Brad Atkins

2001-02-16  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/Makefile.in
      ext/ircg/ircg.c
      ext/ircg/ircg_scanner.c
      ext/ircg/ircg_scanner.re:
    The new scanner adds HTML anchors automatically to a certain subset
    of RFC 2396 URIs.  The scanner also handles mIRC color codes.

    * ext/standard/php_smart_str.h
      ext/standard/php_smart_str_public.h:
    Add all necessary includes for these header files.

2001-02-16  Stig Bakken  <ssb@fast.no>

    * pear/DB/mysql.php: * load mysql extension if needed

2001-02-16  Chuck Hagenbuch  <chuck@horde.org>

    * pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/sybase.php
      pear/DB.php
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php:
    All DB modules should return NULL from fetchRow() now if there are no more
    results, and a DB_Error object only on an error.

    DB::isError() return false when passed null now.

2001-02-16  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c:
    Fixed non-threadsafe code: 'isapi_special_server_variables' was a static
    buffer, and not allocated per-connection. Bad bad bad!

2001-02-16  Jani Taskinen  <sniper@iki.fi>

    * ext/curl/curl.c:
    Fixed a typo in constant definitions and a possible crash in curl_setopt().

2001-02-16  Egon Schmid  <eschmid@s.netic.de>

    * ext/standard/file.c: Wrong return type.

2001-02-15  Egon Schmid  <eschmid@s.netic.de>

    * ext/standard/filestat.c: Small typo.

2001-02-15  Sterling Hughes  <sterling@designmultimedia.com>

    * ext/swf/php_swf.h
      ext/swf/swf.c
      ext/bz2/bz2.c
      ext/bz2/php_bz2.h
      ext/curl/curl.c
      ext/curl/php_curl.h
      ext/sablot/php_sablot.h
      ext/sablot/sablot.c: Change e-mail address


2001-02-15  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/file.c
      ext/standard/iptc.c
      ext/oci8/oci8.c
      ext/pdf/pdf.c
      ext/cpdf/cpdf.c
      ext/gd/gd.c
      ext/gd/gd_ctx.c
      ext/hyperwave/hw.c
      ext/interbase/interbase.c:
    i nuked all unneded calls to php_header() - i'm not too sure how we do
    handle HEAD Requests as they were only detected via php_header(). but calling
    php_header from a module makes output-buffering unusable.

    NOTICE: there is some EBSDIC stuff in gd.c - i think it's obsolete.

    * ext/standard/string.c: 0..255

    * ext/xml/xml.c:
    fixed SEGFAULT when using xml_set_object. Zend does not yes support
    cyclic references!

2001-02-15  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    Added thow new mnoGoSearch agent session parameters:
    UDM_PARAM_WEIGHT_FACTOR and UDM_PARAM_WORD_MATCH.

2001-02-15  Sascha Schumann  <sascha@schumann.cx>

    * configure.in
      ext/standard/basic_functions.c
      ext/standard/dir.c
      ext/standard/php_dir.h:
    There might be more systems which do not support chroot, so we check
    for the existence of it.

    Additionally, if chroot is not supported, the warn_not_available function
    is invoked now.

2001-02-15  Zeev Suraski  <zeev@zend.com>

    * ext/pgsql/pgsql.c: Fix the PostgreSQL fix...

2001-02-15  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/basic_functions.c
      ext/standard/dir.c
      ext/standard/php_dir.h: - chroot does not work on windows

2001-02-14  Jani Taskinen  <sniper@iki.fi>

    * ext/oci8/config.m4
      ext/oracle/config.m4:
    This should make detecting the version of Oracle libs a bit more accurate
    to avoid the 'missing libcore4' errors. (e.g. on AIX)
    Bug reports: #9027, #8905

2001-02-14  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/RFC822.php:
    current php4 cvs doesn't like having a limit of 0 specified in preg_split;
    it seems to take it as meaning no matches at all.

2001-02-14  Jon Parise  <jon@csh.rit.edu>

    * ext/mnogosearch/config.m4: Fix build.

2001-02-14  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/config.m4:
    mnoGoSearch config.m4 freebsd compatibility fix.

    * ext/mnogosearch/config.m4
      ext/mnogosearch/php_mnogo.c:
    Added mnogosearch version checking into config.m4.
    Some proto fixes.

2001-02-14  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c:
    ocifreedesc() now spits a NOTICE when called the "wrong" way.

2001-02-14  Derick Rethans  <d.rethans@jdimedia.nl>

    * NEWS: - Added the notification of the chroot function addition

    * ext/standard/dir.c: - Added an extra chdir("/"); as sugested by Sascha

    * ext/standard/basic_functions.c
      ext/standard/dir.c
      ext/standard/php_dir.h:
    - Added the chroot function for changing root in a script.

2001-02-14  Sascha Schumann  <sascha@schumann.cx>

    * TODO:
    Add note about removing the requirement that you need to include the
    respective class definition before using a session variable of the type
    object.

    This has been the best suggestion so far and is very likely to be adopted
    in the near future.

    Submitted by: Hartmut Holzgraefe

2001-02-14  Thies C. Arntzen  <thies@thieso.net>

    * NEWS: *** empty log message ***

2001-02-13  Colin Viebrock  <colin@easydns.com>

    * pear/Crypt/CBC.php: initialize two variables

2001-02-13  Thies C. Arntzen  <thies@thieso.net>

    * ext/pgsql/pgsql.c: remove stupid PGSQL warning

2001-02-13  Adam Dickmeiss  <adam@indexdata.dk>

    * ext/yaz/php_yaz.c:
    Bug fix: Record retrieval (present) is termiated on error.

2001-02-13  Thies C. Arntzen  <thies@thieso.net>

    * ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h:
    - PostgreSQL now does a rollback at the end of a request on every
      persistent connection. This is done by doing an "empty" transaction
      on the connection (This was advised by someone from the PostgreSQL
      core-team). If you leave transactions open on your page you will see a
      "NOTICE:  BEGIN: already a transaction in progress" message in your
      apache error_log. This message is created by the PostgreSQL libs - we can
      do nothing about it. 

    * ext/pgsql/pgsql.c:
    - fixes PostgeSQL pg_connect() bug. We would sometimes close the default
      link by acciedent. (Patch by: aja@nlgroup.ca)

2001-02-13  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/config.m4: Misplaced if spotted by Sascha

2001-02-13  Thies C. Arntzen  <thies@thieso.net>

    * main/internal_functions.c.in
      main/internal_functions_win32.c: remove unneded comments

2001-02-13  Sascha Schumann  <sascha@schumann.cx>

    * ext/midgard/config.m4: Outcomment everything contained in here.

    This file must not perform any checks, unless the user has enabled
    Midgard.

2001-02-12  Adam Dickmeiss  <adam@indexdata.dk>

    * ext/yaz/php_yaz.c
      ext/yaz/php_yaz.h:
    Implemented yaz_present, yaz_scan, yaz_scan_result, yaz_ccl_conf,
    yaz_ccl_parse and yaz_itemorder. Updated documentation.

2001-02-12  David Guerizec  <david@guerizec.net>

    * ext/midgard/test-db.tar.gz:
    This file is not needed anymore, check the midgard CVS for the up-to-date file:
    http://cvs.midgard-project.org/cvsweb.pl
    in /midgard/data

2001-02-12  Rainer Schaaf  <rjs@pdflib.com>

    * ext/pdf/config.m4
      ext/pdf/pdf.c
      ext/pdf/Makefile.in: added module support (for dl()) for PDFlib
    the PDF files now tell that they are generated by the PHP binding.

2001-02-12  Emiliano Heyns  <emile@iris-advies.com>

    * ext/midgard/.cvsignore
      ext/midgard/ChangeLog
      ext/midgard/INSTALL
      ext/midgard/Makefile.in
      ext/midgard/access.c
      ext/midgard/article.c
      ext/midgard/attachment.c
      ext/midgard/calendar.c
      ext/midgard/config.m4
      ext/midgard/element.c
      ext/midgard/event.c
      ext/midgard/eventmember.c
      ext/midgard/file.c
      ext/midgard/fudge
      ext/midgard/genentry.pl
      ext/midgard/group.c
      ext/midgard/host.c
      ext/midgard/image.c
      ext/midgard/logo/midgard-logo.gif
      ext/midgard/logo/mklogo.c
      ext/midgard/mail.c
      ext/midgard/member.c
      ext/midgard/mgd_access.h
      ext/midgard/mgd_article.h
      ext/midgard/mgd_attachment.h
      ext/midgard/mgd_calendar.h
      ext/midgard/mgd_element.h
      ext/midgard/mgd_errno.c
      ext/midgard/mgd_errno.h
      ext/midgard/mgd_errno.pl
      ext/midgard/mgd_event.h
      ext/midgard/mgd_eventmember.h
      ext/midgard/mgd_file.h
      ext/midgard/mgd_group.h
      ext/midgard/mgd_host.h
      ext/midgard/mgd_image.h
      ext/midgard/mgd_internal.h
      ext/midgard/mgd_mail.h
      ext/midgard/mgd_member.h
      ext/midgard/mgd_midgard.h
      ext/midgard/mgd_oop.h
      ext/midgard/mgd_page.h
      ext/midgard/mgd_pageelement.h
      ext/midgard/mgd_pagelink.h
      ext/midgard/mgd_person.h
      ext/midgard/mgd_preferences.h
      ext/midgard/mgd_preparser.h
      ext/midgard/mgd_sitegroup.h
      ext/midgard/mgd_snippet.h
      ext/midgard/mgd_snippetdir.h
      ext/midgard/mgd_style.h
      ext/midgard/mgd_topic.h
      ext/midgard/midgard-logo.h
      ext/midgard/midgard-root.php
      ext/midgard/midgard-team.h
      ext/midgard/midgard.c
      ext/midgard/mkall
      ext/midgard/oop.c
      ext/midgard/page.c
      ext/midgard/pageelement.c
      ext/midgard/pagelink.c
      ext/midgard/parameter.c
      ext/midgard/person.c
      ext/midgard/php4_porting.txt
      ext/midgard/php_midgard.h
      ext/midgard/preferences.c
      ext/midgard/preparser-parser.y
      ext/midgard/preparser-scanner.l
      ext/midgard/preparser.c
      ext/midgard/sitegroup.c
      ext/midgard/snippet.c
      ext/midgard/snippetdir.c
      ext/midgard/style.c
      ext/midgard/test-db.tar.gz
      ext/midgard/topic.c: Midgard 1.4.1 initial checkin

2001-02-12  Andi Gutmans  <andi@zend.com>

    * main/safe_mode.c: - Fix warning
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-02-12  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c:
    - Improved OCI8 dead-session detection. (Patch by: George Schlossnagle)

    * ext/imap/php_imap.c: fixed possible leak in imap_search

2001-02-12  Anders Johannsen  <anders@ignition.dk>

    * pear/CMD.php:
    Fixed indentation problems related to use of TAB instead of spaces

2001-02-11  Anders Johannsen  <anders@ignition.dk>

    * pear/CMD.php: The Cmd:: class implements an abstraction for various ways
    of executing commands (directly using the backtick operator,
    as a background task after the script has terminated using
    register_shutdown_function() or as a detached process using nohup).

2001-02-11  Sean Bright  <elixer@erols.com>

    * NEWS: Added note about get_meta_tags bugfix

    * ext/standard/file.c
      ext/standard/file.h: Fix for bug #4556

2001-02-09  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/gd/gd.c: make _php_image_convert configuration-aware

    * ext/gd/gd.c: libjpeg-not-installed protection

2001-02-09  Rasmus Lerdorf  <rasmus@php.net>

    * ext/standard/reg.c: Stray ]

    * ext/standard/datetime.c
      ext/standard/file.c:
    What the heck is CUT?  Assume someone meant UTC here.  And fix a
    warning.

2001-02-09  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    Added UDM_PARAM_FIRST_DOC and UDM_PARAM_LAST_DOC mnoGoSearch extenstion
    result parameters. Example updated.

2001-02-09  David Hedbor  <david@hedbor.org>

    * sapi/caudium/caudium.c:
    Fixed PHP authentication and some other minor things.

2001-02-08  Boian Bonev  <boian@bonev.com>

    * ext/vpopmail/php_vpopmail.c:
    fixed SIGSEGV in vpopmail_auth_user when optional arg apop is not set

2001-02-08  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/Sendmail.php:
    die on backticks in an attempted from address, also.

    * pear/PHPDoc/renderer/html/PhpdocHTMLRenderer.php:
    fix a type - $templateRoot was meant, not $path.

    * pear/PHPDoc/index.php: the warning referred to here was fixed.

    * pear/HTML/IT.php:
    The free() method was throwing away too much information for template
    caching (re-using the same template) to work. So either these arrays need to
    be kept around (which is what this patch does), or everything using IT needs
    to not call free() if it wants template caching to work (seemed like more of
    a pain).

2001-02-08  Andrei Zmievski  <andrei@ispi.net>

    * TODO: *** empty log message ***

2001-02-08  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/apache_config.c: Make fprintf's optional

2001-02-08  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/domxml/php_domxml.c
      ext/domxml/php_domxml.h: - add domxml_unlink_node(), not tested

2001-02-08  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php: Added UDM_PARAM_SEARCHTIME result parameter.
    Now at least mnoGoSearch-3.1.10 required to use this module.
    Added some parameters aliases. Example updated.

    * ext/mnogosearch/CREDITS
      ext/mnogosearch/php_mnogo.c:
2001-02-08  Andrei Zmievski  <andrei@ispi.net>

    * TODO
      ext/pcre/php_pcre.c: Move todo items.

2001-02-08  Sascha Schumann  <sascha@schumann.cx>

    * build/build2.mk: Suppress the other nasty warning

2001-02-07  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/Sendmail.php:
    remove double quotes which may not be stripped by sendmail (causing
    problems), and add checks for dangerous characters (in addition to the
    pre-existing escapeShellCmd()) in the $from variable.

    * pear/Mail.php
      pear/Mail/RFC822.php
      pear/Mail/SMTP.php
      pear/Mail/Sendmail.php
      pear/Mail/rfc822.php
      pear/Mail/sendmail.php
      pear/Mail/smtp.php
      pear/Makefile.in:
    may as well go by the capitalization we agreed on sooner rather than later.

2001-02-07  Boian Bonev  <boian@bonev.com>

    * ext/vpopmail/php_vpopmail.c:
2001-02-07  Sascha Schumann  <sascha@schumann.cx>

    * ext/domxml/config.m4:
    Improve use of $withval.  This also cures the problem of adding -Lyes/lib
    to $LIBS.

2001-02-07  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: Only one entry for mnoGoSearch is necessary.

2001-02-07  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/.cvsignore: Added .cvsignore

2001-02-06  Jim Jagielski  <jim@jaguNET.com>

    * NEWS
      ext/standard/array.c
      ext/standard/crypt.c
      ext/standard/rand.c:
    For those lucky systems with both random() and *rand48(), the random()
    family is the prefered choice. So if both exist, we now choose that.

2001-02-06  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    UDM_FIELD_ORDER and UDM_FIELD_CRC mnoGoSearch result fields has been added.
    Example updated.

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    UDM_PARAM_WORDINFO mnoGoSearch result parameter has been added.
    UDM_PARAM_RATING result field has neen added as alias for UDM_PARAM_SCORE.
    Example updated.

2001-02-06  Andrei Zmievski  <andrei@ispi.net>

    * ext/wddx/php_wddx_api.h: Preserve API compatibility.

    * ext/wddx/wddx.c: Don't use Z* macros for non-zvals.

    * ext/wddx/php_wddx_api.h
      ext/wddx/wddx.c
      NEWS: Cleaned up and optimized WDDX serialization - it's about twice
    as fast now.

2001-02-06  Stephen van Egmond  <svanegmond@home.com>

    * ext/standard/dns.c:
    Added tests for arpa/*.h and resolv.h which don't exist on the BeOS.
    The dns functions on BeOS come from socket.h

    * configure.in:
    Added tests for arpa/nameser.h and resolv.h, which don't exist on the BeOS.

2001-02-06  Jim Jagielski  <jim@jaguNET.com>

    * ext/standard/array.c:
      ext/standard/crypt.c:
      ext/standard/rand.c:
    Prefer the random() family over the *rand48() one

2001-02-05  Zeev Suraski  <zeev@zend.com>

    * ext/com/typedef_VARIANT.c
      ext/standard/basic_functions.c: Fix Windows build

2001-02-05  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/mail.c
      ext/standard/php_mail.h:
    - Added a new parameter to mail() which appends aditional command line
      parameters to the mail program. This is usefull to set the From headers
      correctly with the -f parameter to sendmail p.e.
    - Added a new parameter to mail() which appends aditional command line
      parameters to the mail program. 

2001-02-05  Vlad Krupin  <phpdevel@echospace.com>

    * ext/pspell/CREDITS: Added myself to CREDITS (vlad)

2001-02-05  Harald Radi  <h.radi@nme.at>

    * ext/com/conversion.c:
    fixes the problem that php.exe compiled on win2k platform won't run on any other

2001-02-05  Vlad Krupin  <phpdevel@echospace.com>

    * ext/pspell/pspell.c:
    now when pspell/pspell.h is included, it will recognize
    that it has to work in compatibility mode. (The previous fix
    had the right idea, but was too far down in the source)

2001-02-05  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: *** empty log message ***

    * ext/standard/basic_functions.c:
    Allow calling static methods via call_user_method_* functions.

    * README.CVS-RULES: One more notice about using names with NEWS entries.

2001-02-05  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h
      ext/mnogosearch/test.php:
    Added new Udm_Clear_Search_Limits mnogosearch extension function.

2001-02-05  David Croft  <david@infotrek.co.uk>

    * TODO: 2 things to do

2001-02-05  Andrei Zmievski  <andrei@ispi.net>

    * TODO: Whitespace.

2001-02-05  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/config.m4: Fixed default search path.

    * ext/mnogosearch/README
      ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h
      ext/mnogosearch/test.php:
    Added new Udm_Add_Search_Limit mnoGoSearch extension function.
    Some bugfixes and example update.

2001-02-05  James Moore  <James@phpuk.org>

    * ext/standard/credits.c: Adding Sebastian Bergmann to QA team list.

2001-02-05  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/README
      ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h:
    Fixed mnogosearch protos. Fixed mnogosearch functions return values.
    A bug with capital letters break search has been fixed.

2001-02-04  James Moore  <James@phpuk.org>

    * ext/standard/tests/time/.cvsignore
      ext/standard/tests/time/001.phpt: Adding microtime() tests

    * ext/standard/microtime.c:
    Always return a value even if HAVE_GETTIMEOFDAY is not set

    * win32/time.c:
    Fix for time.c under win32. Patch By: "Vanhanen, Reijo" <Reijo.Vanhanen@helsoft.fi>


2001-02-04  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * TODO:
    * TODO: Add a bunch of stuff..

2001-02-03  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      ext/pcre/php_pcre.c: Adding delimiter capturing functionality.

    As far as NEWS, compilation fixed don't belong here.

2001-02-03  Sean Bright  <elixer@erols.com>

    * win32/readdir.c: Comments didn't reflect rewinddir()

2001-02-02  Colin Viebrock  <colin@easydns.com>

    * pear/Crypt/CBC.php: typo

2001-02-02  Andrei Zmievski  <andrei@ispi.net>

    * ext/sockets/sockets.c: Revert bogus patch and fix it properly.

2001-02-02  Colin Viebrock  <colin@easydns.com>

    * ext/sockets/sockets.c: Fix for http://bugs.php.net/bugs.php?id=9082

    I know switch() is expensive, so someone rewrite this "properly" if you
    want.

2001-02-02  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/smtp.php: fix silly cut-n-paste bug (#9081)

2001-02-02  Rasmus Lerdorf  <rasmus@php.net>

    * ext/pspell/pspell.c: pspell .12 fix

2001-02-02  Harald Radi  <h.radi@nme.at>

    * ext/dotnet/dotnet.cpp: correct phpinfo() output

2001-02-02  Colin Viebrock  <colin@easydns.com>

    * pear/DB.php: I think this should've been changed as well, right?

2001-02-02  Egon Schmid  <eschmid@s.netic.de>

    * ext/mnogosearch/php_mnogo.c: Fixed protos.

2001-02-02  Harald Radi  <h.radi@nme.at>

    * ext/iisfunc/.cvsignore
      ext/iisfunc/setup.c
      ext/dotnet/dotnet.cpp
      ext/com/typedef_VARIANT.c: correct phpinfo() output

2001-02-02  Rasmus Lerdorf  <rasmus@php.net>

    * ext/standard/string.c: Fix strip_tags to not strip a lone > character

2001-02-02  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/README
      ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    Added new UDM_PARAM_STOPTABLE and UDM_PARAM_STOPFILE parameters
    for Udm_Set_Agent_Params mnoGoSearch module. Now it can use stopwords
    stored either in database or in the plain text files. Added php warnings.
    Test example updated.

2001-02-02  Chuck Hagenbuch  <chuck@horde.org>

    * pear/DB.php:
    make sure to include subclasses before trying to instantiate them.

2001-02-01  Colin Viebrock  <colin@easydns.com>

    * pear/DB/common.php: fix here too

    * pear/PEAR.php.in: trigger_error() should be ($msg,$level), no?

2001-02-01  Thies C. Arntzen  <thies@thieso.net>

    * ext/zlib/zlib.c: ws-only

    * ext/zlib/zlib.c:
    - When using the ob_gzhandler() PHP now automagically also sets the
      Content-Lengh correctly which enables browsers to use the HTTP
      Keep-Alive feature. 

2001-02-01  Sascha Schumann  <sascha@schumann.cx>

    * ext/zlib/zlib.c: Fix a huge memory leak in the ob_gzhandler.

2001-02-01  Colin Viebrock  <colin@easydns.com>

    * php.ini-dist:
    While we're fixing the ini files, change these to web-safe colours
    ... this always bugged me :)

2001-02-01  Stanislav Malyshev  <stas@zend.com>

    * ext/gd/gd_ctx.c
      ext/gd/php_gd.h
      ext/gd/gd.c:
    Allow usage of GD contexts and not tempfiles in output functions

2001-02-01  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c: No need for CLS_FETCH().

2001-02-01  Sascha Schumann  <sascha@schumann.cx>

    * ext/pcre/php_pcre.c: Fix broken ZTS build

2001-02-01  Andrei Zmievski  <andrei@ispi.net>

    * build/rules_pear.mk: Add cvsclean target for standalone extensions.

2001-02-01  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/Makefile.in
      ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/test.php:
    UDM_PARAM_CHARSET parameter in Udm_Set_Agent_Param() has been added to
    set local charset you are using. Example updated also.

2001-02-01  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/file.c: Add utility function

2001-02-01  Stig Bakken  <ssb@fast.no>

    * ext/mysql/php_mysql.c: did someone poop in the code? :-)

2001-02-01  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/pdf/pdf.c: ­ some modification from Rainer Schaaf
       * fixed prototype for pdf_new()
       * MINFO: included Revision of pdf.c, removed info about CJK + in-memory, this is
         standard with V3.x)
       * repaired PDF_open_CCITT
       * repaired PDF_setfont
       * eliminated many compiler warnings.
       * former resource "pdf document" is now called "pdf object"

2001-02-01  Jon Parise  <jon@csh.rit.edu>

    * php.ini-dist: Massive reformatting.

2001-02-01  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      ext/pcre/php_pcre.c
      ext/pcre/php_pcre.h:
    Modified /F handling to allow calling object methods.

2001-01-31  Egon Schmid  <eschmid@s.netic.de>

    * ext/mysql/php_mysql.c: Only two lines are allowed here.

2001-01-31  Sean Bright  <elixer@erols.com>

    * ext/mysql/php_mysql.c
      ext/mysql/php_mysql.h: Added the mysql_get_*_info() functions.

2001-01-31  Andi Gutmans  <andi@zend.com>

    * ext/standard/scanf.c
      ext/ingres_ii/ii.c
      ext/mysql/php_mysql.c
      ext/pgsql/pgsql.c:
    - Change unset() functions to null(). unset() is legacy

2001-01-31  Chuck Hagenbuch  <chuck@horde.org>

    * pear/HTTP.php:
    use $HTTP_SERVER_VARS, in case register_globals is Off, and use !empty()
    instead of just if () to avoid errors.

2001-01-31  Daniel Beulshausen  <daniel@php4win.de>

    * win32/php_modules.dsw: add iconv and ming

    * ext/ming/ming.dsp
      ext/ming/php_ming.h: nuke warning, and add dsp

    * ext/pdf/pdf.c: fix typo

    * ext/iconv/iconv.c
      ext/iconv/iconv.dsp: make iconv compile under win32 using libiconv

2001-01-31  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/README
      ext/mnogosearch/config.m4
      ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h
      ext/mnogosearch/setup.stub
      ext/mnogosearch/test.php: Added search cache and track query features.

2001-01-31  James Moore  <James@phpuk.org>

    * RELEASE_PROCESS:
    Adding readme for release process, this needs to live somewhere and here seems as good a place as any.

2001-01-31  Harald Radi  <h.radi@nme.at>

    * ext/com/conversion.c: added currency, date, IUnknown and NULL datatypes

2001-01-31  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * NEWS: - note about change of pdf api

2001-01-31  Stig Bakken  <ssb@fast.no>

    * pear/PEAR.php.in: whitespace

2001-01-31  Sean Bright  <elixer@erols.com>

    * ext/mysql/php_mysql.c: Fixed conditional.

    * ext/mysql/php_mysql.c:
    Fix for bug #8991.  mysql_field_type() now returns "year" for columns of
    type YEAR.

2001-01-30  Adam Dickmeiss  <adam@indexdata.dk>

    * ext/yaz/README
      ext/yaz/php_yaz.c:
    Fixed problem with looping present requests for Isite targets.

2001-01-30  Harald Radi  <h.radi@nme.at>

    * win32/.cvsignore: fixing .cvsignore

    * ext/dotnet/.cvsignore: adding .cvsignore

2001-01-30  Sergey Kartashoff  <gluke@biosys.net>

    * ext/mnogosearch/config.m4
      ext/mnogosearch/php_mnogo.c
      ext/mnogosearch/php_mnogo.h
      ext/mnogosearch/setup.stub
      ext/mnogosearch/test.php
      ext/mnogosearch/README
      ext/mnogosearch/Makefile.in:
    mnoGoSearch extension module initial version has been added.
    This module currently at the alpha state, but it can be used already.
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-30  Stig Bakken  <ssb@fast.no>

    * pear/DB.php
      pear/DB/tests/db_parsedsn.phpt:
    Allow url encoding in DB usernames and passwords (Stig, PEAR)

2001-01-30  David Eriksson  <david@2good.com>

    * ext/satellite/namedvalue_to_zval.c
      ext/satellite/typecode.c:
    Applied patch from Oleg Sharoiko <os@rsu.ru> to fix bug in satellite_any_to_zval_sequence

2001-01-30  Harald Radi  <h.radi@nme.at>

    * ext/com/conversion.c
      ext/com/typedef_VARIANT.c: pass another com object as parameter

2001-01-30  Stig Bakken  <ssb@fast.no>

    * pear/PEAR.php.in
      pear/tests/pear_error.phpt
      pear/tests/pear_error3.phpt:
    Added raiseError and setErrorHandling methods to PEAR class (Stig, PEAR)

2001-01-29  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/config.m4:
    Fixed bug #8946. In some systems the libxml.* is actually libxml2.*

    * ext/zziplib/.cvsignore: a little cleanup..

2001-01-29  Harald Radi  <h.radi@nme.at>

    * ext/dotnet/dotnet.cpp
      ext/com/COM.cpp
      ext/com/conversion.c
      ext/com/conversion.h
      ext/com/php_COM.h
      ext/com/php_typedef_VARIANT.h
      ext/com/typedef_VARIANT.c: use *_EXTERN_C() and PHP_WIN32

2001-01-27  John Donagher  <john@webmeta.com>

    * configure.in:
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:
    Add configure warning message when compiling --with-pfpro

2001-01-27  Egon Schmid  <eschmid@s.netic.de>

    * ext/mssql/php_mssql.c: Fixed some protos.

    * ext/gd/gd.c: File formats in uppercase characters.

2001-01-27  Sascha Schumann  <sascha@schumann.cx>

    * ext/ming/config.m4:
    This config.m4 was obviously not tested at all before being committed.

    s/withval/PHP_MING/

2001-01-27  James Moore  <James@phpuk.org>

    * ext/ming/EXPERIMENTAL: Adding Ming experimental file

2001-01-27  Dave Hayden  <dave@opaque.net>

    * ext/ming/Makefile.in
      ext/ming/config.m4
      ext/ming/ming.c
      ext/ming/php_ming.h:
    First include of ming (SWF generation) library wrapper

      http://www.opaque.net/ming/

2001-01-27  Boian Bonev  <boian@bonev.com>

    * ext/vpopmail/php_vpopmail.c:
2001-01-26  Egon Schmid  <eschmid@s.netic.de>

    * ext/sybase_ct/php_sybase_ct.c: Mostly off by one.

    * ext/hyperwave/hw.c: Fixed another proto.

    * ext/muscat/muscat.c: Fixed some protos.

    * ext/satellite/php_orbit.c: Whitespace change for funclist.txt.

    * ext/openssl/openssl.c: Fixed some protos.

2001-01-26  Chuck Hagenbuch  <chuck@horde.org>

    * pear/DB/mysql.php
      pear/DB.php:
    have DB::isError return true if passed "null". Now you can more consistently
    use DB::isError(), since some of the db drivers return nulls from various
    functions (like fetchRow()), and others don't... We should probably make all
    of them just return errors. I did this for the mysql driver, as a start.

2001-01-26  Egon Schmid  <eschmid@s.netic.de>

    * ext/pdf/pdf.c
      ext/pdf/php_pdf.h: Fixed some protos.

2001-01-26  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/README.txt: Whitespace change.

2001-01-26  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/pdf/pdf.c
      ext/pdf/php_pdf.h:
    - This is major change of the php pdf api to be closer to the pdflib api
      done by Rainer Schaaf from pdflib GmbH.
    - Some more functions has been implemented as well.
    - backwards compatibility has been maintained a much as possible

    * ext/domxml/php_domxml.c
      ext/domxml/php_domxml.h:
    - changed naming of some functions (kept compatibility)

2001-01-25  Daniel Beulshausen  <daniel@php4win.de>

    * ext/msql/msql.dsp
      ext/msql/php_msql.c
      ext/msql/php_msql.h
      win32/php_modules.dsw: make msql build under win32

2001-01-25  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/gd/gd.c:
    gd didn't work if no WBMP was available after rev 1.107 -> fixed

2001-01-25  Stanislav Malyshev  <stas@zend.com>

    * ext/gd/gd.c: Fix crash in stdout image output

2001-01-24  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * ext/mysql/libmysql/libmysql.dsp
      ext/mysql/libmysql/my_winthread.c:
    Added my_winthread.c. Thanks to Thimble Smith.

2001-01-24  Andrei Zmievski  <andrei@ispi.net>

    * TODO: Already done.

2001-01-24  Ben Mansell  <ben@zeus.com>

    * README.Zeus: Added 'you must use gcc' comment to build instructions.

2001-01-24  MySQL Team  <mysql-all@mysql.com>

    * ext/mysql/libmysql/config-win.h
      ext/mysql/libmysql/update_sources:
    Don't #define HAVE_COMPRESS on windows.

2001-01-24  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/HTML/ITX.php: Forgot to include IT.php.

2001-01-24  Stig Bakken  <ssb@fast.no>

    * pear/HTML/Form.php: typo

2001-01-24  Egon Schmid  <eschmid@s.netic.de>

    * ext/gd/gd.c: Protos fixed.

2001-01-24  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/gd/gd.c
      ext/gd/php_gd.h:
    - Commited a patch that adds support for converting Images to WBMP format.
      (Thanx to Denis Gasparin <denis@editnet.it>)
    - Added support for converting images from JPG/PNG on the fly with the GD
      extension, which is usefull for creating dynamic WAP-sites 

2001-01-23  Boian Bonev  <boian@bonev.com>

    * ext/vpopmail/CREDITS
      ext/vpopmail/README
      ext/vpopmail/config.m4
      ext/vpopmail/php_vpopmail.c
      ext/vpopmail/php_vpopmail.h:
    changed function names to be like vpopmail_add_user instead vpopmail_adduser
    added vpopmail_error to report error string (vpopmail_errno global var)
    put exec functions back in with _ex (vpopmail_add_domain_ex)
    rewritten README to help users keep secure
    fixed protos to state bool instead void return type

2001-01-23  Colin Viebrock  <colin@easydns.com>

    * pear/Crypt/CBC.php: wrong name

    * pear/Makefile.in: Forgot this too ...

    * pear/Makefile.in: Never added this ...

2001-01-23  MySQL Team  <mysql-all@mysql.com>

    * ext/mysql/libmysql/thr_alarm.h
      ext/mysql/libmysql/thr_mutex.c
      ext/mysql/libmysql/typelib.c
      ext/mysql/libmysql/update_sources
      ext/mysql/libmysql/violite.c
      ext/mysql/libmysql/violite.h
      NEWS
      ext/mysql/libmysql/acinclude.m4
      ext/mysql/libmysql/bmove.c
      ext/mysql/libmysql/charset.c
      ext/mysql/libmysql/config-win.h
      ext/mysql/libmysql/dbug.h
      ext/mysql/libmysql/default.c
      ext/mysql/libmysql/errors.c
      ext/mysql/libmysql/fix_copyright
      ext/mysql/libmysql/global.h
      ext/mysql/libmysql/libmysql.c
      ext/mysql/libmysql/m_string.h
      ext/mysql/libmysql/mf_dirname.c
      ext/mysql/libmysql/mf_format.c
      ext/mysql/libmysql/mf_pack.c
      ext/mysql/libmysql/mf_path.c
      ext/mysql/libmysql/my_alloc.c
      ext/mysql/libmysql/my_create.c
      ext/mysql/libmysql/my_fopen.c
      ext/mysql/libmysql/my_init.c
      ext/mysql/libmysql/my_open.c
      ext/mysql/libmysql/my_pthread.c
      ext/mysql/libmysql/my_pthread.h
      ext/mysql/libmysql/my_static.c
      ext/mysql/libmysql/my_static.h
      ext/mysql/libmysql/my_sys.h
      ext/mysql/libmysql/my_thr_init.c
      ext/mysql/libmysql/my_wincond.c
      ext/mysql/libmysql/my_write.c
      ext/mysql/libmysql/mysql.h
      ext/mysql/libmysql/mysql_com.h
      ext/mysql/libmysql/mysql_version.h
      ext/mysql/libmysql/mysqld_error.h
      ext/mysql/libmysql/mysys_err.h
      ext/mysql/libmysql/net.c
      ext/mysql/libmysql/raid.h
      ext/mysql/libmysql/safemalloc.c
      ext/mysql/libmysql/string.c:
    Upgrade ext/mysql/libmysql to version 3.23.32.  One notable bug fix is
    that the client can now connect to a server which is using a default
    charset other than latin1.

2001-01-23  Thies C. Arntzen  <thies@thieso.net>

    * NEWS:
2001-01-23  Jim Winstead  <jimw@php.net>

    * ext/standard/credits.c: jouni was added as an author of the docs

2001-01-22  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c:
    If we can't call custom replacement function, don't change the subject
    string.

    * ext/standard/string.c:
    - Improved str_replace() to accept an array for any parameter - similar
      to preg_replace(). 

    * ext/pcre/php_pcre.c: Don't need to check for out-of-memory condition.

    * ext/pcre/php_pcre.c
      ext/pcre/php_pcre.h: Z-ify the source.

2001-01-22  Daniel Beulshausen  <daniel@php4win.de>

    * ext/mssql/mssql.dsp
      php.ini-dist
      php.ini-optimized:
    rename php_mssql70.dll to php_mssql.dll, as we have only one mssql extension

2001-01-22  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c:
    - Fixed extract() to properly prefix numeric keys when EXTR_PREFIX_ALL is
      used. 
    - Added EXTR_PREFIX_INVALID flag to extract() to automatically prefix
      string keys that do not constitute valid variable names. 

2001-01-22  Rasmus Lerdorf  <rasmus@php.net>

    * sapi/apache/mod_php4.c: Kill warning

2001-01-22  Zeev Suraski  <zeev@zend.com>

    * sapi/apache/mod_php4.c:
    Sigh.  Even less sleep than I thought :)  Really fix it this time.

    * sapi/apache/mod_php4.c:
    Too much work, not enough sleep...  Fix hash lookup

    * NEWS: Update and pastify NEWS

    * sapi/apache/mod_php4.c: Don't overwrite PATH_TRANSLATED if it exists

2001-01-21  Rasmus Lerdorf  <rasmus@php.net>

    * NEWS: This probably should have a NEWS entry

    * main/fopen-wrappers.c
      main/network.c
      main/php_open_temporary_file.c
      configure.in
      ext/mysql/libmysql/libmysql.c
      ext/standard/basic_functions.c
      ext/standard/dns.c
      ext/standard/file.c
      ext/standard/filestat.c
      ext/standard/fsock.c
      ext/standard/ftp_fopen_wrapper.c
      ext/standard/http_fopen_wrapper.c
      ext/standard/mail.c
      ext/standard/syslog.c:    BeOS patch from svanegmond@bang.dhs.org modified somewhat by Rasmus

2001-01-21  Jani Taskinen  <sniper@iki.fi>

    * ext/bz2/config.m4: Remove double 'yes' output.

2001-01-20  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c:
    Fix the scheme handler support and make it compile on win32 systems.

2001-01-20  Chuck Hagenbuch  <chuck@horde.org>

    * pear/HTTP/Compress.php: whitespace

2001-01-20  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Function_Cache.php: Next time without the 'Oops!'.

    * pear/Cache/Function_Cache.php:
    Fixed two small glitches. Note: The Shared Memory version of Function_Cache does not work correctly at the moment, but I'm on it.

2001-01-20  Sascha Schumann  <sascha@schumann.cx>

    * ext/pgsql/pgsql.c: Revert last completely broken patch.

2001-01-20  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Makefile.in: install the various HTML/* files

2001-01-20  Jani Taskinen  <sniper@iki.fi>

    * ext/bz2/config.m4: Check that libbz2.(a|so) is >= 0.95 (has BZ2_bzerror)

2001-01-20  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/iconv/EXPERIMENTAL: added: EXPERIMENTAL

2001-01-19  Jason Greene  <jason@inetgurus.net>

    * TODO: Desired functionality can be achieved with array_sum/array_count.

2001-01-19  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail/rfc822.php:
    remove a change that broke things, and removing an unused function.

2001-01-19  Richard Heyes  <richard.heyes@heyes-computing.net>

    * pear/Mail/rfc822.php:
    If extended format is in use and there are no groups, all the addresses are
    now added to an empty group. Also changed the format of the output, an
    array was being used unnecessarily.

2001-01-19  Jani Taskinen  <sniper@iki.fi>

    * ext/standard/image.c:
    - Added URL support for getimagesize() function 

2001-01-19  Sam Liddicott  <sam@ananova.com>

    * EXTENSIONS: Added muscat to EXTENSIONS as it should be there all along
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-19  Sascha Schumann  <sascha@schumann.cx>

    * main/php.h: Bump PHP_API_VERSION

2001-01-19  Derick Rethans  <d.rethans@jdimedia.nl>

    * NEWS: - Added a notice about the wordwrap function fix

2001-01-19  Sascha Schumann  <sascha@schumann.cx>

    * main/rfc1867.c: Make the code match the comment.

    Prior to this change, the upload code tried to add mangled names to
    the global HTTP_POST_FILES array, resulting in all kind of weird behaviour.

    After this change, multi-dimensional form elements are treated correctly
    and consistently.

2001-01-19  Jani Taskinen  <sniper@iki.fi>

    * ext/sockets/EXPERIMENTAL
      ext/vpopmail/EXPERIMENTAL
      ext/qtdom/EXPERIMENTAL
      ext/sablot/EXPERIMENTAL
      ext/satellite/EXPERIMENTAL
      ext/ingres_ii/EXPERIMENTAL
      ext/openssl/EXPERIMENTAL
      EXTENSIONS
      ext/bz2/EXPERIMENTAL
      ext/crack/CREDITS
      ext/crack/EXPERIMENTAL
      ext/domxml/EXPERIMENTAL
      ext/dotnet/EXPERIMENTAL:
    Added some missing EXPERIMENTAL files plus some missing extensions
    into EXTENSIONS file.

2001-01-19  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/HTML/IT.php
      pear/HTML/ITX.php: Whitespace only.

2001-01-19  Jani Taskinen  <sniper@iki.fi>

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c:
    - Added xslt_set_scheme_handler() function (carmelo@akooe.com)

2001-01-18  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h:
    - Added the pg_lolseek function, which allows for arbitrary seeking within
      a large object, and the pg_lotell call, which can be used to find the
      current file offset for a large object (Submitted by: Adam Haberlach
      <adam@newsnipple.com>).
    - Added the pg_lolseek and pg_lotell functions 

    * ext/standard/string.c:
    - Fix for bug #8367 (wordwrap not cutting correctly)

2001-01-18  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/HTML/ITX.php:
    Current version from the PHPLib CVS. Converted Tabs to spaces.

    Error handling must be pearified.

2001-01-18  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sockets/sockets.c: Fix the proto

2001-01-18  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/HTML/IT.php:
    Ok, now finally - special thanks to the Karmamaker Sascha -
    this is the current IT version from the PHPLib. Tabs replaced by spaces.

    Error handling has to be pearified and I'm not sure if PHPDoc works with
    this version.

2001-01-18  Alex Akilov  <akilov@us.ibm.com>

    * ext/java/config.m4:
    Support AIX/HP shared lib extensions and j2sdk1.3.0 (hotspot)

2001-01-18  Sam Liddicott  <sam@ananova.com>

    * ext/muscat/muscat.c: Some decent credits and such in the phpinfo page

2001-01-18  Jani Taskinen  <sniper@iki.fi>

    * ext/sablot/config.m4: Fixed a typo.

2001-01-18  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/datetime.c:
    - Fixed 'O' and 'r' flags of date() to have correct sign for timezone
      offset. 

2001-01-18  Sam Liddicott  <sam@ananova.com>

    * ext/muscat/config
      ext/muscat/aegis.log:
    Aghh.  Despite my efforts two files still slipped through

    * ext/muscat/LICENSE
      ext/muscat/LICENSE.about
      ext/muscat/Makefile.in
      ext/muscat/aegis.log
      ext/muscat/config
      ext/muscat/config.m4
      ext/muscat/muscat.c
      ext/muscat/muscat.php
      ext/muscat/muscat_handles.h
      ext/muscat/muscat_net.c
      ext/muscat/muscat_net.h
      ext/muscat/php_muscat.h:
    First checkin of muscat/empower module; been using it here for some time
    Developing using aegis and just checking in baseline from time to time

    See samjam@php.net for questions

2001-01-18  Stanislav Malyshev  <stas@zend.com>

    * ext/readline/README.libedit
      ext/readline/config.m4
      ext/readline/php_readline.h
      ext/readline/readline.c: Libedit readline replacement support

2001-01-18  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/README.txt: Expand tabs

    * ext/ircg/README.txt: Add a pointer to the homepage at the beginning

2001-01-17  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/datetime.c:
    - Changed 'Z' flag to date() to always return timezone offset with
      negative sign if it's west of UTC. 

2001-01-17  Sean Bright  <elixer@erols.com>

    * ext/standard/php_string.h
      ext/standard/basic_functions.c:
    Put these back where they belong.  They weren't necessary unless ZTS and
    HAVE_LOCALECONV were both defined.

2001-01-17  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * pear/HTML/Processor.php:
     Add the HTML_Processor class which provides common functions for processing HTML.
     

2001-01-17  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/PHPDoc/prepend.php
      pear/HTML/IT.php
      pear/HTML/ITX.php: Move IT[x] to HTML/.

2001-01-17  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c:
    Fix (well it works) the error display with sablotron.

2001-01-17  Stig Venaas  <venaas@uninett.no>

    * ext/ldap/ldap.c:
    Making parallel search allow different filter for each link

2001-01-17  Sascha Schumann  <sascha@schumann.cx>

    * configure.in: Fix vpath builds on freebsd

2001-01-17  Jani Taskinen  <sniper@iki.fi>

    * ext/sablot/sablot.c: Make sablot compile again. Typo?

2001-01-17  Rasmus Lerdorf  <rasmus@php.net>

    * ext/exif/exif.c
      main/network.c: Kill a couple of warnings

2001-01-17  Sean Bright  <elixer@erols.com>

    * configure.in: Updated configure.in to look for strcoll()

    * ext/standard/basic_functions.c
      ext/standard/php_string.h
      ext/standard/string.c:
    Added string comparison function strcoll().  It uses the current locale to
    do the comparisons.

2001-01-16  Jani Taskinen  <sniper@iki.fi>

    * ext/gd/gd.c: Fixed bug #8733

2001-01-16  Rasmus Lerdorf  <rasmus@php.net>

    * ext/sockets/sockets.c: Kill some warnings

2001-01-16  Mika Tuupola  <tuupola@appelsiini.net>

    * pear/Image/Remote.php:
    Fixed the vim rules.

2001-01-16  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c:
    Added the SABLOT_SET_ERROR() macro to set sablotron errors...

2001-01-16  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c
      README.Zeus:    Added changes to environment variable manipulations, to support Zeus 3.3.8
    and increase compatibility between Zeus/IIS/Apache. Now, URLs like
    http://foo.org/file.php/a/b/c/d work correctly.

2001-01-16  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Use the write buffer subsystem to accumulate network writes and to
    increase the overall through-put.

2001-01-16  Sean Grimes  <metallic@noworlater.net>

    * pear/XML/Render.php:
    Added a method to call the HTML and PDF rendering modes(not implemented yet).
    Added the parse function which should allow for finer XML parsing.
    The XML file contents are now stored in a var available to the entire class.
    Added a wrapper around setInputFile() and setInput()

2001-01-15  Zeev Suraski  <zeev@zend.com>

    * sapi/isapi/stresstest/stresstest.dsp: Fix output dir

    * sapi/isapi/stresstest/stresstest.cpp:
    - Implement CompareStringWithFile()
    - Remove a stupid NULL assignment that slipped in the last commit

    * sapi/isapi/stresstest/notes.txt
      sapi/isapi/stresstest/stresstest.cpp:
    - Implement quick file comparing routine
    - Fix crash - wait on the threads themselves, not on Event objects.
      It takes time between the time a thread signals the event, and the
      time it actually terminates (shutdown code) - so FreeLibrary() and
      the main() termination could occur before all of the threads
      terminated...

2001-01-15  Sascha Schumann  <sascha@schumann.cx>

    * sapi/aolserver/aolserver.c: Try harder to push data through the wire.

    I just learned that the AOLserver module will be used for a 100k users
    webmail service.  Wheee!

2001-01-15  Egon Schmid  <eschmid@s.netic.de>

    * ext/mhash/mhash.c: Some protos fixed.

2001-01-15  Zeev Suraski  <zeev@zend.com>

    * main/php_globals.h
      main/php_ini.c: - Remove the ini_extension_list global
    - Switch to delayed loading of Zend extensions

    * main/rfc1867.c: Use free_estring()

    * ext/standard/php_string.h: Nuke a couple of warnings

    * ext/odbc/php_odbc.c: Fix Win32 build

2001-01-15  Sascha Schumann  <sascha@schumann.cx>

    * main/php_globals.h
      main/php_ini.c:
    Defer loading of extensions until all configuration entries have been
    added to the configuration hash.

2001-01-15  David Croft  <david@infotrek.co.uk>

    * ext/vpopmail/php_vpopmail.c
      ext/vpopmail/php_vpopmail.h:
    restored vadddomain/vdeldomain to use library functions rather than invoking
     vpopmail executables
    implemented vaddaliasdomain natively
    global variable to store whether vpopmail was used and only vclose() if
     necessary
    return the functions to returning true/false for success/failure rather than
     some arbitrary vpopmail return value
    return the functions to not doing everything at once as you then lose
     fine-grain control over its operation
    change C++ comments to C

2001-01-15  Shane Caraveo  <shane@php.net>

    * sapi/isapi/stresstest/notes.txt
      sapi/isapi/stresstest/stresstest.cpp: test now produce valid OK or FAIL.

2001-01-15  Stig Bakken  <ssb@fast.no>

    * pear/DB/STATUS: * status update: odbc now supports errorNative

2001-01-15  Shane Caraveo  <shane@php.net>

    * sapi/isapi/stresstest/stresstest.cpp:
    dont do results if not using test files

2001-01-15  Stig Bakken  <ssb@fast.no>

    * pear/DB/odbc.php: * DB_odbc: added native error support

2001-01-15  Shane Caraveo  <shane@php.net>

    * sapi/isapi/stresstest/stresstest.cpp: clean up temp files

2001-01-15  Stig Bakken  <ssb@fast.no>

    * ext/odbc/php_odbc.c
      ext/odbc/php_odbc.h:
    - Added odbc_error() and odbc_errormsg() functions 

    * pear/DB/tests/odbc/.cvsignore
      pear/DB/tests/odbc/001.phpt
      pear/DB/tests/odbc/002.phpt
      pear/DB/tests/odbc/003.phpt
      pear/DB/tests/odbc/004.phpt
      pear/DB/tests/odbc/006.phpt
      pear/DB/tests/odbc/007.phpt
      pear/DB/tests/odbc/010.phpt
      pear/DB/tests/odbc/connect.inc
      pear/DB/tests/odbc/dsn.inc
      pear/DB/tests/odbc/mktable.inc
      pear/DB/tests/odbc/skipif.inc: * defined a bunch of ODBC tests

2001-01-15  Shane Caraveo  <shane@php.net>

    * sapi/isapi/stresstest/stresstest.cpp: check files open

    * sapi/isapi/stresstest/stresstest.cpp: fix file reading, add results

    * sapi/isapi/stresstest/notes.txt
      sapi/isapi/stresstest/stresstest.cpp
      sapi/isapi/stresstest/stresstest.dsp:
    Multithreaded stress test program for isapi module now supports phpt files
    still stuff to do before it's realy done, but does run the tests, just need
    to get it to compare results right now.

2001-01-14  David Croft  <david@infotrek.co.uk>

    * ext/vpopmail/config.m4:
    vpopmail's bin dir is unnecessary as the library exports these functions

2001-01-14  Boian Bonev  <boian@bonev.com>

    * ext/vpopmail/README:
    * ext/vpopmail/php_vpopmail.c
      ext/vpopmail/php_vpopmail.h: merged my version with David Croft's
    removed unneccessary php.ini calls and defines
    removed module_init, shutdown, request_init declarations and references
    added request_shutdown to close mysql/other db connection
    	(a must in apache module)
    added defines for external binaries from vpopmail
    changed functions to present more consistent api from user's point of view
    	so that in one call more stuff is done
    added more comprehensive MINFO function helping users debug their case
    added static int vpopmail_exec(char *cmd) [will change to php_Exec soon]

    * ext/vpopmail/CREDITS: updated

2001-01-14  Rasmus Lerdorf  <rasmus@php.net>

    * ext/standard/exec.c: Name this php_Exec instead

2001-01-14  Boian Bonev  <boian@bonev.com>

    * ext/vpopmail/config.m4: rewritten the whole logic of the script
    added VPOPMAIL_BIN_DIR to point to ~vpopmail/bin directory
    added checks for ALL files needed by the extension
    style fixes to the output

2001-01-14  Sean Bright  <elixer@erols.com>

    * ext/standard/basic_functions.c
      ext/standard/php_string.h
      ext/standard/string.c
      main/config.w32.h
      configure.in:

    Added localeconv() function.  Operates similarly to localeconv() defined in
    locale.h.  Should work well under non-ZTS as well as ZTS.

2001-01-14  Rasmus Lerdorf  <rasmus@php.net>

    * ext/standard/exec.c: Export _Exec for extensions to use

2001-01-14  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/file.c: fixed readfile() fd-leak.

    guys, always remember that every function that *generates output* could cause a
    bailout if ignore_user_abort is set to false (and the user _aborts_ the
    connection). in this case a longjump will be performed and our function (in
    this case readfile) will have no chance to clean-up. having said that it's a
    good idea to register all opened files using REGISTER_RESOURCE - that way the
    engine will make sure they get closed on request end.

2001-01-14  Zeev Suraski  <zeev@zend.com>

    * ext/mysql/php_mysql.c:
    Don't fetch numeric indices in mysql_fetch_object()

2001-01-14  David Croft  <david@infotrek.co.uk>

    * ext/vpopmail/php_vpopmail.c:
     New extension for vpopmail - http://www.inter7.com/vpopmail (David Croft)

    * ext/vpopmail/.cvsignore
      ext/vpopmail/CREDITS
      ext/vpopmail/Makefile.in
      ext/vpopmail/config.m4
      ext/vpopmail/php_vpopmail.c
      ext/vpopmail/php_vpopmail.h: vpopmail extension

2001-01-14  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/iconv/iconv.c
      ext/iconv/php_iconv.h:
    added iconv_get_encoding and supported initialization from php.ini

2001-01-14  David Croft  <david@infotrek.co.uk>

    * ext/standard/datetime.c: reserve space for quoted characters
    fixes buffer overrun bug #8694

2001-01-14  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/ibase/.cvsignore
      pear/DB/tests/ibase/001.phpt
      pear/DB/tests/ibase/002.phpt
      pear/DB/tests/ibase/003.phpt
      pear/DB/tests/ibase/004.phpt
      pear/DB/tests/ibase/006.phpt
      pear/DB/tests/ibase/010.phpt
      pear/DB/tests/ibase/connect.inc
      pear/DB/tests/ibase/mktable.inc
      pear/DB/tests/ibase/skipif.inc:
    * defined some interbase tests, unable to run them yet

2001-01-13  Zeev Suraski  <zeev@zend.com>

    * ext/standard/basic_functions.c
      ext/standard/file.c
      ext/standard/file.h
      ext/standard/fsock.c
      ext/standard/fsock.h:
    Both thread-safe and thread-unsafe builds should be ok now

    * ext/sybase_ct/php_sybase_ct.c:
    Add sybase_get_last_message() from Jan Fedak <J.Fedak@sh.cvut.cz>

2001-01-13  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/fsock.c: - Removed a stale var that broke the build

    * ext/standard/exec.c:
    - There was one ret left, changed it to FG(pclose_ret), this fixes the
      build

2001-01-13  Colin Viebrock  <colin@easydns.com>

    * ext/mcrypt/mcrypt.c:
    Support for perl-compatible blowfish encryption (in libmcrypt CVS and
    versions later than 2.4.8)

    * pear/Crypt/CBC.php: Credit

    * pear/Crypt/CBC.php: Cre
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-13  Zeev Suraski  <zeev@zend.com>

    * ext/standard/exec.c
      ext/standard/file.c
      ext/standard/file.h
      ext/standard/fsock.c
      ext/standard/fsock.h: - Fix exec() bug
    - Merge fsock and file globals

    * main/main.c: cleanup time...

    * main/main.c: Remove some more useless code

    * main/main.c
      main/php_ini.c: Remove stale code

    * ext/standard/http_fopen_wrapper.c
      main/network.c: Fix Windows & thread-safe build

2001-01-13  Stig Venaas  <venaas@uninett.no>

    * configure.in
      main/network.c:
    Simplified code a bit, added detailed error reporting, and fixed a bug
    when getaddrinfo returned a non-IP family before IP families

2001-01-13  Sascha Schumann  <sascha@schumann.cx>

    * main/rfc1867.c:
    arr_index errorneusly included the trailing ']' character, so that
    variable names like Data_name[Image]] were passed to the register functions.

    * pear/Makefile.in: Fix make install in VPATH builds

2001-01-13  Stig Venaas  <venaas@uninett.no>

    * ext/ldap/ldap.c:
    Fixed memory leaks that could happen in some error situations. Also removed
    some unnecessary code in ldap_set_option()

    * ext/openssl/openssl.c:
    Realized that emalloc() never returns NULL, simplified code

2001-01-12  Sean Grimes  <metallic@noworlater.net>

    * pear/XML/Render.php:
    Adding Render.php, which helps render documents from XML files.

2001-01-12  Stig Venaas  <venaas@uninett.no>

    * ext/ldap/ldap.c:
    Added parallel search when given array of link identifiers

    * ext/standard/http_fopen_wrapper.c:
    Follows redirects again, and $http_response_header now contains all headers
    with an empty string as delimiter

2001-01-12  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/php_domxml.c: - Fixed a possible crash bug in xmltree().

2001-01-12  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    We never want to appand to the result string, so set len to 0 initially.

    * ext/ircg/ircg.c: Encode HTML entities by default

    * ext/ircg/ircg.c:
    Add a hook for signaling "you're gone" to the client on channel part

2001-01-12  Chuck Hagenbuch  <chuck@horde.org>

    * pear/HTTP/Compress.php
      pear/Makefile.in:
    Add HTTP_Compress::, which provides an easy wrapper around producing
    gzip-compressed html. This should be ported to use the ob_gzhandler() output
    handler, but I haven't had a chance to look into that yet.

2001-01-12  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Add a format string which allows us to implement a transaction-like
    JS interface for large joins (many changes, one commit).

    * ext/ircg/ircg.c
      ext/ircg/php_ircg.h: Make the format-msg functions actually available.

    * ext/ircg/ircg.c:
    Make some strings static to avoid reallocating the buffers a thousand
    times per second.

    * ext/ircg/ircg.c:
    Try to be more memory friendly by avoiding storing redundant data.

2001-01-12  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/curl/curl.c
      ext/curl/php_curl.h: Make daniel's changes work in ZTS mode...

2001-01-12  Daniel Beulshausen  <daniel@php4win.de>

    * ext/curl/php_curl.h: take out emtpy struct

2001-01-12  Mika Tuupola  <tuupola@appelsiini.net>

    * pear/Makefile.in:
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:
    Added Image_Remote class.

2001-01-12  Rasmus Lerdorf  <rasmus@php.net>

    * ext/mysql/php_mysql.c:
    Fix for bug 6073 from Sean R. Bright <elixer@erols.com>

2001-01-11  Colin Viebrock  <colin@easydns.com>

    * pear/Crypt/CBC.php: Class that emulates Perl's Crypt::CBC module

    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-11  Chuck Hagenbuch  <chuck@horde.org>

    * pear/PHPDoc/apidoc/keep/index2.html
      pear/PHPDoc/renderer/html/PhpdocHTMLIndexRenderer.php:
    rename this frame. for some reason, IE wasn't recognizing the target
    correctly, but it works with a shorter frame name. go figure.

    * pear/PHPDoc/xmlreader/PhpdocXMLReader.php:
    xml_parse_into_struct() forces the third and fourth arguments to be passed
    by reference; there's no need to specify it at call-time and cause a warning.

2001-01-11  Andrei Zmievski  <andrei@ispi.net>

    * pear/Console/Getopt.php
      pear/Makefile.in:
    - Added Console_Getopt class for parsing command-line args. (Andrei, PEAR)

2001-01-11  Jani Taskinen  <sniper@iki.fi>

    * ext/sablot/config.m4: Fix build.

2001-01-11  Zeev Suraski  <zeev@zend.com>

    * main/php_version.h
      NEWS
      configure.in: Prepare to roll pl1
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-11  Jani Taskinen  <sniper@iki.fi>

    * ext/wddx/php_wddx.h: If external expat is used, header file is expat.h

2001-01-11  Daniel Beulshausen  <daniel@php4win.de>

    * ext/sablot/sablot.dsp: removed old expat libs

2001-01-11  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/zziplib/CREDITS
      ext/zziplib/EXPERIMENTAL
      ext/zziplib/README
      EXTENSIONS: Housekeeping...

    * ext/zziplib/php_zziplib.h
      ext/zziplib/zziplib.c:
     Add an experimental version of the ZZipLib extension which provides the
     ability to read zip files. 

2001-01-10  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Improved handling for empty format strings

    Also kill a warning

    * ext/ircg/ircg.c:
    Fix a bug of the D'oh! class (RETVAL instead of RETURN), let the first
    irconn_id be 1 and allow empty strings as format strings.

    * ext/ircg/ircg.c:
    Check the return value irc_connect().  There are some cases where
    that function would fail and we were leaking memory.

2001-01-10  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * main/php_compat.h: *** empty log message ***

    * ext/sablot/config.m4
      ext/xml/config.m4:
    disable directory search for libexpat and disable some macros for libxml-1.95.

2001-01-10  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c:
    Especially on FreeBSD it seems to be common that send(2) does not
    do a decent job.  We handle that better now.

    * ext/ircg/ircg.c:
    Remove unused channel element from the php_irconn structure.

    Remove unnecessary check when freeing custom format messages.

    Improve handling, if send(2) fails.

2001-01-10  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/exec.c:
    exec'd processes now get cleaned up even if the browser connections was
    aborted.
    fixes: #8143

2001-01-10  David Croft  <david@infotrek.co.uk>

    * ext/standard/datetime.c: fixed swatch internet time (bugs#8242,7106)

    * ext/standard/datetime.c:
    Allocate buffer in date() for the actual length of the timezone (bug#8292)

2001-01-10  Stig Bakken  <ssb@fast.no>

    * configure.in: * renamed PEAR scripts
    * set localstatedir

    * pear/scripts/.cvsignore: added .cvsignore file

    * pear/scripts/pear.in
      pear/scripts/php-config.in
      pear/scripts/phpextdist
      pear/scripts/phpize.in
      pear/Payment/Verisign.php
      pear/XML/Parser.php
      pear/Numbers/Roman.php
      pear/PEAR/Installer.php
      pear/Math/Fraction.php
      pear/Math/Util.php
      pear/Net/Curl.php
      pear/Net/SMTP.php
      pear/Net/Socket.php
      pear/File/Passwd.php
      pear/HTML/Form.php
      pear/Image/Remote.php
      pear/Mail/rfc822.php
      pear/Mail/sendmail.php
      pear/Mail/smtp.php
      pear/Date/Human.php
      pear/File/Find.php
      pear/Benchmark/Iterate.php
      pear/Benchmark/Timer.php
      pear/Cache/Function_Cache.php
      pear/Crypt/HCEMD5.php
      pear/DB/common.php
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php
      pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/storage.php
      pear/DB/sybase.php
      pear/DB.php
      pear/HTTP.php
      pear/Mail.php
      pear/Makefile.in
      pear/PEAR.php.in
      pear/package.dtd
      pear/pear.in
      pear/php-config.in
      pear/phpextdist
      pear/phpize.in
      pear/run-tests.in: * updated copyrights (thanks Colin)
    * moved scripts to own directory (bug #7635)

2001-01-09  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/sablot/config.m4:
    added a option to dedine libexpat install directory (by Jani Taskinen)

2001-01-09  Colin Viebrock  <colin@easydns.com>

    * pear/README: I should learn how to spell
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

    * pear/README: Now the coding standards are defined elsewhere ...
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

    * pear/Schedule/At.php:
    Attempt to use PEAR error class ... someone please check this over

2001-01-09  Zeev Suraski  <zeev@zend.com>

    * ext/pdf/pdf.c
      NEWS: Merge Daniel's PDF fixes
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-09  Colin Viebrock  <colin@easydns.com>

    * pear/Schedule/At.php: more docs, remove debugging line

2001-01-09  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c:
    Move the definition of the xslt_set_encoding to the "proper" place in the file and
    fix the prototype.

2001-01-09  Colin Viebrock  <colin@easydns.com>

    * pear/Schedule/At.php:
    Schedule_AT class: interface to the Unix "at" command

    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-09  Jon Parise  <jon@csh.rit.edu>

    * pear/CODING_STANDARDS: Update the copyright year range to 1997-2001.

2001-01-09  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/url_scanner_ex.re
      ext/standard/output.c
      ext/standard/url_scanner_ex.c:
    Avoid possible memory leak in the URL scanner, if the connection is
    interrupted during writing the output.

2001-01-09  Egon Schmid  <eschmid@s.netic.de>

    * ext/iconv/iconv.c: Sorry, two lines are enough.

    * ext/iconv/iconv.c: Fixed protos.

2001-01-09  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/iconv/tests/001.phpt: added test code to iconv.

    * ext/iconv/Makefile.in
      ext/iconv/config.m4
      ext/iconv/iconv.c
      ext/iconv/php_iconv.h:
    move iconv related functions to separate iconv extension.

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h
      ext/standard/config.m4
      ext/standard/php_string.h
      ext/standard/string.c: added iconv extension.

2001-01-09  Thies C. Arntzen  <thies@thieso.net>

    * main/safe_mode.c:
    - Allow access to uploaded files in safe_mode. Beware that you can only
      read the file. If you copy it to new location the copy will not have the
      right UID and you script won't be able to access that copy. 

2001-01-09  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/README.txt: Update documentation/add status

2001-01-09  Jani Taskinen  <sniper@iki.fi>

    * ext/standard/basic_functions.c:
    If TZ environment variable is changed call tzset().

2001-01-09  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c:
    Propagate the response code/HTTP status code back to thttpd for logging.

    * sapi/thttpd/thttpd.c: Account the number of sent bytes properly

    * ext/ircg/ircg.c:
    Handle the case that the IRC server kills our connection more gracefully
    (i.e. without segfaulting the whole server).

2001-01-09  Hartmut Holzgraefe  <hartmut@six.de>

    * pear/php-config.in: fix for Bug id #8606

2001-01-09  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/var.c:
    php_add_var_hash() uses sizeof(id) in the calls to zend_hash_*, implying
    that all bytes in the character array have been set (they are used
    to compute the hash value using hashpjw).

    The function assumes that sprintf's %p modifier would always prefix
    the output with "0x".  On HPUX, this is not the case.  Hence, not
    all bytes may be properly initialized before being read.

    This has been addressed by using only initialized bytes as the key.

    * ext/ircg/ircg.c:
    Use sapi_send_headers() and use the simpler zend_llist_apply*
    function for traversing the message buffer.

    * ext/ircg/ircg.c:
    Add an irc handler for (non-)fatal error messages and don't free
    our default strings which are static.

    * ext/ircg/ircg.c
      ext/ircg/php_ircg.h: Add ircg_is_conn_alive()

    * ext/ircg/ircg.c:
    Kill a warning, initialize some variables properly in mirc_colors(),
    and make the standard output XHTML compatible (to a certain degree).

2001-01-08  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/sapi_apache2.c
      sapi/apache2filter/php_functions.c: Make Apache 2.0 filter build again

    * ext/standard/string.c: WS fix

    * ext/standard/string.c: Fix ZTS build (broken by iconv-related changes).

2001-01-08  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c:
    Changed extract() to check that prefixed name is a valid one.
    Optimized extract() a bit too.


2001-01-08  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/crypt.c:
    - Fix for bug #8535 - floating point exception on FreeBSD while initializing
      crypt random numbers

2001-01-08  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c:
    - Changed extract() to return the number of variables extracted. 

2001-01-08  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/browscap.c:
    Optimize it a bit - no need to dup empty string (which can be pretty common for .ini)

    * ext/standard/browscap.c:
    Duplicate property value, otherwise parser would free it and we're in bad shape.

    * ext/standard/browscap.c: Fix undefind filehandle type on INI parsing.

2001-01-08  Egon Schmid  <eschmid@s.netic.de>

    * ext/ldap/ldap.c: Corrected some protos.

2001-01-08  Stig Venaas  <venaas@uninett.no>

    * ext/ldap/ldap.c
      ext/ldap/php_ldap.h:
    Added ldap_rename(). Currently requires API with ldap_rename().

    * NEWS: *** empty log message ***

2001-01-08  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/exec.c: Use platform's dir separator

2001-01-08  Rasmus Lerdorf  <rasmus@php.net>

    * NEWS: Test ACL commit

2001-01-08  Stig Bakken  <ssb@fast.no>

    * pear/PEAR/Installer.php: * display a notice when downloading

    * pear/DB/TESTERS
      pear/DB/odbc.php
      pear/PEAR/Installer.php
      pear/DB/STATUS
      pear/pear.in: * updated DB status
    * updated the "pear" script, it can install basic packages now

2001-01-08  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/standard/basic_functions.c
      ext/standard/php_string.h
      ext/standard/string.c:
    added iconv_set_encoding() to change the encoding setting.

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h
      ext/standard/php_string.h
      ext/standard/string.c:
    added a output handler function ob_iconv_handler which tranforms output encoding using iconv().

2001-01-08  Shane Caraveo  <shane@php.net>

    * sapi/isapi/stresstest/stresstest.cpp: ignore blank lines

    * sapi/isapi/stresstest/notes.txt
      sapi/isapi/stresstest/stresstest.cpp: add notes on this program

2001-01-07  Shane Caraveo  <shane@php.net>

    * sapi/isapi/stresstest/stresstest.cpp
      sapi/isapi/stresstest/stresstest.dsp:
    stresstest is based on cgiwrap.  it can be used to debug php4isapi.dll without
    the use of an actual web server.

    * sapi/isapi/php4isapi.c: define flag to turn off exception handling

2001-01-07  Stig Venaas  <venaas@uninett.no>

    * ext/standard/credits_ext.h: Added OpenSSL

    * configure.in: Changed OpenSSL requirements from 0.9.6 to 0.9.5

    * ext/ldap/ldap.c:
    Minor changes to LDAP_OPT constants, and added support for controls to
    ldap_set_option.

2001-01-07  Zeev Suraski  <zeev@zend.com>

    * ext/standard/browscap.c: Fix possible startup crash

    * main/php_ini.h: Fix CGI build

    * main/main.c: Change get_ini_entry to get_configuration_directive

2001-01-07  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/crypt.c:
    - Fix for bug 7035, regarding PHP_MAX_SALT_LENGTH for OpenBsd

2001-01-07  Stig Venaas  <venaas@uninett.no>

    * ext/ldap/ldap.c
      ext/ldap/php_ldap.h:
    Added LDAPv3 stuff. ldap_search() now treats LDAP_ADMINLIMIT_EXCEEDED like
    LDAP_SIZELIMIT_EXCEEDED and returns referral results.
    Added new functions ldap_parse_result(), ldap_first_reference(),
    ldap_next_reference() and ldap_parse_reference() that among other things
    make referrals and search references accessible.

2001-01-07  Sascha Schumann  <sascha@schumann.cx>

    * ext/imap/php_imap.c: Fix ZTS build which was broken by the last commit

2001-01-07  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c: Merged from rev 1.105

    * ext/oci8/oci8.c: fix small leak in ociexecute()
    fixes: #8573
    submitted by: tcarroll@chc-chimes.com

2001-01-07  Stig Venaas  <venaas@uninett.no>

    * acinclude.m4
      ext/openssl/openssl.c:
    Made OpenSSL extension work with 0.9.5 and changed version check to 0.9.5

2001-01-07  Sascha Schumann  <sascha@schumann.cx>

    * ext/session/session.c:
    Use MAKE_STD_ZVAL/FREE_ZVAL to handle zval memory allocation.

    * ext/session/tests/004.phpt
      ext/session/tests/005.phpt: Add a new test and refine the fourth test

    * ext/session/mod_user.c
      ext/session/session.c:
    Use zval_ptr_dtor instead of zval_dtor/FREE_ZVAL pair.

    Submitted by: Andi Gutmans

2001-01-07  Jani Taskinen  <sniper@iki.fi>

    * ext/gd/gdcache.h: Fixed bug: 8478

    * ext/imap/php_imap.c: imap_user and imap_password were freed too early.
    PR: 8424

2001-01-07  Jon Parise  <jon@csh.rit.edu>

    * pear/CODING_STANDARDS: Fix typo.  This one was my fault, anyway.

2001-01-07  Chuck Hagenbuch  <chuck@horde.org>

    * pear/CODING_STANDARDS: list the correct modeline for vi.

2001-01-06  Mika Tuupola  <tuupola@appelsiini.net>

    * pear/Image/Remote.php:
    Initial commit.

2001-01-06  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/gd/config.m4: fixed option name mismatch.

    * ext/sablot/config.m4
      ext/sablot/php_sablot.h
      ext/sablot/sablot.c:
    linked with libexpat. it's necessary to use sablot-0.50. added xslt_set_encoding() function.

2001-01-05  Frank M. Kromann  <fmk@swwwing.com>

    * ext/odbc/php_odbc.c:
    Adding hack to allow odbc_tables to work on Access databases

2001-01-05  Chuck Hagenbuch  <chuck@horde.org>

    * pear/File/Passwd.php
      pear/Makefile.in:
    add File/Passwd.php to the install rules, and change the class name to
    File_Passwd to match our standard.

    * pear/Mail.php: revert Jon's patch, leaving only the correct one.

2001-01-05  Rasmus Lerdorf  <rasmus@php.net>

    * pear/File/Passwd.php:
    A quick little class I tossed together to manipulate passwd files with
    Will clean it up soonish...

2001-01-05  Jon Parise  <jon@csh.rit.edu>

    * pear/Mail.php:
    $from_arr is a two-dimensional array here.  Treat it as such.

    Submitted by: Max Kalika <max@the-triumvirate.net>

2001-01-05  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail.php:
    make sure we get back a flat array from parseAddressList().

2001-01-05  Jon Parise  <jon@csh.rit.edu>

    * configure.in:
    Fix the substitution of PEAR_INSTALLDIR. (@PEAR_INSTALLDIR@ in pear/PEAR.php.in)

2001-01-05  Daniel Beulshausen  <daniel@php4win.de>

    * ext/xml/xml.c: remove stupid ifdef's

    * win32/php4dll.dsp
      win32/php4dllts.dsp: finally remove -S option from bison

    * ext/standard/datetime.c:
    fixed date not allocating enough buffer, bug 7963

    * ext/xml/xml.c: include config.w32.h under win32

    * sapi/apache/php_apache.c: make threaded apache module build again

2001-01-05  Andi Gutmans  <andi@zend.com>

    * ext/domxml/php_domxml.c: - Get rid of C++ comments

2001-01-05  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/domxml/php_domxml.c:
    - fixed potential segmfault in xmldoc() and xmldocfile()

2001-01-05  Jani Taskinen  <sniper@iki.fi>

    * configure.in:
    Added missing ieeefp.h. (This is needed e.g. by nsapi on some systems)

2001-01-05  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/xml/Makefile.in
      ext/xml/config.m4
      ext/xml/php_xml.h
      ext/xml/xml.c:
    added libxml-1.95 support and some new functions related to namespace support. changed config.m4 to support xml extension as shared module.

2001-01-05  Chuck Hagenbuch  <chuck@horde.org>

    * pear/CODING_STANDARDS:
    initial coding standards doc for all to argue over.

2001-01-04  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Benchmark/Iterate.php
      pear/Benchmark/Timer.php:
    Added some more documentation. Fixed whitespaces, at least I hope so.

    * pear/Benchmark/Iterate.php
      pear/Benchmark/Timer.php: Changed my email address.

2001-01-04  Frank M. Kromann  <fmk@swwwing.com>

    * ext/mssql/php_mssql.c:
    Fixing wrong return value when executing statements not returning a record set.

2001-01-04  Sascha Schumann  <sascha@schumann.cx>

    * ext/session/session.c: MFH session_unset() fix

    * tests/dirname.phpt: MFH with version 1.2

2001-01-04  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Log.php:
    fix the Log::factory() method to assume that the Log stuff is in the
    include_path (like all of PEAR does).

2001-01-04  Jan Borsodi  <jb@ez.no>

    * ext/qtdom/CREDITS: Added credits.

    * ext/qtdom/qtdom_qt.cpp: Removed some stupid header text.
    Implemented functions for returning the error string and starting and stopping the message handler.
    Added comments for all functions.

    * ext/qtdom/qtdom_qt.h: Removed some stupid header text.
    Added a new struct for handling error logs and Qt Message Handler handles.
    Added functions for returning the error string and starting and stopping the message handler.

    * ext/qtdom/qtdom.c:
    New function qdom_error which returns the error text from the last qdom operation, or FALSE if none occured.
    Fixed the documentation for the qdom_tree function.
    Added init and shutdown code for some global variables.
    Added code for starting and stopping the Qt Message Handler in qdom_tree.

    * ext/qtdom/qtdom.h:
    New function qdom_error which returns the error text from the last qdom operation, or FALSE if none occured.

2001-01-04  Jouni Ahto  <jah@mork.net>

    * ext/informix/ifx.ec
      ext/informix/php_informix.h
      ext/interbase/interbase.c
      ext/interbase/php_interbase.h
      ext/pgsql/pgsql.c
      ext/pgsql/php_pgsql.h
      EXTENSIONS:
    Changing my email address...

2001-01-03  Zeev Suraski  <zeev@zend.com>

    * NEWS
      configure.in
      main/php_version.h: Prepare 4.0.4pl1-RC1
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

    * sapi/apache/mod_php4.c:
    Fix last couple of problematic execution paths that could corrupt the INI values

    * sapi/apache/mod_php4.c:
    Merge Apache module fixes - engine = off propogating to other vhosts
    and possible INI entries corruption
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-03  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail.php
      pear/Mail/rfc822.php:
    Mail.php: use the Mail_rfc822:: class to parse addresses. There is a small
    performance penalty, but it handles rfc822 groups, which
    imap_rfc822_parse_adrlist doesn't.

    rfc822.php: Style fixes, some small tweaks/optimizations, and work around a
    bit of object weirdness that caused the test for $this (to see if we were
    being called statically) to not be sufficient.

2001-01-03  Jani Taskinen  <sniper@iki.fi>

    * acinclude.m4:
    Added better checking for OpenSSL's libraries. Now configure stops
    if the libs aren't found.

2001-01-03  Jon Parise  <jon@csh.rit.edu>

    * ext/sockets/sockets.c:
    Make socket support compile under Solaris 8 with the Sun WorkShop compiler.

    PR: 8468

2001-01-03  Jani Taskinen  <sniper@iki.fi>

    * ext/pdf/pdf.c: I missed this function..

    * ext/curl/curl.c: Fix pr #8305.

    * ext/pdf/pdf.c
      ext/pdf/php_pdf.h: Trying to bring pdf extension a bit more up to date.

2001-01-03  Daniel Beulshausen  <daniel@php4win.de>

    * ext/pdf/pdf.c: fix filepath handling

2001-01-03  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Makefile.in:
    add Numbers/Roman.php, Net/Curl.php, and XML/RPC.php to the install rules.

2001-01-03  Dan Kalowsky  <dank@deadmime.org>

    * ext/odbc/php_odbc.c
      ext/odbc/php_odbc.h:
    These changes are to reflect those in the 4.0.5 development branch.  Mainly adding in compile capability for the OPENLINK system (changed a SQLINTEGER to an SDWORD to allow compile), and re-added in a #define for SOLID 3.0 systems... both are needed for proper functionality.
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2001-01-03  Zeev Suraski  <zeev@zend.com>

    * main/SAPI.h
      sapi/apache/mod_php4.c:
    Fix Apache module and remove excess elements from the SAPI structure

2001-01-03  Daniel Beulshausen  <daniel@php4win.de>

    * ext/pdf/pdf.c: fix bug 8341 & 8394

2001-01-03  Jani Taskinen  <sniper@iki.fi>

    * sapi/apache/mod_php4.c: Fix compile.

2001-01-03  Stanislav Malyshev  <stas@zend.com>

    * main/rfc1867.c:
    Fix #8486 (name= without quotes in MIME Content-Disposition header)
    Ported fix by kk/sas from PHP 3

2001-01-03  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Date/Human.php
      pear/Makefile.in:
    add allan@lodestone.co.za's Date_Human calculator class.

    * pear/Mail/rfc822.php
      pear/Makefile.in:
    here's an initial version of Richard Heyes' rfc822 email address parser.

    * pear/Benchmark/Timer.php:
    match coding standards, and be nice enough to work when bcmath isn't loaded.

    * pear/Crypt/HCEMD5.php:
    fix silly bug introduced by wrong order of arguments. this is slightly more
    elegant, anyway...

2001-01-02  Zeev Suraski  <zeev@zend.com>

    * ext/com/COM.c: Import COM patch from Harald Radi <h.radi@nme.at>
    The new code should allow for better international support.

    * sapi/servlet/servlet.c
      sapi/thttpd/thttpd.c
      sapi/phttpd/phttpd.c
      sapi/pi3web/pi3web_sapi.c
      sapi/roxen/roxen.c
      sapi/isapi/php4isapi.c
      sapi/nsapi/nsapi.c
      sapi/apache2filter/sapi_apache2.c
      sapi/caudium/caudium.c
      sapi/cgi/cgi_main.c
      main/php_ini.h
      sapi/aolserver/aolserver.c
      sapi/apache/mod_php4.c
      NEWS
      ext/standard/info.c
      main/SAPI.c
      main/SAPI.h
      main/main.c
      main/php_ini.c: Many patches.  I hope I remember them all:

    - Make sapi_module available to external modules (PHPAPI)
    - Make the php.ini path reported in phpinfo() always point to
      real full path of the php.ini file
    - Optimized the ISAPI module not to read unnecessary server
      variables and read necessary variables at most once.

2001-01-02  Stig Venaas  <venaas@uninett.no>

    * acinclude.m4:
    I think the order is wrong, switched order of ssl and crypto libs

2001-01-02  Jon Parise  <jon@csh.rit.edu>

    * php.ini-dist
      php.ini-optimized: Make this comment readable.

2001-01-02  Chuck Hagenbuch  <chuck@horde.org>

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re:
    Make the generated <input> lower case and terminated with a /,
    to be xhtml-compliant.

2001-01-02  Rasmus Lerdorf  <rasmus@php.net>

    * ext/standard/datetime.c: Fix date('r') overflow

2000-12-27  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * pear/Numbers/Roman.php:
    Add the Numbers_Roman class for converting to and from Roman numerals.

2000-12-27  Zeev Suraski  <zeev@zend.com>

    * ext/standard/basic_functions.c
      ext/standard/file.c
      ext/standard/info.c
      main/main.c
      main/php_ini.c
      win32/php4dll.dsp:
    - Make the INI mechanism thread safe (fix necessary API changes from Zend)
    - Make the Win32 non-TS configuration build again

2000-12-27  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c: Fix argument check (bug #8421).

2000-12-26  Zeev Suraski  <zeev@zend.com>

    * ext/mysql/libmysql/libmysql.dsp
      sapi/isapi/php4isapi.dsp
      win32/php4dllts.dsp
      win32/php4ts.dsp:
    Add Release_TSDbg support.  This mode compiles PHP with the release C runtime,
    but with optimizations disabled and with debug info.  Some crashes can only
    be debugged using this mode.

2000-12-25  James L. Pine  <jlp@valinux.com>

    * pear/DB/oci8.php:
    added quoteString function to override the one in common.  replaces single quotes with double single quotes.

2000-12-24  Sascha Schumann  <sascha@schumann.cx>

    * ext/gmp/tests/002.phpt
      ext/mcrypt/tests/001.phpt:
    Skip mcrypt/gmp tests, if the extensions are not available.

    * ext/session/tests/001.phpt
      ext/session/tests/002.phpt
      ext/session/tests/003.phpt
      ext/session/tests/004.phpt: Add session tests

    * ext/session/mod_user.c
      ext/session/session.c: MFH s/efree/FREE_ZVAL/ change

    * ext/session/tests/004.phpt: Add session_set_save_handler test

    * ext/session/mod_user.c
      ext/session/session.c: More instances of s/efree/FREE_ZVAL/

    * ext/session/mod_user.c:
    Not freeing the zval using FREE_ZVAL caused a segfault in
    shutdown_memory_manager.

    * ext/session/tests/003.phpt:
    Also call some member functions of the deserialized objects

    * build/rules.mk:
    Run run-tests.php in srcdir and add top_builddir/pear to the include
    path (does not seem to work though yet.  The include path does not
    seem to get changed at all).

    * ext/session/tests/003.phpt: Add session object deserialization test

    * ext/session/tests/001.phpt
      ext/session/tests/002.phpt:
    Add two regression tests for the session module

    * ext/standard/var.c:
    Fix segfault introduced through recent zend_hash_get_current_key* changes.

    * tests/dirname.phpt:
    Sync the expected output with Linux dirname output.  The test passes now.
    Perhaps this should be split into two tests, because the
    Win32 paths don't work properly with PHP's dirname on Unix.

    * build/rules.mk
      run-tests.php: Merge test-related changes

    * build/rules.mk
      run-tests.php: Fix "make test" in VPATH environments

2000-12-24  Thies C. Arntzen  <thies@thieso.net>

    * ext/xml/xml.c:
    revert last fix. the problem is now fixed globally in Zend.

2000-12-23  Thies C. Arntzen  <thies@thieso.net>

    * ext/xml/xml.c: fix #8363.
    fix call_user_function when parser->object is not set.

2000-12-23  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * pear/Net/Curl.php: 4.0.5-dev is not a release tag for @since...

    changed to 4.0.5

2000-12-23  Sascha Schumann  <sascha@schumann.cx>

    * configure.in:
    Pass some more variables to AC_SUBST as those are needed for Apache 1.3's
    libphp4.module.in.

2000-12-23  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * pear/Net/Curl.php:
    Add the Net_Curl class which provides a nice friendly OO interface to PHP's curl extension.

2000-12-22  Sascha Schumann  <sascha@schumann.cx>

    * ext/session/session.c:
    (PHP session_unset) Return early, if no session was started.

    PR: #8354

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re: Support multi-char arg separators.

    PR: #8274

    * ext/standard/file.c:
    Signal an error condition, if write was unable to perform the complete
    operation.

    * ext/standard/file.c:
    NULL is a valid return value of mmap.  Check against (void *) MAP_FAILED.

    * ext/standard/file.c:
    (php_file_copy) Use mmap to map the source file into our address space
    and then simply write it out to the target file.  That avoids switching
    between user and kernel land too many times.  If that does not work, we
    fall back to the read/write method.

2000-12-22  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c
      ext/standard/array.c:
    (PHP preg_replace) Fix to allow proper escaping of captured subpattern
    references in the replacement string.
    (PHP array_sum) Check that argument is an array.

2000-12-22  Zeev Suraski  <zeev@zend.com>

    * ext/standard/array.c
      ext/standard/info.c
      ext/standard/string.c
      ext/standard/var.c
      ext/wddx/wddx.c
      sapi/apache2filter/apache_config.c
      ext/pcre/php_pcre.c
      ext/pfpro/pfpro.c
      ext/sablot/sablot.c
      ext/session/session.c
      ext/imap/php_imap.c
      ext/java/java.c
      ext/ldap/ldap.c
      ext/oracle/oracle.c
      ext/com/COM.c
      ext/curl/curl.c
      ext/hyperwave/hw.c: Heads up people!

    Updated the get_current_key() API - the relevant authors, please take
    a look at the updated code and make sure it's ok...

2000-12-21  Jani Taskinen  <sniper@iki.fi>

    * ext/standard/string.c:
    - Changed setlocale() to use LC_* constants. 

2000-12-21  Sascha Schumann  <sascha@schumann.cx>

    * ext/session/mod_mm.c: No need for GCC extensions in non-debugging mode.

    PR: #8345

    * configure.in:
    Some AC_SUBST substitutions were removed which are still needed.

    Submitted by: Andrei Zmievski

2000-12-20  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Makefile.in: install the Math/* files.

2000-12-20  Sascha Schumann  <sascha@schumann.cx>

    * build/genif.sh
      ext/oci8/config.m4
      ext/odbc/config.m4
      ext/oracle/config.m4
      sapi/cgi/config.m4
      acinclude.m4
      configure.in
      genif.sh: Stop automatically passing vars to AC_SUBST through PHP_SUBST.

    There are some variables which are needed for Makefiles and files
    created by AC_OUTPUT; we use PHP_SUBST_OLD for those now.

    genif.sh was moved to an appropiate place.

    * build/print_include.awk
      configure.in
      genif.sh:
    Speed up the genif.sh script a little bit.  Whereas it took three seconds
    previously, it takes now about 100ms on a P233.

2000-12-20  Andi Gutmans  <andi@zend.com>

    * ext/standard/fsock.c:
    - Use memcmp() instead of ugly char-by-char compare

2000-12-20  Zak Greant  <zak@nucleus.com>

    * ext/standard/basic_functions.c: Removed unused variable from is_scalar

2000-12-20  Jani Taskinen  <sniper@iki.fi>

    * NEWS: Note about fix under correct version.

2000-12-20  Sascha Schumann  <sascha@schumann.cx>

    * ext/ctype/ctype.c
      ext/ctype/php_ctype.h
      ext/ctype/tests/001.phpt
      ext/ctype/tests/002.phpt: merge in function name changes

2000-12-19  Zeev Suraski  <zeev@zend.com>

    * ext/standard/credits.c
      ext/standard/info.c
      ext/standard/info.h: Add the QA team to the credits

2000-12-19  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/ctype/ctype.c
      ext/ctype/php_ctype.h
      ext/ctype/tests/001.phpt
      ext/ctype/tests/002.phpt:
     ctype functions now follow the extension naming conventions 

2000-12-19  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/fsock.c: Fix possible crash

2000-12-19  Ron Chmara  <ron@opus1.com>

    * CODING_STANDARDS: Updated to reflect recent discussions on php-dev.

2000-12-19  Sascha Schumann  <sascha@schumann.cx>

    * NEWS
      configure.in
      main/php_version.h: Preparing 4.0.4

2000-12-19  Jani Taskinen  <sniper@iki.fi>

    * ext/java/config.m4: wb fix.

    * ext/java/config.m4: Fix pr: #7982

2000-12-18  Zak Greant  <zak@nucleus.com>

    * ext/standard/tests/general_functions/005.phpt:
    Adding test for is_scalar().

2000-12-18  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Crypt/HCEMD5.php: Add some error checking/tolerance.

2000-12-18  Zak Greant  <zak@nucleus.com>

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h: Added is_scalar() function.

2000-12-18  Andi Gutmans  <andi@zend.com>

    * makedist: - No need to generate number.c and number.h anymore.

2000-12-18  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/sysvshm/sysvshm.c:
    fixed BUG #8306: shmat() returns -1 on errors, not NULL

2000-12-18  Stig Bakken  <ssb@fast.no>

    * pear/DB/mysql.php:
    * change mysql sequence type to unsigned and add not null (thanks Mikhail)

2000-12-17  Stanislav Malyshev  <stas@zend.com>

    * ext/odbc/config.m4:
    No need to link main binary with ODBC libs if we use shared module

2000-12-17  Thies C. Arntzen  <thies@thieso.net>

    * TODO: add a reminder about #3149

2000-12-17  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/string.c:
    Don't do anything, if the input string has a length of 0.

    PR: #7686

2000-12-16  Andi Gutmans  <andi@zend.com>

    * ext/dba/dba.c:
    - How did CVS let me commit this? Probably it confused with the branch
      merge

    * ext/dba/dba_dbm.c:
    - In PHP we're supposed to only use MAXPATHLEN (defined in php.h)

    * ext/standard/dir.c
      main/fopen-wrappers.c
      main/safe_mode.c
      sapi/phttpd/phttpd.c
      sapi/servlet/servlet.c
      ext/dba/dba.c:
    - Make all places use MAXPATHLEN in the same way. It includes the
      terminating NULL.

2000-12-16  Sam Ruby  <rubys@us.ibm.com>

    * sapi/servlet/servlet.c: AIX's XlC++ does not allow casts as an lvalue.

2000-12-15  Hartmut Holzgraefe  <hartmut@six.de>

    * run-tests.php:
    removed a warning when testing against a single .phpt file

2000-12-15  Rasmus Lerdorf  <rasmus@php.net>

    * ext/exif/exif.c:
    Attempt by Matt Bonneau to get thumbnail extraction working
    (no need to bring this into the 4.0.4 branch)

2000-12-15  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c:
    Fix Zeus' behaviour with URL, SCRIPT_NAME, SCRIPT_FILENAME, REQUEST_URI
    environment variables
    PR:
    Submitted by:
    Reviewed by:
    Obtained from:

2000-12-15  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/mcrypt/tests/001.phpt: - Added test for bug #8040

    * ext/mcrypt/config.m4:
    - Added a patch that changed the checking of which version of libmcrypt is
      installed (Thanks to: Anil Madhavapeddy <anil@recoil.org>)

2000-12-15  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/php_domxml.c: Removed unused variables.

2000-12-15  Frank M. Kromann  <fmk@swwwing.com>

    * ext/standard/basic_functions.c:
    Fixing compilation on Win32. (and others)

2000-12-15  Stig Bakken  <ssb@fast.no>

    * ext/db/tests/.cvsignore
      run-tests.php:
    * run-tests.php: fixed a few bugs, including the POST/GET problem reported by
      Stas

    * pear/DB/mysql.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/tests/db_factory.phpt
      pear/DB/tests/errors.inc
      pear/DB/tests/mysql/010.phpt
      pear/DB/tests/numrows.inc
      pear/DB/tests/pgsql/005.phpt
      pear/DB/tests/pgsql/010.phpt:
    * implemented error mapping for postgres (very early version) and tests
      for mysql and pgsql

    * pear/DB/oci8.php:
    * DB_oci8: rewrite "SELECT 1+2" to "SELECT 1+2 FROM dual"

    * ext/standard/tests/string/001.phpt
      ext/standard/basic_functions.c
      ext/standard/config.m4
      ext/standard/php_string.h
      ext/standard/string.c
      ext/standard/tests/file/.cvsignore:
    Added iconv() function (using libc or libiconv) 

    * ext/odbc/php_odbc.c: Added ODBC_TYPE constant 

2000-12-14  Andi Gutmans  <andi@zend.com>

    * main/fopen-wrappers.c: - This is the correct way of doing it

2000-12-14  Daniel Beulshausen  <daniel@php4win.de>

    * sapi/apache/php_apache.c: added missing SLS_FETCH()

2000-12-14  Sascha Schumann  <sascha@schumann.cx>

    * acinclude.m4
      configure.in: New m4 macros should go into acinclude.m4.

2000-12-14  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/levenshtein.c:
    enforce lenght limit and catch out-ouf-memory conditions

2000-12-14  Sascha Schumann  <sascha@schumann.cx>

    * ltconfig:
    Fix OpenBSD behaviour WRT building shared libraries. Also add OpenBSD 2.8
    support.

2000-12-14  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/levenshtein.c
      ext/standard/tests/general_functions/003.phpt: revert my last patch

2000-12-14  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/string.c: MFH strtr fix

    * ext/standard/string.c:
    Don't define LC_MESSAGES, if LC_MESSAGES is not defined.

    PR: #8259

2000-12-14  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/tests/general_functions/003.phpt
      ext/standard/levenshtein.c: levenshtein() fixes and regression test

    * ext/standard/file.c
      ext/standard/tests/general_functions/004.data
      ext/standard/tests/general_functions/004.phpt:
    fgetcsv() will now work correct with empty fields in tab delimited files

2000-12-14  Daniel Beulshausen  <daniel@php4win.de>

    * main/config.w32.h: added define for force cgi redirect

2000-12-14  Stanislav Malyshev  <stas@zend.com>

    * ext/fribidi/README: Fix shared description

    * ext/fribidi/fribidi.c: Add proto

2000-12-14  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hg_comm.c:
    - handled possible case that an Anchor has no Position
      (This used to cause a segm fault)

2000-12-14  Sascha Schumann  <sascha@schumann.cx>

    * configure.in
      main/php_version.h: Preparing RC6

    * ext/pgsql/pgsql.c: MFH fix for #8225

2000-12-13  Zeev Suraski  <zeev@zend.com>

    * ext/standard/exec.c: Rollback bogus patch

    * ext/standard/exec.c: That slipped in :(

2000-12-13  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/levenshtein.c
      ext/standard/tests/general_functions/003.phpt:
    levenshtein() fixed, regression tests added (bug id #6562 and #7368)

2000-12-13  Zeev Suraski  <zeev@zend.com>

    * ext/wddx/wddx.c
      ext/xml/xml.c
      ext/standard/basic_functions.c
      ext/standard/exec.c
      ext/standard/var.c: MFH - call_user_function() object fix

    * ext/standard/basic_functions.c
      ext/standard/exec.c
      ext/standard/var.c
      ext/wddx/wddx.c
      ext/xml/xml.c:
    Fix call_user_function() with objects - it could leak under certain circumstances

2000-12-13  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hg_comm.c
      ext/hyperwave/hw.c: - Bodytag is insertet by fnInsAnchors()
    - several small bugs which might cause a segm fault

2000-12-13  Ben Mansell  <ben@zeus.com>

    * sapi/isapi/php4isapi.c:
    (Zeus) Re-added some server variables that will be used.
    Also added DOCUMENT_ROOT, was missing before for non-Win32

2000-12-13  Stanislav Malyshev  <stas@zend.com>

    * ext/gmp/tests/001.phpt
      ext/gmp/tests/002.phpt: Add GMP tests

2000-12-13  Stig Bakken  <ssb@fast.no>

    * pear/DB/MAINTAINERS
      pear/DB/STATUS
      pear/DB/common.php
      pear/DB/mysql.php
      pear/DB/pgsql.php
      pear/DB/tests/fetchmodes.inc
      pear/DB/tests/mysql/001.phpt
      pear/DB/tests/mysql/002.phpt
      pear/DB/tests/mysql/005.phpt
      pear/DB/tests/mysql/009.phpt
      pear/DB/tests/mysql/connect.inc
      pear/DB/tests/mysql/mktable.inc
      pear/DB/tests/numrows.inc
      pear/DB/tests/pgsql/.cvsignore
      pear/DB/tests/pgsql/001.phpt
      pear/DB/tests/pgsql/002.phpt
      pear/DB/tests/pgsql/005.phpt
      pear/DB/tests/pgsql/009.phpt
      pear/DB/tests/pgsql/connect.inc
      pear/DB/tests/pgsql/mktable.inc
      pear/DB/tests/sequences.inc:
    * added {mysql,pgsql}RaiseError() methods to DB_{mysql,pgsql} for more
      consistent behaviour
    * fixed DB_{pgsql,mysql}::numRows bug (returned an error on 0 rows), added
      test for it
    * added sequence support to DB_pgsql, and dropSequence() to pgsql/mysql
      with some fixes by Alexey Borzov
    * fixed a bug in DB_pgsql::fetchInto
    * improved fetchmode tests

    * run-tests.php:
    * rename write* to dowrite* to avoid clash with ext/sockets
    * sapi/cgi seems to ignore command-line options when running in "real"
      CGI mode, need to find a way to pass include_path to it...

    * build/rules.mk: * PEAR: don't require "make install" before "make test"

2000-12-13  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache/mod_php4.h
      sapi/apache/php_apache.c:
    Add apache_child_terminate() and INI setting apache.child_terminate
    which defaults to 0.

    Submitted by: Sam Liddicott <sam.liddicott@ananova.com>

2000-12-13  Daniel Beulshausen  <daniel@php4win.de>

    * ext/printer/php_printer.h
      ext/printer/printer.c: use true globals, and proper naming cheme

2000-12-13  Sascha Schumann  <sascha@schumann.cx>

    * ext/pgsql/pgsql.c:
    Don't increase the refcount of id, if we already have increased the refcount
    of the same id before.

    PR: #8225

    * NEWS: Move cracklib entry to 4.0.5

2000-12-13  Daniel Beulshausen  <daniel@php4win.de>

    * ext/domxml/domxml.dsp:
    link against msvcrt(d).lib, ignoring it isn't a good idea

2000-12-13  Stig Bakken  <ssb@fast.no>

    * pear/DB/TESTERS: * added list of testers so far

2000-12-13  Stanislav Malyshev  <stas@zend.com>

    * ext/curl/curl.c: MFH

    * ext/standard/string.c: Fix crash when first argument to strtr is empty

    * ext/curl/curl.c: Kill warning

2000-12-13  Jani Taskinen  <sniper@iki.fi>

    * NEWS: Added a missing note.

2000-12-12  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sockets/php_sockets.h: MFH

2000-12-12  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/file.c:
    Open files in binary mode - should fix readfile() on Windows

    * ext/sockets/sockets.c: MFH

2000-12-12  Sascha Schumann  <sascha@schumann.cx>

    * NEWS
      configure.in
      main/php_version.h: Preparing 4.0.4RC5

2000-12-12  Stanislav Malyshev  <stas@zend.com>

    * ext/sockets/sockets.c: Fix memory leak

    * ext/sockets/sockets.c: Fix socket read returning bad values.

2000-12-12  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * tests/testhyperwave: - add test for hw_insertanchors()

2000-12-12  Monte Ohrt  <monte@ispi.net>

    * pear/Date/Calc.php: fixed bug in beginOfWeek()

2000-12-12  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hg_comm.c
      ext/hyperwave/hg_comm.h
      ext/hyperwave/hw.c:
    - new function hw_insertanchors(). It takes a document, a list of anchors
      and its destination and inserts the anchors into the text.

2000-12-12  Stanislav Malyshev  <stas@zend.com>

    * main/php_variables.c
      main/php_variables.h: MFH

    * main/php_variables.c
      main/php_variables.h:
    Fix #7987: POST/GET: string with \0(%00) values not parsed correctly

2000-12-11  Jani Taskinen  <sniper@iki.fi>

    * INSTALL: MFH

2000-12-11  Zeev Suraski  <zeev@zend.com>

    * ext/standard/string.c: Fix Win32 build

2000-12-11  Jani Taskinen  <sniper@iki.fi>

    * INSTALL: Added a note about --enable-versioning working with IRIX 6.5

2000-12-11  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/var.c: Fix serializer bug (merge with HEAD)

2000-12-11  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c: Merge with HEAD

2000-12-11  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: Formatting.

2000-12-11  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/var.c:
    Fix serializer bug that prevented serializer from working on any
    variable that had non-reference copies of the same zval

2000-12-11  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c:
    Fix a crash related to the simple sablotron api. (thies)
    make sablotron work with zts.
    fix a leak or two,

2000-12-11  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/var.c: fix #6348

2000-12-11  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/README: Add TODO note

2000-12-11  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/array.c
      ext/standard/php_array.h: Make php_array_merge() an API function.

2000-12-10  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache/mod_php4.c
      sapi/apache/mod_php4.h
      sapi/apache/php_apache.c:
    Align ZTS handling of globals with common usage

2000-12-10  Daniel Beulshausen  <daniel@php4win.de>

    * sapi/apache/php_apache.c: fix win32 apache module

    * sapi/apache/php_apache.c: fix windows build

2000-12-10  Andi Gutmans  <andi@zend.com>

    * NEWS:
    - Merge message about assinging new MyClass() expressions by reference.

    * NEWS: - Add NEWS about being able to assign new's by ref

2000-12-10  Chuck Hagenbuch  <chuck@horde.org>

    * ext/imap/php_imap.c: [whitespace] make this code a bit less dense.

2000-12-10  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Cache/Function_Cache.php
      pear/Makefile.in: Initial commit of Function_Cache.

2000-12-10  Jani Taskinen  <sniper@iki.fi>

    * ext/standard/string.c: Added constants for locale categories.

    * ext/gettext/gettext.c
      ext/gettext/php_gettext.h: Moved the constants into ext/standard

2000-12-10  James Moore  <James@phpuk.org>

    * ext/shmop/shmop.c:
    Making the shmop phpinfo entry look the same as others.

2000-12-10  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c: For nice looking error output. ;)

    * ext/sablot/sablot.c: Fix crash on error handler.
    Speed up a bit (only loop through errors when necessary).

2000-12-10  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/mysql/008.phpt
      pear/DB/common.php
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php
      pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/storage.php
      pear/DB/sybase.php:
    * added setOption/getOption to DB_common.  "optimize" is the first supported
      option, possible values are "performance" (default) and "portability".
    * added modifyQuery to DB_common (does nothing) and an implementation
      in DB_mysql that patches "DELETE FROM table" queries in "optimize
      portability" mode so affectedRows returns the right value

    * pear/DB/STATUS
      pear/DB/common.php
      pear/DB/odbc.php: * implemented numCols and transactions for ODBC
    * added "not capable" versions of affectedRows, errorNative, nextId
      and createSequence to DB_common.

    * pear/DB/STATUS
      pear/DB/common.php
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php
      pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/sybase.php:
    * make sure all DB backends call the DB_common constructor
    * removed more duplicated code that can use DB_common defaults
      (execute/prepare emulation, "not capable" versions of transaction functions
      and numRows).
    * implemented numRows for msql and mssql (untested)

    * pear/DB.php
      pear/DB/common.php
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php
      pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/sybase.php:
    * DB::isManip counts "REPLACE" as a manipulation command (MySQL specific)
    * renamed DB_common::execute_emulate_query to DB_common::executeEmulateQuery
    * moved "query" DB method to DB_common, there was duplicated logic in query
      and simpleQuery in all backends.

    * pear/DB/STATUS
      pear/DB/mysql.php
      pear/DB/tests/mysql/009.phpt
      pear/DB/tests/numrows.inc
      pear/DB/tests/pgsql/009.phpt: * added numRows tests for mysql and pgsql

    * pear/DB/pgsql.php:
    * removed some logic duplication, "SELECT" (not "SELECT INTO" is now
      the only command that will return a result object.

2000-12-10  Jani Taskinen  <sniper@iki.fi>

    * ext/gd/php_gd.h: Kills one compile warning.

2000-12-09  Sascha Schumann  <sascha@schumann.cx>

    * ltconfig: Enabled improved shared library handling on HP-UX 11.

    * ext/swf/swf.c: MFH fix for #8181

    * ext/swf/swf.c: Fetch SWF globals

    PR: #8181

2000-12-09  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/php_domxml.c
      ext/domxml/php_domxml.h:
    Removed unused variable definitions. And libxml can be build NOT
    to have support for either XPath or XPtr.

2000-12-08  Jani Taskinen  <sniper@iki.fi>

    * ext/gettext/gettext.c: wb clean.

2000-12-08  Sascha Schumann  <sascha@schumann.cx>

    * main/rfc1867.c: MFH off-by-one fix

    * main/php_logos.c: MFH memory leak fix

2000-12-08  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h:
     Added the call_user_method_array function which allows you to call a method with an
     arbitrary number of parameters. 

2000-12-08  Rasmus Lerdorf  <rasmus@php.net>

    * main/rfc1867.c: Fix off by one error in file upload code

2000-12-08  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/config.m4: Merge changes from HEAD.

    * ext/domxml/config.m4:
    Version checking for domxml. Requires >= 2.2.7 at the moment.

2000-12-08  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c: Correct merge.

2000-12-08  Stig Bakken  <ssb@fast.no>

    * run-tests.php: * output fix for skipped tests

2000-12-08  Sascha Schumann  <sascha@schumann.cx>

    * ext/sablot/CREDITS
      ext/sablot/php_sablot.h
      ext/sablot/sablot.c: MFH on Sterling's request.

    * main/php_logos.c: Fix a memory leak

    * ext/standard/datetime.c
      ext/standard/parsedate.y
      ext/standard/php_parsedate.h: MFH namespace protecting changes

2000-12-08  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/db_error.phpt
      pear/DB/tests/db_error2.phpt:
    * updated tests after DB_Error("string") set $code to DB_ERROR

2000-12-08  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/CREDITS
      ext/sablot/php_sablot.h
      ext/sablot/sablot.c: Fix sablotron.

    Add a little beautifying of the extensions name for phpcredits() (Sablotron XSLT not Sablot).


2000-12-08  Zak Greant  <zak@nucleus.com>

    * ext/gettext/gettext.c
      ext/gettext/php_gettext.h:
    Added constants to represent the various categories of
    locale (LC_ALL, LC_MESSAGES, etc...)

2000-12-08  Stig Bakken  <ssb@fast.no>

    * pear/DB/STATUS
      pear/DB/mysql.php
      pear/DB/pgsql.php
      pear/DB/tests/fetchmodes.inc
      pear/DB/tests/mysql/002.phpt
      pear/DB/tests/pgsql/001.phpt
      pear/DB/tests/pgsql/002.phpt
      pear/DB/tests/pgsql/003.phpt
      pear/DB/tests/pgsql/004.phpt
      pear/DB/tests/pgsql/005.phpt
      pear/DB/tests/pgsql/006.phpt
      pear/DB/tests/pgsql/007.phpt
      pear/DB/tests/pgsql/008.phpt
      pear/DB/tests/pgsql/mktable.inc
      pear/DB/tests/pgsql/skipif.inc:
    * ported the mysql tests to pgsql (the nextId test is skipped for now)
    * giving pgsql auto-commit a shot
    * fixed error reporting some places in pgsql
    * added horrible hack to avoid getting notices on stderr if
      DB_pgsql::commit is called at the wrong time

    * pear/DB/pgsql.php:
    * fetchRow with DB_FETCHMODE_ASSOC returned an array with both string and
      numerical indexes - fixed (supposed to be string only)

    * pear/DB/STATUS: * updated status file

    * pear/DB.php
      pear/DB/STATUS
      pear/DB/common.php
      pear/DB/ibase.php
      pear/DB/msql.php
      pear/DB/mssql.php
      pear/DB/mysql.php
      pear/DB/oci8.php
      pear/DB/odbc.php
      pear/DB/pgsql.php
      pear/DB/sybase.php:
    * applied fetch modes patch for odbc by Richard M. Yumul
    * added DB::isManip so we have _one_ place for testing whether something
      is a data manipulation query
    * when passed a string as its first constructor arg, DB_Error now uses
      the error code DB_ERROR rather than just 0
    * implemented auto-commit for ibase (not yet fully tested)
    * fixed persistent connections in odbc

    * pear/DB/mysql.php
      pear/DB/tests/mysql/008.phpt:
    * change affectedRows semantics for MySQL: only return non-0 for
      INSERT/UPDATE/DELETE queries

    * run-tests.php: added TODO comment

2000-12-08  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/datetime.c
      ext/standard/parsedate.y
      ext/standard/php_parsedate.h:
    Namespace protect parse_date interface and implementation

2000-12-07  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/DB/STATUS: Updated STATUS.

2000-12-07  Stig Bakken  <ssb@fast.no>

    * pear/DB.php
      pear/DB/mysql.php
      pear/DB/tests/db_error.phpt
      pear/DB/tests/db_error2.phpt
      pear/DB/tests/mysql/008.phpt
      pear/tests/pear_error.phpt:
    * added Sebastian's affectedRows() and numRows() for MySQL
    * added regression test for DB_mysql::affectedRows
    * fixed some PEAR_Error based tests that had broken (line number change)

2000-12-07  Sascha Schumann  <sascha@schumann.cx>

    * main/php.h
      ext/standard/basic_functions.c
      ext/standard/dir.c
      ext/standard/file.c
      ext/standard/file.h
      ext/standard/filestat.c
      ext/standard/php_dir.h
      ext/standard/php_filestat.h: MFH LFS-related changes

    * configure.in: MFH --enable-libgcc change

2000-12-07  David Hedbor  <david@hedbor.org>

    * sapi/caudium/caudium.c:
    Fix for Pike 7.1 (error -> Pike_error). Caudium bug #12486.

2000-12-07  Sascha Schumann  <sascha@schumann.cx>

    * configure.in: Enable libgcc, if we are building on Solaris with GCC.

2000-12-07  Stig Bakken  <ssb@fast.no>

    * pear/DB/pgsql.php: * removed comment

    * pear/DB/STATUS: * pgsql now supports affectedRows

    * pear/DB/MAINTAINERS: * added Rui Hirokawa as pgsql maintainer

2000-12-07  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/basic_functions.c: Hardcode the readdir entry as well

2000-12-07  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/basic_functions.c:
    We don't want any hard errors in PHP scripts unless absolutely necessary.

2000-12-07  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * pear/DB/pgsql.php:
    Added affectedRows (thanks to Mark Kirkwood <markir@i4free.co.nz>)

2000-12-07  Kristian Köhntopp  <kk@netuse.de>

    * ext/standard/basic_functions.c:
    Fugbix in call_user_func_array() if second argument is empty.

2000-12-07  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache/mod_php4.c
      sapi/apache/mod_php4.h
      sapi/apache/php_apache.c:
    Axe rest of DAV leftovers and use STD_PHP_INI_ENTRY in the INI section

    * ext/standard/filestat.c
      ext/standard/php_dir.h
      ext/standard/php_filestat.h
      main/php.h
      ext/standard/basic_functions.c
      ext/standard/dir.c
      ext/standard/file.c
      ext/standard/file.h:
    Hardcode all functions which are mentioned in the Large File Support Spec

    http://ewe3.sas.com/standards/large.file/specs/api+.007.html

    * pear/Makefile.in: Fix Makefile template.

2000-12-07  Stanislav Malyshev  <stas@zend.com>

    * ext/odbc/config.m4: Enable DB2 shared build

2000-12-07  Jani Taskinen  <sniper@iki.fi>

    * ext/curl/curl.c: Merge changes from HEAD.

    * ext/curl/curl.c: Fixed bug #8145

    * configure.in: merge from HEAD.

    * configure.in: Added note that openssl 0.9.6 is required.

2000-12-07  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/domxml/config.m4: - set propper min version

2000-12-07  Sascha Schumann  <sascha@schumann.cx>

    * ext/ext_skel: Merge from HEAD

    * ext/ext_skel: Fix ext_skel on Solaris

    Submitted by: Sam Liddicott <sam.liddicott@ananova.com>

2000-12-07  Stig Bakken  <ssb@fast.no>

    * pear/DB/STATUS: * we have a test for DB_mysql::errorNative

    * build/rules.mk:
    * make it possible to override the start directory for "make test"

2000-12-07  Joey Smith  <joey@joeysmith.com>

    * ext/sybase_ct/php_sybase_ct.c: Close bug #7013.

2000-12-07  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Log.php
      pear/Log/composite.php
      pear/Log/file.php
      pear/Log/mcal.php
      pear/Log/observer.php
      pear/Log/sql.php
      pear/Log/syslog.php
      pear/Makefile.in: Contribute Horde's Log:: abstraction class to PEAR.

2000-12-07  Jani Taskinen  <sniper@iki.fi>

    * configure.in: merge from HEAD.

    * configure.in:
    The new openssl extension requires OpenSSL version >= 0.9.6

2000-12-06  Stig Bakken  <ssb@fast.no>

    * pear/DB/tests/mysql/001.phpt
      pear/DB/tests/mysql/002.phpt
      pear/DB/tests/mysql/003.phpt
      pear/DB/tests/mysql/004.phpt
      pear/DB/tests/mysql/005.phpt
      pear/DB/tests/mysql/006.phpt
      pear/DB/tests/mysql/007.phpt
      pear/DB/tests/numcols.inc
      pear/DB/tests/prepexe.inc
      pear/DB/tests/simplequery.inc
      pear/DB/STATUS:
    * added more tests for MySQL, including some test files common for all
      backends

2000-12-06  Monte Ohrt  <monte@ispi.net>

    * pear/Date/Calc.php: fixed bug with weeksInMonth()

2000-12-06  André Langhorst  <A.Langhorst@itbnet.de>

    * tests/lang/030.phpt: updated with =& new syntax

    * run-tests.php: made run-tests.php windows compatible

    * tests/lang/030.phpt: added $this in constructor test (fails currently)

2000-12-06  Sascha Schumann  <sascha@schumann.cx>

    * ext/bcmath/config.m4
      ext/ccvs/config.m4
      ext/domxml/config.m4
      ext/gd/config.m4
      ext/ctype/config.m4
      ext/fribidi/config.m4
      ext/gmp/config.m4
      ext/qtdom/config.m4
      sapi/thttpd/config.m4: Merge HEAD changes

    * ext/bcmath/config.m4
      ext/ccvs/config.m4
      ext/domxml/config.m4
      ext/gd/config.m4
      ext/ctype/config.m4
      ext/fribidi/config.m4
      ext/gmp/config.m4
      ext/qtdom/config.m4
      sapi/thttpd/config.m4: Fix indentation of configure output

2000-12-06  André Langhorst  <A.Langhorst@itbnet.de>

    * tests/lang/029.phpt: added OO test (will fail currently)

2000-12-06  Stanislav Malyshev  <stas@zend.com>

    * ext/gd/config.m4: Fix T1 static build

    * ext/gmp/README: Update README

    * ext/gmp/gmp.c: Fix prototypes
    Fix prefect_square return

2000-12-06  Stig Bakken  <ssb@fast.no>

    * pear/DB/MAINTAINERS:
    * pear/XML/tests/001.phpt
      pear/XML/tests/002.phpt
      pear/XML/tests/003.phpt
      pear/XML/tests/004.phpt
      pear/XML/tests/005.phpt
      pear/XML/tests/parser3.i
      pear/XML/tests/test.xml
      pear/DB/common.php
      pear/DB/ibase.php
      pear/DB/mysql.php
      pear/DB/tests/odbc/001.phpt
      pear/DB/tests/odbc/skipif.inc
      pear/XML/Parser.php
      pear/DB.php: * cleanup

    * pear/pear.in:
    * pear/DB/STATUS: * added DB driver feature matrix

2000-12-05  Chuck Hagenbuch  <chuck@horde.org>

    * ext/mcal/php_mcal.c: spaces after commas. all whitespace.

2000-12-05  Andi Gutmans  <andi@zend.com>

    * NEWS: - Update 4.0.4 branches NEWS file

2000-12-05  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/DB/error.php
      pear/DB/result.php
      pear/DB/warning.php: Removed obsolete files.

2000-12-05  Stanislav Malyshev  <stas@zend.com>

    * ext/gmp/gmp.c: Make GMP use Zend's memory functions

    * ext/gmp/gmp.c: Fix prototypes

    * ext/gmp/gmp.c: Add check for conversion base

2000-12-05  Stig Bakken  <ssb@fast.no>

    * ext/mcal/config.m4:
    * applied patch by Stig-Ørjan Smelror <Stig.Orjan.Smelror@lincom.no>

    * ext/odbc/php_odbc.c:
    Applied IBM DB2 patch by Walter Franzini <walter@sys-net.it>

    * pear/DB/tests/mysql/005.phpt: * added test for DB_mysql::nextId()

2000-12-05  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re: Merge from HEAD

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re:
    Pass core_globals to new inline functions

    Submitted by: Sebastian Bergmann

2000-12-05  Stig Bakken  <ssb@fast.no>

    * pear/DB.php
      pear/DB/mysql.php: * MySQL sequence emulation using auto_increment
    * fixed indentation

2000-12-04  David Hedbor  <david@hedbor.org>

    * sapi/caudium/caudium.c:
    Removed a fatal condition to allow for harmless user error plus some other
    small changes.

2000-12-04  Chuck Hagenbuch  <chuck@horde.org>

    * pear/PEAR.php.in:
    have PEAR::isError() not take parameters by reference for now.

2000-12-04  Andi Gutmans  <andi@zend.com>

    * NEWS:
    - Fix up the NEWS item. We need to make sure that this release we really
      do put a link to the NEWS file on the downloads page.

    * NEWS:
    - Explanation about Zend change. I'll move it to the branch when I'm happy
      with the way it's explained. It's rather hard to explain it well.

2000-12-04  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/DB/common.php:
    Added PHPDoc compliant inline documentation for nextid(). Fixed a bug in nextid().

2000-12-04  Sascha Schumann  <sascha@schumann.cx>

    * NEWS: Merge entries manually

    * NEWS:
    This branch will become 4.0.5. New entries should only be added to the
    4.0.4 area, if you merge them.

2000-12-04  Jani Taskinen  <sniper@iki.fi>

    * ext/ldap/ldap.c: Merge changes from head branch.

2000-12-04  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/DB/common.php
      pear/DB/mysql.php
      pear/DB.php:
    Added nextid() method to DB_common. Added lock() and unlock() methods to DB_mysql.

2000-12-04  Jani Taskinen  <sniper@iki.fi>

    * ext/ldap/ldap.c:
    - Made ldap_get_entries() return an array even if there are no entries
       in search result. (Jani)

2000-12-04  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hw.c
      ext/hyperwave/php_hyperwave.h:
    - new function hw_new_document_from_file()

2000-12-04  Sascha Schumann  <sascha@schumann.cx>

    * ext/sablot/sablot.c: Merged with HEAD, 1.21

    * ext/sablot/php_sablot.h: Merged with HEAD, 1.8

    * sapi/apache/config.m4: Merged with HEAD, 1.35

    * sapi/apache/config.m4:
    Automatically carry over macro definitions from Apache.

    We don't take everything, because apxs' CFLAGS also includes
    optimization, debugging, et cetera flags.

    PR: #7211

2000-12-04  Dan Kalowsky  <dkalowsky@wgate.com>

    * ext/odbc/CREDITS: added name for credits on work for Solid interface..

2000-12-04  Stanislav Malyshev  <stas@zend.com>

    * ext/gd/config.m4:
    GD shared build fixes - should fix problem with gd.so not being linked
    with right libraries

2000-12-04  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/curl/curl.c: close the filehandle if it is a tempfile.

2000-12-04  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re: Merge from HEAD

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re:
    Move code from macros to inline functions to ease debugging

    * ext/dba/dba.c: Merge changes from HEAD.

    * ext/dba/dba.c:
    Handle the case of no-handlers properly and make handlers a proper C "string".

2000-12-04  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/DB.php: No comment.

    * pear/DB.php
      pear/DB/common.php
      pear/DB/error.php
      pear/DB/mysql.php
      pear/DB/result.php
      pear/DB/warning.php:
    I couldn't read it in order to understand it in order to extend it :-)

2000-12-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/xmlwriter/PhpdocXMLWriter.php
      pear/PHPDoc/warning/PhpdocWarning.php
      pear/PHPDoc/xmlexporter/PhpdocXMLClassExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLDocumentExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLExporter.php
      pear/PHPDoc/xmlexporter/PhpdocXMLIndexExporter.php
      pear/PHPDoc/xmlreader/PhpdocXMLReader.php
      pear/PHPDoc/indexer/PhpdocIndexer.php
      pear/PHPDoc/parser/PhpdocClassParser.php
      pear/PHPDoc/parser/PhpdocConstantParser.php
      pear/PHPDoc/parser/PhpdocFunctionParser.php
      pear/PHPDoc/parser/PhpdocParser.php
      pear/PHPDoc/parser/PhpdocParserCore.php
      pear/PHPDoc/parser/PhpdocParserRegExp.php
      pear/PHPDoc/parser/PhpdocParserTags.php
      pear/PHPDoc/parser/PhpdocVariableParser.php
      pear/PHPDoc/renderer/html/PhpdocHTMLClassRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLDocumentRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLIndexRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLModuleRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLWarningRenderer.php
      pear/PHPDoc/analyser/PhpdocAnalyser.php
      pear/PHPDoc/analyser/PhpdocClassAnalyser.php
      pear/PHPDoc/analyser/PhpdocModuleAnalyser.php
      pear/PHPDoc/exceptions/PhpdocError.php
      pear/PHPDoc/filehandler/PhpdocFileHandler.php: - doc comments refined

    PHPDocs own Reportfile looks better now...

2000-12-03  Zeev Suraski  <zeev@zend.com>

    * ext/mysql/php_mysql.c: Import the MySQL updates from the main branch

2000-12-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/accessor/PhpdocDocumentAccessor.php
      pear/PHPDoc/accessor/PhpdocIndexAccessor.php: - refined the doc comments

    * pear/PHPDoc/core/Phpdoc.php
      pear/PHPDoc/core/PhpdocArgvHandler.php
      pear/PHPDoc/core/PhpdocObject.php
      pear/PHPDoc/core/PhpdocSetupHandler.php
      pear/PHPDoc/index.php
      pear/PHPDoc/redist/IT.php
      pear/PHPDoc/redist/ITX.php
      pear/PHPDoc/xmlwriter/PhpdocXMLWriter.php: - refined doc comments.

    core/* does no longer cause warnings.

    - added @package to the it/itx doc comment

    * pear/PHPDoc/parser/PhpdocConstantParser.php
      pear/PHPDoc/parser/PhpdocParserRegExp.php
      pear/PHPDoc/parser/PhpdocParserTags.php
      pear/PHPDoc/parser/PhpdocVariableParser.php
      pear/PHPDoc/renderer/html/templates/class.html: - fixed a @var bug

2000-12-03  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sockets/php_sockets.h
      ext/sockets/sockets.c: - Fix the handling of resource entries
    - Fix the fd_dealloc() function

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c: Another attempt at fixing 8036

2000-12-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/parser/PhpdocConstantParser.php
      pear/PHPDoc/parser/PhpdocParserRegExp.php: - fixed a @const bug


    * pear/PHPDoc/parser/PhpdocParserTags.php
      pear/PHPDoc/analyser/PhpdocAnalyser.php
      pear/PHPDoc/analyser/PhpdocClassAnalyser.php
      pear/PHPDoc/analyser/PhpdocModuleAnalyser.php:
    - fixed a @see bug and improved @see

    "@see element" now causes a warning. To referr to functions or variables within
    a class/module use "@see $variable" and "@see function()". Note the $ and the "()".
    If the referenced element is unknow, the reference will be dropped and a warning is generated.

    - added @version CVS Id to some class doc comments

    This is an eays way to add a version tag to inline docs if you use a CVS.

    - added spaces around operators

2000-12-03  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c: Windows ist ser schlecht

2000-12-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/renderer/html/PhpdocHTMLClassRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLDocumentRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLIndexRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLModuleRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLRenderer.php
      pear/PHPDoc/renderer/html/PhpdocHTMLRendererManager.php
      pear/PHPDoc/renderer/html/PhpdocHTMLWarningRenderer.php
      pear/PHPDoc/renderer/html/templates/class.html
      pear/PHPDoc/renderer/html/templates/classtree.html
      pear/PHPDoc/renderer/html/templates/module.html
      pear/PHPDoc/renderer/PhpdocRendererObject.php:
    - fixed a @see function() bug

    Addes a pair of braches "()" to the function details anchor name in the class and module template.

    - reformatted source

    Sorry for this huge commit. Please make sure that you use "unix format" when saving files.
    Added spaces around most operators. Replaced some spaces with tabs. The tabsize in PHPDoc is 2 spaces.
    Do not replace tabs with spaces.

2000-12-03  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/filestat.c: Fix #8079 - filetype now knows about sockets

2000-12-03  Sascha Schumann  <sascha@schumann.cx>

    * acinclude.m4: Workaround for these two symptoms:

    Some sed tools don't match strings which are not terminated with LF.

    Some shells still support the ^ as a synonym for the pipe character.

    Submitted by: Stanislav Malyshev

2000-12-03  Hartmut Holzgraefe  <hartmut@six.de>

    * build/rules.mk
      run-tests.php
      tests/README: changed run-tests.php to use 'php -q' instead of 'php -f'

2000-12-03  Sascha Schumann  <sascha@schumann.cx>

    * sapi/cgi/cgi_main.c: Merge with php_4_0_4

2000-12-03  Zeev Suraski  <zeev@zend.com>

    * sapi/cgi/cgi_main.c:
    Fix the bug with -f not filling in the $argv[] arguments.
    I'm not sure what used to be the behavior - but the new code puts the -f
    argument as $argv[0], which is the Right Thing to do IMHO...  Comments
    welcome

    * README.BCMATH: Don't mislead people...

2000-12-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/parser/PhpdocParserCore.php
      pear/PHPDoc/analyser/PhpdocAnalyser.php
      pear/PHPDoc/analyser/PhpdocClassAnalyser.php
      pear/PHPDoc/analyser/PhpdocModuleAnalyser.php
      pear/PHPDoc/core/Phpdoc.php
      pear/PHPDoc/core/PhpdocSetupHandler.php: - reformatted some files

    Please use tabs (size: 2 spaces) to indent the source.
     Do not replace tabs with spaces when you apply changed to PHPDoc.

    - renamed add_number_suffix to addNumberSuffix

    - changed the meaning of the placeholder {DESCRIPTION} in the templates

    The internal array index "desc", the XML container <description> and
    the template placeholder {DESCRIPTION} contained the "short description"
    (first sentence of a doc comment) and the "long description" (everything from the first
    sentence to the first doc tag) before the change. Now they do not contain
    the short description as well but only the long description.

    - fixed @brother/@sister

    Elements that use @brother/@sister now inherit all fields from the specified
    brother/sister that are not defined (or empty) in their own doc comment.
    I hope this was the last "### PANIK ###" (panic, fixme) in the code.

2000-12-03  Zeev Suraski  <zeev@zend.com>

    * ext/db/php_db.h: Commit the fix to the 4.0.4 branch

2000-12-03  Ulf Wendel  <ulf.wendel@phpdoc.de>

    * pear/PHPDoc/renderer/html/templates/class.html
      pear/PHPDoc/renderer/html/templates/module.html:
    - class variables, includes and constants are now shown with the description from the doc comment

    ... well I forgot to add {SHORTDESCRIPTION}/{DESCRIPTION} so it looked as if PHPDoc would be buggy
    because the description where not in the generated HTML apidoc files.

2000-12-03  Zeev Suraski  <zeev@zend.com>

    * ext/db/php_db.h: Fix DB build (hopefully, untested)

2000-12-02  Zeev Suraski  <zeev@zend.com>

    * ext/mysql/php_mysql.c: - Get the MySQL module a bit uptodate.
    - Fix a bug in mysql_do_connect() - it would corrupt the host argument, if it contained a port
      (or could corrupt the INI value, so that the port argument would work only the first time
      around)

2000-12-02  Sascha Schumann  <sascha@schumann.cx>

    * ext/shmop/shmop.c
      main/php.h
      configure.in: Merge changes from HEAD

    * ext/shmop/shmop.c:
    Include <ext/standard/info.h> for php_info-related functions.

    * main/php.h: Noone defines PACKAGE/VERSION anymore.

    * configure.in:
    Use the hardly-documented third parameter of AM_INIT_AUTOMAKE to suppress
    defining PACKAGE/VERSION.

2000-12-02  Alexander Feldman  <alex@zend.com>

    * ext/crack/.cvsignore
      ext/crack/Makefile.in
      ext/crack/config.m4
      ext/crack/crack.c
      ext/crack/php_crack.h
      ext/crack/tests/001.phpt:
    - Added extension for the cracklib library. (Alexander Feldman)

2000-12-02  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c: First attempt at fixing 8036

2000-12-02  Sascha Schumann  <sascha@schumann.cx>

    * configure.in
      main/php_version.h: Branched off 4.0.4. This trunk becomes 4.0.5-dev.

    * main/php_version.h
      configure.in: 4.0.4RC3 is coming.

2000-12-01  David Hedbor  <david@hedbor.org>

    * sapi/caudium/config.m4: Minor cosmetic changes.

    * sapi/caudium/config.m4: More config.m4 fixes.

    * sapi/caudium/config.m4:
    Updated config test to also work with debian pike 7 cvs etc.

2000-12-01  Egon Schmid  <eschmid@s.netic.de>

    * ext/gmp/gmp.c
      ext/hyperwave/hw.c: Fixed some protos.

2000-12-01  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * pear/DB/ibase.php: Small fix courtesy of Lauri Jesmin

2000-12-01  Sascha Schumann  <sascha@schumann.cx>

    * ext/skeleton/skeleton.c
      ext/ext_skel
      ext/skeleton/php_skeleton.h:
    Get rid of HAVE_EXTNAME. This dates back to PHP 3 where source files
    were unconditionally compiled. It is not necessary in PHP 4.

2000-12-01  Egon Schmid  <eschmid@s.netic.de>

    * ext/fdf/fdf.c: Fixed some protos.

2000-12-01  Sascha Schumann  <sascha@schumann.cx>

    * stub.c:
    Add newline. Recent GCC snapshots segfault, if the input file is completely
    empty. Should I report this? This appears to be quite lame.

    * ext/dba/dba.c:
    Please avoid potential buffer overflows in new code. If you deal
    with strings, consider storing the string length along with the string
    data. That will make your life easier.

    * ext/sockets/.cvsignore
      ext/satellite/.cvsignore
      ext/sablot/.cvsignore
      ext/readline/.cvsignore
      ext/posix/.cvsignore
      ext/qtdom/.cvsignore
      ext/ircg/.cvsignore
      ext/ingres_ii/.cvsignore
      ext/gmp/.cvsignore
      ext/ctype/.cvsignore
      ext/exif/.cvsignore
      ext/bz2/.cvsignore
      ext/bcmath/.cvsignore
      ext/ext_skel: Remove *.o

2000-12-01  Andi Gutmans  <andi@zend.com>

    * ext/swf/php_swf.h
      ext/swf/swf.c: - Fix swf build issues from bug #7612
    - Not tested! Someone please compile it.

2000-12-01  Frank M. Kromann  <fmk@swwwing.com>

    * ext/standard/string.c:
    Fixing bug 8061. Position counter starts a 0 but was compared with length.
    oops. the fix should be made twice.

    * ext/standard/string.c:
    Fixing bug 8061. Position counter starts a 0 but was compared with length.

2000-12-01  Jani Taskinen  <sniper@iki.fi>

    * ext/dba/dba.c: Beautifying of phpinfo().

2000-11-30  Frank M. Kromann  <fmk@swwwing.com>

    * ext/mssql/php_mssql.c:
    Changed presentation of default values for textsize and textlimit in phpinfo().
    the value -1 means "Server default"

2000-11-30  David Eriksson  <david@2good.com>

    * ext/satellite/README
      ext/satellite/config.m4: updated documentation and configuration

    * ext/satellite/object.c
      ext/satellite/struct.c: changed variable names to *_class_functions

2000-11-30  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/bcmath/config.m4: fix configure --help option name...

2000-11-29  Frank M. Kromann  <fmk@swwwing.com>

    * php.ini-dist
      php.ini-optimized:
    The ODBC extension looks for settings named odbc. and not uodbc.

    * ext/mssql/mssql.dsp
      ext/mssql/php_mssql.c
      ext/mssql/php_mssql.h:
    Removed old version 6.5 code. Clinet Libraries for SQL Server 7.0 can be used  with version 6,5.
    Minor changes to use som Zend macros to define globals.

    * ext/mssql/php_mssql.c:
    Fixing wring resource handle returned from mssql_query().
    The error was introduced when adding mssql_fetch_batch().

2000-11-29  Stanislav Malyshev  <stas@zend.com>

    * ext/gmp/.cvsignore: Add .cvsignore

    * ext/gmp/TODO
      ext/gmp/config.m4
      ext/gmp/gmp.c
      ext/gmp/php_gmp.h: Add more GMP functions, fix a couple of bugs

2000-11-29  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h:
     Added the is_null() function that will return true if a variable is of
     type null. 

2000-11-29  Daniel Beulshausen  <daniel@php4win.de>

    * ext/gd/gd.c: made gd working correct under win32

2000-11-29  Stig Bakken  <ssb@fast.no>

    * pear/HTML/Form.php:
    * bugfix (reported by Francisco Echarte <fechaye@teleline.es>)

2000-11-29  Jason Greene  <jason@inetgurus.net>

    * main/SAPI.c:
    Added the capability to specify a different HTTP Redirection response code
    before the Location Header.

    Ex. header("HTTP/1.1 307 Temporary Redirect");
        header("Location: URL");

2000-11-29  Zeev Suraski  <zeev@zend.com>

    * main/main.c: Output buffering was being enabled all the time - fixed

2000-11-28  Jani Taskinen  <sniper@iki.fi>

    * main/.cvsignore: One file missing.

    * ext/bcmath/libbcmath/.cvsignore
      ext/bcmath/libbcmath/src/.cvsignore: Added missing .cvsignore files.

    * ext/sybase/php_sybase_db.c: Fixed typo. bug #8001

    * main/reentrancy.c:
    - Fixed a bug which made readdir() unusable in some systems. 

    * ext/gd/config.m4
      ext/gd/php_gd.h: AC_CHECK_LIB prints out yes/no itself.

2000-11-28  Sascha Schumann  <sascha@schumann.cx>

    * main/SAPI.h: A field of mines

    Submitted by: jon@csh.rit.edu

    * NEWS: Add note about an old change

    * build/rules_common.mk
      configure.in: Always add top_srcdir to the header file search path.

2000-11-27  Daniel Beulshausen  <daniel@php4win.de>

    * ext/gettext/gettext.c: fix path operations, under win32

2000-11-27  Sascha Schumann  <sascha@schumann.cx>

    * main/SAPI.h:
    Add a note about what a missing const specifier does mean in the context
    of the request_info structure.

    * ext/standard/array.c
      ext/standard/base64.c
      ext/standard/basic_functions.c
      ext/standard/crypt.c
      ext/standard/dns.c
      ext/standard/exec.c:
    The result of conv_z_macros and some manual conversion of
    "return_value.*=.*IS_STRING" constructs to RETVAL_STRINGL.

    * ext/pcre/php_pcre.c: Oh man, gcc's logic is really flawed

    * .cvsignore
      build-defs.h.in
      build/build2.mk
      build/rules_common.mk
      configure.in
      main/.cvsignore
      main/build-defs.h.in: Move build-defs.h(.in) and php_config.h to main

    * ext/pcre/php_pcre.c: Kill a warning (code is correct)

2000-11-27  Daniel Beulshausen  <daniel@php4win.de>

    * php.ini-dist
      php.ini-optimized: update win32 extension section

2000-11-26  Jon Parise  <jon@csh.rit.edu>

    * CODING_STANDARDS:
    Added a brief section documenting the preference of tabs over spaces.
    There are a few touch-ups in this commit, too.

2000-11-26  Stanislav Malyshev  <stas@zend.com>

    * ext/gmp/Makefile.in
      ext/gmp/README
      ext/gmp/TODO
      ext/gmp/config.m4
      ext/gmp/gmp.c
      ext/gmp/php_gmp.h: GNU GMP - arbitrary precision nubers library

2000-11-26  Zeev Suraski  <zeev@zend.com>

    * ext/standard/basic_functions.c: Fix windows build

    * ext/bcmath/Makefile.in
      ext/bcmath/config.m4
      ext/bcmath/libbcmath/Makefile.in
      ext/bcmath/libbcmath/src/Makefile.in
      ext/bcmath/libbcmath/src/config.h
      ext/bcmath/libbcmath/src/div.c
      ext/bcmath/libbcmath/src/num2str.c
      ext/bcmath/libbcmath/src/output.c
      ext/bcmath/libbcmath/src/recmul.c:
    - Add bcmath to the standard UNIX build
    - Change a couple of malloc()'s and free()'s to emalloc()'s and efree()'s

2000-11-25  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * NEWS:
    Add get_defined_functions() and get_defined_vars().  Clean up constant() entry a bit.


2000-11-24  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/standard/basic_functions.c
      ext/standard/basic_functions.h:

    * ext/sablot/sablot.c: Declaring variables is generally a good thing

2000-11-24  André Langhorst  <A.Langhorst@itbnet.de>

    * ext/standard/html.c: fixed bug 7961

2000-11-24  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c:
    Fix segfault when non-array in params or arguments is given to
    xslt_transform() or xslt_run().

    Update xslt_output_begintransform() to new output buffering syntax (torben@php.net)

2000-11-24  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c: Fix the arg array size.

2000-11-23  Stig Venaas  <venaas@uninett.no>

    * ext/openssl/CREDITS
      ext/openssl/README: Added README on usage, and added myself to CREDITS

2000-11-23  Zeev Suraski  <zeev@zend.com>

    * ext/standard/output.c
      ext/standard/php_output.h
      main/main.c:
    Very initial work on chunked output buffering.  It's really unoptimized at
    this time, and it can crash under some circumstances, but that's the
    concept...

2000-11-23  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c: This submission introduces two features.

    The first one is support for Perl-style matching regexp delimiters, i.e.
    using <[{( and )}]> to delimit the regular expressions.

    The second one is a new 'F' modifier that allows you to specify a function name
    in the replacement argument to preg_replace(). This function will be called
    when the replacement needs to be made. It is passed an array of full matched
    pattern and captured subpatterns and it is expected to return a string that
    will be used for replacement. 'e' and 'F' modifiers cannot be used together.



2000-11-23  Jani Taskinen  <sniper@iki.fi>

    * ext/curl/curl.c: Revert bad commit.

2000-11-23  Daniel Beulshausen  <daniel@php4win.de>

    * win32/php4dllts.dsp: oops, libcrypt shouln't be in the linker libs
    by default

2000-11-23  Jani Taskinen  <sniper@iki.fi>

    * ext/curl/curl.c: Fixed some compile warnings.

    * ext/gd/gd.c: Fixed Bug #7939 + some cleaning.

2000-11-23  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hg_comm.c
      ext/hyperwave/hg_comm.h
      ext/hyperwave/hw.c:
    - optional argument for hw_pipedocument() to specify link prefix

2000-11-23  Zeev Suraski  <zeev@zend.com>

    * win32/libbcmath.dsp
      win32/php4dllts.dsp
      win32/php4ts.dsw: I forgot to commit the .dsp update...

2000-11-23  Daniel Beulshausen  <daniel@php4win.de>

    * win32/php_modules.dsw
      ext/ctype/ctype.dsp: make ctype ext compile under windows

2000-11-23  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * win32/php4dllts.dsp: Fixed typo.

2000-11-23  Daniel Beulshausen  <daniel@php4win.de>

    * ext/sablot/sablot.c: added missing SABLOTLS_FETCH()

2000-11-23  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/exif/exif.c
      ext/ccvs/ccvs.c: make genfunclist in phpdoc happy

2000-11-23  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/fdf/config.m4:
    - The name of the extension has to be fdf and not fdftk

2000-11-23  Daniel Beulshausen  <daniel@php4win.de>

    * win32/libbcmath.dsp
      win32/php4dllts.dsp
      win32/php4ts.dsw: fix libbcmath compile, updated dependencies & add
    libbcmath to linker options

2000-11-23  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/domxml/config.m4: - fixed copy and paste error

2000-11-23  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/credits_ext.h
      ext/standard/credits_sapi.h
      scripts/credits: filename wildcards in a c comment were a bad idea

2000-11-23  Frank M. Kromann  <fmk@swwwing.com>

    * win32/libbcmath.dsp: Adding Win32 project for libbcmath

    * ext/standard/credits_ext.h
      ext/standard/credits_sapi.h:
    changed comment to allow compilation under win32

2000-11-22  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/credits_ext.h
      ext/standard/credits_sapi.h
      scripts/credits:
    added a "DO NOT EDIT!" header and regenerated the credits_*h files

    * ext/ircg/CREDITS: *** empty log message ***

    * sapi/apache/CREDITS: merged ext/apache/CREDITS and sapi/apache/CREDITS

    * scripts/credits: this little scripts will collect the CREDITS files from
    all the ext/ and sapi/ subdirectories and put them all
    together into ext/standard/credit_[ext|sapi].h

2000-11-22  Sascha Schumann  <sascha@schumann.cx>

    * ext/ftp/php_ftp.c: Run through conv_z_macros

    * ext/db/db.c:
    Run through conv_z_macros and make use of RETVAL_STRING where useful

    * ext/mhash/mhash.c: Avoid estrdup and a couple of other minor cleanups

    * ext/dba/dba.c
      ext/dba/php_dba.h
      ext/mhash/mhash.c
      ext/mcrypt/mcrypt.c: Run through conv_z_macros

    * ext/standard/credits_ext.h: Add ircg

2000-11-22  Zeev Suraski  <zeev@zend.com>

    * ext/bcmath/libbcmath/AUTHORS
      ext/bcmath/libbcmath/COPYING.LIB
      ext/bcmath/libbcmath/ChangeLog
      ext/bcmath/libbcmath/FAQ
      ext/bcmath/libbcmath/INSTALL
      ext/bcmath/libbcmath/Makefile.am
      ext/bcmath/libbcmath/Makefile.in
      ext/bcmath/libbcmath/NEWS
      ext/bcmath/libbcmath/README
      ext/bcmath/libbcmath/acconfig.h
      ext/bcmath/libbcmath/aclocal.m4
      ext/bcmath/libbcmath/config.h.in
      ext/bcmath/libbcmath/configure
      ext/bcmath/libbcmath/configure.in
      ext/bcmath/libbcmath/doc/Makefile.am
      ext/bcmath/libbcmath/doc/Makefile.in
      ext/bcmath/libbcmath/doc/bcmath.1
      ext/bcmath/libbcmath/install-sh
      ext/bcmath/libbcmath/missing
      ext/bcmath/libbcmath/mkinstalldirs
      ext/bcmath/libbcmath/src/Makefile.am
      ext/bcmath/libbcmath/src/Makefile.in
      ext/bcmath/libbcmath/src/add.c
      ext/bcmath/libbcmath/src/bcmath.h
      ext/bcmath/libbcmath/src/compare.c
      ext/bcmath/libbcmath/src/config.h
      ext/bcmath/libbcmath/src/debug.c
      ext/bcmath/libbcmath/src/div.c
      ext/bcmath/libbcmath/src/divmod.c
      ext/bcmath/libbcmath/src/doaddsub.c
      ext/bcmath/libbcmath/src/init.c
      ext/bcmath/libbcmath/src/int2num.c
      ext/bcmath/libbcmath/src/nearzero.c
      ext/bcmath/libbcmath/src/neg.c
      ext/bcmath/libbcmath/src/num2long.c
      ext/bcmath/libbcmath/src/num2str.c
      ext/bcmath/libbcmath/src/outofmem.c
      ext/bcmath/libbcmath/src/output.c
      ext/bcmath/libbcmath/src/private.h
      ext/bcmath/libbcmath/src/raise.c
      ext/bcmath/libbcmath/src/raisemod.c
      ext/bcmath/libbcmath/src/recmul.c
      ext/bcmath/libbcmath/src/rmzero.c
      ext/bcmath/libbcmath/src/rt.c
      ext/bcmath/libbcmath/src/sqrt.c
      ext/bcmath/libbcmath/src/str2num.c
      ext/bcmath/libbcmath/src/sub.c
      ext/bcmath/libbcmath/src/zero.c
      NEWS
      ext/bcmath/bcmath.c:
    At long last, import the bcmath library, by Phil Nelson

2000-11-22  Stanislav Malyshev  <stas@zend.com>

    * ext/curl/curl.c
      ext/curl/php_curl.h: Fix memory leaks in cURL.
    cURL doesn't free strings we pass to him, so let PHP do it.

2000-11-22  Dan Kalowsky  <dkalowsky@wgate.com>

    * ext/odbc/config.m4:
    This should remove the BUG#4615, thanks to Eric Veldhuyzen
    (eric@terra.telemediair.nl) for the assistance on this (aka elegence vs
    my hack).

    This does not fix BUG#7922 though, which is currently being looked into

2000-11-22  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/curl/curl.c: Hmmm, that wasn't good.

2000-11-22  Monte Ohrt  <monte@ispi.net>

    * pear/Date/Calc.php: fixed bug in endOfPrevMonth(), endOfNextMonth()

2000-11-22  Daniel Beulshausen  <daniel@php4win.de>

    * ext/standard/file.c: tsrm realpath implementation is fixed

2000-11-22  Sascha Schumann  <sascha@schumann.cx>

    * sapi/cgi/cgi_main.c:
    Set the exit status from the return value of php_execute_script()

    * main/main.c
      main/php_main.h: Return the exit status from php_execute_script()

    * ext/standard/string.c: removing '{' was certainly not intended

    * ext/standard/string.c: Don't access opt, if opt was not set.

    * ext/session/session.c: Whitespace fix and initialize ret properly

2000-11-22  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/ctype/CREDITS
      ext/ctype/EXPERIMENTAL
      ext/ctype/README: some more info on the ctype extension

    * ext/zziplib/.cvsignore
      ext/zziplib/CREDITS
      ext/zziplib/EXPERIMENTAL
      ext/zziplib/Makefile.in
      ext/zziplib/README
      ext/zziplib/config.m4
      ext/zziplib/php_zziplib.h
      ext/zziplib/tests/.cvsignore
      ext/zziplib/tests/001.phpt
      ext/zziplib/zziplib.c:
    the very beginning of ZIP file support (read only) using zziplib

    * ext/ctype/.cvsignore
      ext/ctype/Makefile.in
      ext/ctype/config.m4
      ext/ctype/ctype.c
      ext/ctype/ctype.xml
      ext/ctype/php_ctype.h
      ext/ctype/tests/.cvsignore
      ext/ctype/tests/001.phpt
      ext/ctype/tests/002.phpt:
    an experimental extension providing the C ctype function family

2000-11-21  Monte Ohrt  <monte@ispi.net>

    * pear/Date/Calc.php: fixed bug in getCalendarMonth

2000-11-21  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/php_sablot.h
      ext/sablot/sablot.c:
    Major rework of the basic api which provides:

            - All Sablotron errors are now caught meaning nothing is
              ever outputted directly to the screen allowing you to
              catch all errors.
            - A mechanism is provided for you to have an error function
              which recieves all sablotron errors.
            - All of the basic functions re-use a single processor increasing
              performance (especially with high loads).
            - Added a bunch of comments, more to come (this way other people
              can easily modify my source).



2000-11-21  Jani Taskinen  <sniper@iki.fi>

    * ext/mysql/config.m4: Fix bug #7034

2000-11-21  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/zlib/config.m4
      acinclude.m4:
    make HAVE_FOPENCOOKIE available for other extensions besides zlib

    * tests/.cvsignore
      tests/lang/.cvsignore
      tests/strings/.cvsignore
      tests/classes/.cvsignore
      tests/func/.cvsignore
      pear/DB/tests/.cvsignore
      pear/XML/tests/.cvsignore
      pear/tests/.cvsignore
      tests/basic/.cvsignore
      ext/skeleton/tests/.cvsignore
      pear/DB/tests/mysql/.cvsignore
      ext/standard/tests/.cvsignore
      ext/xml/tests/.cvsignore
      ext/standard/tests/file/.cvsignore
      ext/standard/tests/general_functions/.cvsignore
      ext/standard/tests/math/.cvsignore
      ext/standard/tests/reg/.cvsignore
      ext/db/tests/.cvsignore
      ext/interbase/tests/.cvsignore:
    added .cvsignore files for tests directories

2000-11-21  Daniel Beulshausen  <daniel@php4win.de>

    * ext/pdf/pdf.c: fix PDF image open under Win32

2000-11-21  Frank M. Kromann  <fmk@swwwing.com>

    * php.ini-dist
      php.ini-optimized:
    Adding php.ini value to set default batch size for mssql extension

    * ext/mssql/php_mssql.c
      ext/mssql/php_mssql.h:
    Adding new functions, mssql_affected_rows and mssql_fetch_batch.
    Added optional paramter to mssql_query, batchsize used minimize the memery usage during select of large datasats.

2000-11-21  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/zlib/zlib_fopen_wrapper.c:
    * ext/zlib/zlib_fopen_wrapper.c
      ext/zlib/Makefile.in
      ext/zlib/php_zlib.h
      ext/zlib/zlib.c:
    all the _GNU_SOURCE dependant stuff is now in zlib_fopen_wrapper.c
    so all the #define/#include workarounds in zlib.c are no longer needed

2000-11-20  Frank M. Kromann  <fmk@swwwing.com>

    * win32/php4dllts.dsp: Adding credits.c to project to allow compilation.

    * main/main.c: removing compiler warning by including credits.h

2000-11-20  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/zlib/config.m4
      ext/zlib/zlib.c:
    fixed a compile problem with glibc<=2.1.1 (#7327, #7892)

2000-11-20  Monte Ohrt  <monte@ispi.net>

    * pear/Date/Calc.php:
    updated class to work statically. Added four new functions, see
    www.phpinsider.com for details

2000-11-20  Jani Taskinen  <sniper@iki.fi>

    * ext/ccvs/ccvs.c: Fixed typo. #6933

2000-11-20  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/skeleton/php_skeleton.h: Revert.

2000-11-20  Stanislav Malyshev  <stas@zend.com>

    * ext/session/session.c: Move "replace value" logic to Zend

2000-11-20  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/wddx/CREDITS
      ext/xml/CREDITS
      ext/yaz/CREDITS
      ext/yp/CREDITS
      ext/zlib/CREDITS
      ext/sybase_ct/CREDITS
      ext/sysvsem/CREDITS
      ext/sysvshm/CREDITS
      ext/swf/CREDITS
      ext/sybase/CREDITS
      ext/standard/CREDITS
      ext/shmop/CREDITS
      ext/skeleton/CREDITS
      ext/snmp/CREDITS
      ext/sockets/CREDITS
      ext/recode/CREDITS
      ext/sablot/CREDITS
      ext/satellite/CREDITS
      ext/session/CREDITS
      ext/posix/CREDITS
      ext/printer/CREDITS
      ext/pspell/CREDITS
      ext/qtdom/CREDITS
      ext/readline/CREDITS
      ext/oracle/CREDITS
      ext/ovrimos/CREDITS
      ext/pcre/CREDITS
      ext/pdf/CREDITS
      ext/pfpro/CREDITS
      ext/pgsql/CREDITS
      ext/odbc/CREDITS
      ext/openssl/CREDITS
      ext/mssql/CREDITS
      ext/mysql/CREDITS
      ext/oci8/CREDITS
      ext/mcrypt/CREDITS
      ext/mhash/CREDITS
      ext/msql/CREDITS
      ext/java/CREDITS
      ext/ldap/CREDITS
      ext/mcal/CREDITS
      ext/ingres_ii/CREDITS
      ext/interbase/CREDITS
      ext/ircg/CREDITS
      ext/imap/CREDITS
      ext/informix/CREDITS
      ext/hyperwave/CREDITS
      ext/icap/CREDITS
      ext/iisfunc/CREDITS
      ext/ftp/CREDITS
      ext/gd/CREDITS
      ext/gettext/CREDITS
      ext/fribidi/CREDITS
      ext/fdf/CREDITS
      ext/filepro/CREDITS
      ext/domxml/CREDITS
      ext/dotnet/CREDITS
      ext/exif/CREDITS
      ext/db/CREDITS
      ext/dbase/CREDITS
      ext/cybercash/CREDITS
      ext/dav/CREDITS
      ext/dba/CREDITS
      ext/cpdf/CREDITS
      ext/curl/CREDITS
      ext/calendar/CREDITS
      ext/ccvs/CREDITS
      ext/com/CREDITS
      ext/aspell/CREDITS
      ext/bcmath/CREDITS
      ext/bz2/CREDITS
      ext/apache/CREDITS
      sapi/thttpd/CREDITS
      sapi/phttpd/CREDITS
      sapi/pi3web/CREDITS
      sapi/servlet/CREDITS
      sapi/isapi/CREDITS
      sapi/nsapi/CREDITS
      sapi/apache/CREDITS
      sapi/caudium/CREDITS
      sapi/cgi/CREDITS
      sapi/fhttpd/CREDITS
      sapi/apache2filter/CREDITS
      sapi/aolserver/CREDITS: 2nd step towards auto-credits

    * ext/standard/Makefile.in
      ext/standard/credits.c
      ext/standard/credits.h
      ext/standard/credits_ext.h
      ext/standard/credits_sapi.h
      ext/standard/info.c
      ext/standard/info.h: first step towards auto-generated credits

2000-11-19  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/info.c: typo fix (copy/paste bug?)

2000-11-19  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/skeleton/php_skeleton.h
      NEWS: *** empty log message ***

2000-11-19  Stanislav Malyshev  <stas@zend.com>

    * ext/session/session.c:
    Fix #3261 - variables declared as "global" in function do not get the right
    value after session_start.

2000-11-19  David Hedbor  <david@hedbor.org>

    * sapi/caudium/config.m4
      sapi/roxen/config.m4: Patch to find module dir

2000-11-19  Chuck Hagenbuch  <chuck@horde.org>

    * ext/mcal/config.m4: include checks for cal_misc.h and icalroutines.h

2000-11-18  dickmeiss  <dickmeiss@toye.p.sourceforge.net>

    * ext/yaz/.cvsignore: Added .cvsignore file.

2000-11-18  James Moore  <James@phpuk.org>

    * ext/gd/gd.c: Stopping Compile Warnings when using old GD

2000-11-18  Zeev Suraski  <zeev@zend.com>

    * ext/bcmath/bcmath.c:
    Persist these numbers so that they stay for the duration of the entire process

    * ext/bcmath/bcmath.c
      ext/bcmath/php_bcmath.h: Fix thread-safety bug in bcmath

    * sapi/pi3web/pi3web_sapi.c
      sapi/roxen/roxen.c
      sapi/servlet/servlet.c
      sapi/isapi/php4isapi.c
      sapi/nsapi/nsapi.c
      sapi/phttpd/phttpd.c
      sapi/apache/mod_php4.c
      sapi/apache2filter/sapi_apache2.c
      sapi/caudium/caudium.c
      sapi/cgi/cgi_main.c
      ext/standard/basic_functions.c
      sapi/aolserver/aolserver.c:
    Update SAPI modules to interface with the new TSRM.
    Enable thread-safety memory debugging in ISAPI when in debug mode

2000-11-17  Stig Venaas  <venaas@uninett.no>

    * EXTENSIONS: Added openssl extension info

    * ext/openssl/openssl.c:
    Added optional passphrase argument to openssl_get_privatekey()

    * ext/openssl/openssl.c
      ext/openssl/php_openssl.h:
    Renamed openssl_read_privatekey openssl_get_privatekey, and some minor
    fixes including init and shutdown functions

2000-11-17  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re:
    Reset the state, if there is garbage in an HTML tag.

    PR: #7854

2000-11-17  Chuck Hagenbuch  <chuck@horde.org>

    * ext/standard/parsedate.y: close bug 7851

2000-11-17  Sascha Schumann  <sascha@schumann.cx>

    * main/php.h:
    PHP does not care about inline at all, so get rid of this block.

2000-11-17  Dan Kalowsky  <dkalowsky@wgate.com>

    * ext/odbc/php_odbc.c:
    Missed one section that required the addition of a new HAVE_SOLID_30
    This should be correct now.

2000-11-17  Jason Greene  <jason@inetgurus.net>

    * NEWS:
    Decided not to clutter NEWS file with build fix, It is big enough already.

2000-11-17  Dan Kalowsky  <dkalowsky@wgate.com>

    * ext/odbc/config.m4
      ext/odbc/php_odbc.c
      ext/odbc/php_odbc.h:
    Corrected the spelling of verion to version, and cleaned the configuration
    code up a bit.  Also added in much better (read: tested) support for
    Solid 3.0.   Credit for almost all of the patch goes to Eric Veldhuyzen,
    minor modifications done (by me) to make it non-linux specific.

    This commit also creates the HAVE_SOLID_30 define


2000-11-17  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: Fix.

2000-11-17  Kirill Maximov  <kir@actimind.com>

    * ext/standard/quot_print.c
      ext/standard/tests/general_functions/002.phpt:
     quoted_printable_decode() function is made RFC-2045 compliant. 

      This hopefully closes bugs #5321, #7138, #7855.
      Test script for the function is added.

2000-11-16  Jason Greene  <jason@inetgurus.net>

    * NEWS: Added ext/java fix line - I should learn to use '@' correctly : )

    * ext/java/java.c:
    SUN CC does not like like left side casting - see bug #6759

2000-11-16  Daniel Beulshausen  <daniel@php4win.de>

    * ext/printer/php_printer.h
      ext/printer/printer.c
      ext/printer/printer.php: - fixed bug which crashed printer_write
    - fixed bug which crashed get_default_printer() in case
      no printer was detected
    - added option "devicename" to printer_get_option()
      to retrive the printer name ( similiar to printer_name() )

2000-11-16  Thies C. Arntzen  <thies@thieso.net>

    * ext/oracle/oracle.c:
    fix ora_fetch_into to allow_call_time_pass_reference = Off; (#7838)

2000-11-16  Jani Taskinen  <sniper@iki.fi>

    * ext/openssl/php_openssl.h: extname -> openssl

2000-11-16  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c: don't use TLS in MINIT function.

2000-11-16  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Add mIRC-style color handling

    http://www.mirc.co.uk/help/color.txt
    http://www.ircle.com/colorfaq.html

2000-11-15  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c:
    Fix bug with handling multiple users in user_add and add new_topic handler.

    * sapi/thttpd/thttpd_patch: Clear idle_read_timer

2000-11-15  Jan Borsodi  <jb@ez.no>

    * ext/qtdom/qtdom.c:
    Removed an unneccesary #warning which was used for testing purposes only.

    * ext/qtdom/qtdom.php:
    Initial import, PHP program for testing if the qtdom extension is available.

    * ext/qtdom/qtdom_qt.cpp
      ext/qtdom/qtdom_qt.h:
    Initial import, since PHP cannot be compiled with a C++ compiler all C++ specific calls had to be moved to a separate file without any php includes.
    It has several C functions which are used for initiating a QDomDocument and traversing it.

    * ext/qtdom/qtdom.c
      ext/qtdom/qtdom.h:
    Initial import, contains PHP specific extensions, takes care of converting C++ QDom objects to PHP objects.
    This version has only one function: qdom_tree() which returns a tree of a string containing an XML document.

    * ext/qtdom/config.m4:
    Autoconf configure script for qt dom, needs some more checking in the future.

    * ext/qtdom/Makefile.in:
    Makefile source, has a fix for compiling C++ files.

    * ext/qtdom/.cvsignore: Initial import, ignores standard files.

2000-11-15  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/fdf/fdf.c:
    - fixed silly bug (did check for 5 arguments but expected only 4)

2000-11-15  Monte Ohrt  <monte@ispi.net>

    * pear/Date/Calc.php: updated description of weeksInMonth() function

    * pear/Date/Calc.php:
    rearranged arguments in functions to day,month,year for better usability.
    also other small fixes and updates, see http://www.phpinsider.com

2000-11-15  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/file.c: Fix crash (#7802)

2000-11-15  Andrei Zmievski  <andrei@ispi.net>

    * TODO
      ext/pcre/php_pcre.c
      NEWS:
    - Modified preg_replace() to take Perl-style $1 backreferences in addition
      to \\n ones.
    - Modified preg_grep() to always return the results with the keys
      from the original array.

2000-11-14  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/php_smart_str.h: Fix allocation

2000-11-14  David Eriksson  <david@2good.com>

    * ext/satellite/.cvsignore:
2000-11-14  Stig Venaas  <venaas@uninett.no>

    * ext/openssl/openssl.c:
    Changed to use Z_LVAL_PP, Z_STRVAL_PP and Z_STRLEN_PP.

2000-11-14  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Add kick handler

    Requires ircg 0.3 or later

2000-11-14  Stig Venaas  <venaas@uninett.no>

    * ext/openssl/.cvsignore: Not using automake here either

2000-11-14  Onn Ben-Zvi  <onn@zend.com>

    * ext/fribidi/.cvsignore: initial - ONn

2000-11-14  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/ircg.c: Allow customization of format strings.

    By using Javascript in these format strings, you can have various
    customized front-ends to the same back-end.

    * ext/standard/php_smart_str.h:
    Add persistent memory handling to smart_str API

    * ext/iisfunc/.cvsignore
      ext/xml/.cvsignore
      ext/xml/expat/xmltok/.cvsignore
      ext/yp/.cvsignore
      ext/zlib/.cvsignore
      ext/sysvshm/.cvsignore
      ext/wddx/.cvsignore
      ext/xml/expat/.cvsignore
      ext/xml/expat/xmlparse/.cvsignore
      ext/sybase_ct/.cvsignore
      ext/sysvsem/.cvsignore
      ext/sybase/.cvsignore
      ext/swf/.cvsignore
      ext/session/.cvsignore
      ext/snmp/.cvsignore
      ext/standard/.cvsignore
      ext/pspell/.cvsignore
      ext/readline/.cvsignore
      ext/recode/.cvsignore
      ext/pfpro/.cvsignore
      ext/pgsql/.cvsignore
      ext/posix/.cvsignore
      ext/pcre/.cvsignore
      ext/pcre/pcrelib/testdata/.cvsignore
      ext/pdf/.cvsignore
      ext/pcre/pcrelib/.cvsignore
      ext/pcre/pcrelib/doc/.cvsignore
      ext/oci8/.cvsignore
      ext/odbc/.cvsignore
      ext/oracle/.cvsignore
      ext/msql/.cvsignore
      ext/mssql/.cvsignore
      ext/mysql/.cvsignore
      ext/mcrypt/.cvsignore
      ext/mhash/.cvsignore
      ext/java/.cvsignore
      ext/ldap/.cvsignore
      ext/mcal/.cvsignore
      ext/informix/.cvsignore
      ext/interbase/.cvsignore
      ext/gettext/.cvsignore
      ext/hyperwave/.cvsignore
      ext/icap/.cvsignore
      ext/imap/.cvsignore
      ext/gd/.cvsignore
      ext/ftp/.cvsignore
      ext/domxml/.cvsignore
      ext/fdf/.cvsignore
      ext/filepro/.cvsignore
      ext/db/.cvsignore
      ext/dba/.cvsignore
      ext/dbase/.cvsignore
      ext/curl/.cvsignore
      ext/cybercash/.cvsignore
      ext/dav/.cvsignore
      ext/ccvs/.cvsignore
      ext/com/.cvsignore
      ext/cpdf/.cvsignore
      ext/.cvsignore
      ext/aspell/.cvsignore
      ext/bcmath/.cvsignore:
    Automake is gone. No need to ignore a non-existing file.

2000-11-14  Stig Venaas  <venaas@uninett.no>

    * ext/openssl/.cvsignore: *** empty log message ***

    * ext/openssl/openssl.c
      ext/openssl/php_openssl.h: Made API simpler

2000-11-13  Daniel Beulshausen  <daniel@php4win.de>

    * ext/ingres_ii/ingres.dsp: fix link object

    * ext/ingres_ii/ingres.dsp: forgot to add...

    * ext/ingres_ii/ii.c
      ext/ingres_ii/ii.h
      ext/ingres_ii/php_ii.h
      win32/php_modules.dsw: make ingres compile under win32

    * ext/openssl/openssl.dsp
      win32/php_modules.dsw: added dsp for openssl win32

2000-11-13  Andrei Zmievski  <andrei@ispi.net>

    * ext/pcre/php_pcre.c:
    - Modified preg_replace() to ignore backreferences that refer to
      non-existing subpatterns. 

2000-11-13  Stig Venaas  <venaas@uninett.no>

    * ext/openssl/Makefile.in
      ext/openssl/config.m4
      ext/openssl/openssl.c
      ext/openssl/php_openssl.h:
    OpenSSL extension. So far it implements assymetric encryption functions.

    * configure.in:
    OpenSSL checking didn't work well, should be better now. Removed check
    for include/evp.h, are there versions around that put it there? Recent
    versions have it in include/openssl.

2000-11-13  Zeev Suraski  <zeev@zend.com>

    * ext/zlib/zlib.c: Handle unable-to-add-new-headers error nicely

    * ext/zlib/php_zlib.h
      ext/zlib/zlib.c
      main/SAPI.c
      main/SAPI.h
      main/main.c
      main/php_globals.h
      sapi/apache/sapi_apache.c
      sapi/cgi/cgi_main.c
      NEWS
      php.ini-dist
      php.ini-optimized:
    - Import Jade Nicoletti's transparent gzip encoding support as an output
      handler.  Works quite nicely!
    - Fix buglets in output buffering
    - Add output_handler INI directive

2000-11-13  Thies C. Arntzen  <thies@thieso.net>

    * ext/oci8/oci8.c:    fix #7784

2000-11-13  Onn Ben-Zvi  <onn@zend.com>

    * ext/fribidi/php_fribidi.h
      ext/fribidi/fribidi.php
      ext/fribidi/fribidi.c
      ext/fribidi/config.m4
      ext/fribidi/README
      ext/fribidi/Makefile.in: initial - ONn

2000-11-13  Sascha Schumann  <sascha@schumann.cx>

    * ext/ircg/README.txt: Build instructions

    * ext/ircg/.cvsignore
      ext/ircg/Makefile.in
      ext/ircg/config.m4
      ext/ircg/ircg.c
      ext/ircg/ircg.php
      ext/ircg/php_ircg.h:
    V0.1 of a duplex HTTP/IRC Gateway. You can join arbitrary channels,
    send messages to arbitrary targets, and quit by hitting the stop button.

    The cool part of this extension is that it does not tie up a complete
    thread/process for one user. Instead, it keeps a connection open after
    finishing the PHP script. Since connections are only an entry in some
    table in thttpd, it allows us to handle arbitrary numbers of connections.

    TODO:

    	- Allow sending of arbitrary IRC commands.
    	- Allow customization of message output.

    A complete web-chat employing PHP 4 Sessions and IRCG is about 70 lines
    long. =)

    * sapi/thttpd/thttpd_patch:
    Update patch and add persistent connection handling

2000-11-13  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/domxml/php_domxml.c: - fixed serveral prototypes
    - replaced C++ style comments

2000-11-13  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/php_thttpd.h
      sapi/thttpd/thttpd.c:
    Add thttpd-dependent interface for maintaining persistent connections on
    an iterative web-server. This will be used by the IRCG extension.

    * sapi/apache/config.m4:
    More verbose error message for non-working apxs case

    * sapi/thttpd/README: Add note about serialized requests and their impact

2000-11-13  Jani Taskinen  <sniper@iki.fi>

    * ext/ldap/ldap.c: Fixed bug: #7768. Some cleaning up too.

2000-11-12  Kristian Köhntopp  <kk@netuse.de>

    * ext/standard/output.c: Prototype corrected.

2000-11-12  Sascha Schumann  <sascha@schumann.cx>

    * sapi/thttpd/thttpd.c:
    Fix aborted connection handling and stop modifying thttpd data

    * ext/fdf/config.m4: PHP_FDFTK is always != no. $PHP_FDFTK is not.

2000-11-12  Rui Hirokawa  <louis@cityfujisawa.ne.jp>

    * ext/fdf/Makefile.in
      ext/fdf/config.m4: enabled shared module.

2000-11-11  Jani Taskinen  <sniper@iki.fi>

    * ext/gd/config.m4: Fix for #7758. Plus some cleaning.

2000-11-11  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/info.c: Add Apache 2.0 sapi module and sort alphabetically.

    * sapi/aolserver/aolserver.c:
    strdup private AOLserver data before inserting it into SAPI's request_info.

    * sapi/apache2filter/Makefile.in
      sapi/apache2filter/README
      sapi/apache2filter/php_apache.h
      sapi/apache2filter/php_functions.c
      sapi/apache2filter/sapi_apache2.c: Update README

    Make Apache-related functions build

    Add get_all_headers()

    Fix segfault when SAPI outputs strings of length 0

    Move request ctor/dtor into their own functions

2000-11-11  Chuck Hagenbuch  <chuck@horde.org>

    * ext/standard/datetime.c:
    RFC822 does specify two digit years, but practically every decent mail
    client I could check is using 4-digit years these days.

2000-11-11  Hartmut Holzgraefe  <hartmut@six.de>

    * main/fopen-wrappers.c:
    fix for #7756 and #6743 : fatal error on 'include("")' instead of warning
    (+ some cleanup)

2000-11-10  Ben Mansell  <ben@zeus.com>

    * README.Zeus: Further updates to README.Zeus

2000-11-10  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/domxml/php_domxml.c
      ext/domxml/php_domxml.h:
    - new function set_content() which is a workaround for bug #6457

    * NEWS: - Note about improved domxml

    * tests/testdom: - add testing for xpath

    * ext/domxml/php_domxml.c: - Fixed many problems to make xpath working
    - Each function now expects an object and not a resource anymore
      I hope this makes it more straightforward for the PHP-Programmer

    * ext/domxml/php_domxml.h
      ext/domxml/php_domxml.c:
    - Fixed several error including segm fault (but still one left :-(

2000-11-09  Colin Viebrock  <colin@easydns.com>

    * NEWS: oops, forgot to document it :)

    * ext/standard/datetime.c:
    some changes, and added 'r' flag which generates an RFC822 compatible date string.

2000-11-09  Danny Heijl  <Danny.Heijl@cevi.be>

    * ext/informix/ifx.ec: - fix crash when using blob_in_file mode (danny).

2000-11-09  Uwe Steinmann  <Uwe.Steinmann@fernuni-hagen.de>

    * ext/hyperwave/hg_comm.c
      ext/hyperwave/hw.c
      ext/hyperwave/php_hyperwave.h: - Some more comments
    - Initial support to just include anchors into documents

    * ext/domxml/php_domxml.c
      ext/domxml/php_domxml.h:
    - Started support for XPath/XPtr (completely untested)

2000-11-09  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Crypt/HCEMD5.php: beware maxint on 32-bit platforms

2000-11-09  Jani Taskinen  <sniper@iki.fi>

    * ext/gd/config.m4: Beutifying the output of configure a bit.

    * ext/gd/config.m4: Remove duplicate check for xpm support.

    * ext/gd/config.m4: Fix to get jpeg/xpm support everytime.

    * ext/curl/curl.c: Remove duplicates (when curl-7.4.1 is used).

    * ext/gd/config.m4: Fixed bug: #5460

2000-11-08  Marc Pohl  <m.pohl@gmx.de>

    * ext/zlib/php_zlib.h
      ext/zlib/zlib.c:
    add gzdeflate() and gzinflate() for handling of pure gzip-datastreams

2000-11-08  Mathieu Kooiman  <mathieu@gginter.net>

    * ext/gd/gd.c: E_WARNING into E_ERROR, Last commit (today)! I PROMISE! :-)

2000-11-08  Nikos Mavroyanopoulos  <nmav@altera.gr>

    * ext/ovrimos/ovrimos.c: Added license

2000-11-08  Mathieu Kooiman  <mathieu@gginter.net>

    * ext/gd/gd.c: Alert user if they're trying to use
    ImageCreateFromString() with GD < 1.5..
    Sorry, should've added this last commit.

    * ext/gd/gd.c: - Made gd extension build when using gd version < 1.5

2000-11-08  Zeev Suraski  <zeev@zend.com>

    * ext/mysql/php_mysql.c:
    Will work on a more thorough implementation for mysql_store_result() after 4.0.4

2000-11-08  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/php_domxml.c: Make this compile with libxml2.2.7.

    * ext/gd/config.m4: Cleaned up a bit.

    * ext/gd/config.m4: config.m4

2000-11-07  Zeev Suraski  <zeev@zend.com>

    * NEWS: Forgot to commit it...

2000-11-07  Daniel Beulshausen  <daniel@php4win.de>

    * main/SAPI.h
      main/php_open_temporary_file.c
      ext/fdf/fdf.c
      ext/fdf/fdf.dsp: win32 sapi symbol export fixes

2000-11-07  Zeev Suraski  <zeev@zend.com>

    * main/php_variables.c
      main/php_variables.h
      sapi/cgi/cgi_main.c
      main/main.c:
    - In CGI mode, $HTTP_SERVER_VARS now includes all of the environment variables
      as well 

    * main/SAPI.h: cookie_data may also be modified...

2000-11-07  Stanislav Malyshev  <stas@zend.com>

    * ext/mysql/php_mysql.c:
    Enable to use mysql_use_result in query functions.
    You may need this if you use real big queries.

    * ext/standard/var.c: Andi says it should be zval_ptr_dtor

2000-11-06  Sascha Schumann  <sascha@schumann.cx>

    * ext/sockets/sockets.c: Use socklen_t for getsockopt

    * main/php_logos.c:
    zend_hash_find() treats this argument as const, but fails to declare
    the function properly.

2000-11-06  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/standard/info.c: - Added myself to the credits...

2000-11-06  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Crypt/HCEMD5.php
      pear/Makefile.in:
    add a Crypt_HCEMD5 class. This implements the same algorithm as the perl
    Crypt::HCE_MD5 package, and should be cross-compatible with it. It provides
    a secret-key based encryption algorithm possibly suitable for those who
    don't have mcrypt enabled.

2000-11-06  David Hedbor  <david@hedbor.org>

    * sapi/caudium/TODO:
    Noted that setting of multiple headers with the same name is fixed.

    * sapi/caudium/caudium.c (php_caudium_set_header): Allow for multiple headers with the same name.

    * ext/gd/gd.c:
    (ImageCreateFromString) Added forgotten GDLS_FETCH() needed for ZTS.

2000-11-06  Andrei Zmievski  <andrei@ispi.net>

    * ext/standard/string.c: Fix bug #7667.

2000-11-06  Stanislav Malyshev  <stas@zend.com>

    * ext/standard/var.c: And now the right fix - should add it still

    * ext/standard/var.c: Serialize as reference only if it's a true reference

2000-11-06  Daniel Beulshausen  <daniel@php4win.de>

    * ext/printer/php_printer.h
      ext/printer/printer.c: only beautifying

    * ext/iisfunc/iisfunc.dsp: add libary path for TS Inline

2000-11-06  Zeev Suraski  <zeev@zend.com>

    * sapi/cgi/cgi_main.c:
    Fixed a bug in $argv and $argc not being properly defined in command-line mode

2000-11-06  Stanislav Malyshev  <stas@zend.com>

    * sapi/cgi/cgi_main.c:
    I guess SG(request_info).argv0 and not !SG(request_info).argv0 was an intent, otherwise it doesn't make much sense.

    * ext/standard/cyr_convert.c:
    Add support to ukrainian characters (by serhiy@society.kiev.ua)

2000-11-06  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * ext/standard/dl.c: Fixed windows build.

2000-11-06  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/php_functions.c: Add apache_sub_req()

2000-11-06  Rasmus Lerdorf  <rasmus@php.net>

    * ext/sybase/php_sybase_db.c: Make sure these are initialized to NULL

2000-11-05  John Donagher  <john@webmeta.com>

    * ext/standard/info.c: Bring phpcredits() up to date

2000-11-05  Sebastian Bergmann  <sb@sebastian-bergmann.de>

    * pear/Math/Fraction.php
      pear/Math/Util.php:
    Initial checkin of Math_Fraction and Math_Util. This is not really tested :-)

2000-11-05  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/curl/curl.c: Fix the other part...

    * ext/curl/curl.c: This should fix the garbage.

2000-11-05  Stanislav Malyshev  <stas@zend.com>

    * ext/curl/curl.c: Fix crash from #7577 (torben@php.net)

2000-11-05  Sascha Schumann  <sascha@schumann.cx>

    * ext/standard/dl.c: PHP_EXTENSION_DIR is defined in build-defs.h

2000-11-05  Zeev Suraski  <zeev@zend.com>

    * ext/standard/dl.c: Fix the problem Sascha reported, about extension_dir

2000-11-04  Mathieu Kooiman  <mathieu@gginter.net>

    * ext/gd/gd.c:
    - ImageCreateFromString(): Fixed segfault that occured if an image was tried to be
      generate while there was no support for such an image type.

2000-11-04  Andi Gutmans  <andi@zend.com>

    * ext/standard/dir.c: - Fix build

2000-11-04  Thies C. Arntzen  <thies@thieso.net>

    * ext/standard/dir.c: fix #7573
    closedir() now really close the directory - used to stay open 'cause the
    default-directory resource was "remembered" for arg-less calls.

2000-11-04  Zeev Suraski  <zeev@zend.com>

    * ext/msql/php_msql.c:
    Now make it work too (thanks for noticing that Andi :)

    * ext/msql/php_msql.c: Fix build

2000-11-04  Jani Taskinen  <sniper@iki.fi>

    * NEWS: Forgot to add one note. Plus some beutifying.

2000-11-04  Rasmus Lerdorf  <rasmus@php.net>

    * ltconfig: Should be ok to use CC here

2000-11-04  Jesus M. Castagnetto  <jesusmc@scripps.edu>

    * ext/standard/basic_functions.c:
    Updated proto for highlight_file/highlight_string

2000-11-03  Jani Taskinen  <sniper@iki.fi>

    * ext/ldap/ldap.c:
    Fixed incorrect logic. And NSLDAP does not have LDAP_OPT_MATCHED_DN.

    * ext/ftp/ftp.c:
    Fixed ftp_mkdir(). It return the dirname passed to it in case of
    braindead ftp server which doesn't put the real path into reply.
    PR: 7216

2000-11-03  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/gd/gd.c: - Fixed gd by adding a define

    * ext/gd/gd.c: - Fixing Mathieu's indentation problems

2000-11-03  Joey Smith  <joey@joeysmith.com>

    * ext/pdf/pdf.c: Include header file for phpi_get_le_gd()

    * ext/pdf/pdf.c: Include header file for php_file_le_fopen()

2000-11-03  Mathieu Kooiman  <mathieu@gginter.net>

    * ext/gd/gd.c
      ext/gd/php_gd.h: - Introduced ImageCreateFromString() function,
      works for GIF/JPEG/PNG and WBMP ..
      (Note: This built with the latest snapshot I grabbed
       tonight; Derick seemed to have trouble though..)
    -Introduced ImageCreateFromString(), creates an image
     stream out of eg a MySQL blob. 

2000-11-03  Jani Taskinen  <sniper@iki.fi>

    * sapi/caudium/config.m4: Fix build.

2000-11-03  Sascha Schumann  <sascha@schumann.cx>

    * ext/session/mod_mm.c: Add some additional checks

    Submitted by: mookid@sigent.ru (Mikhail Zabaluev)

    * ext/session/mod_mm.c: Fix implementation of hash algorithm

2000-11-03  Daniel Beulshausen  <daniel@php4win.de>

    * win32/install.txt: install instructions for more webservers

    * sapi/cgi/cgi_main.c:
    use argv[1] if it's given, thanks to Bob Denny <rdenny@dc3.com>

2000-11-03  Ben Mansell  <ben@zeus.com>

    * README.Zeus:
    Added extra help with library issues, and some performance tuning tips

2000-11-03  Stig Venaas  <venaas@uninett.no>

    * ext/standard/array.c:
    Fixed memory leak in array_diff and array_intersect, was introduced with
    last change.

2000-11-03  Zeev Suraski  <zeev@zend.com>

    * ext/msql/php_msql.c
      ext/mysql/libmysql/mysql_version.h
      ext/pgsql/pgsql.c
      ext/sybase_ct/php_sybase_ct.c
      NEWS: Fix msql_close(), pg_close() and sybase_close() (Sybase CT)

2000-11-03  Jani Taskinen  <sniper@iki.fi>

    * ext/sablot/config.m4: fix configure..

2000-11-03  Zeev Suraski  <zeev@zend.com>

    * ext/mysql/php_mysql.c:
    Fixed mysql_close()  - A bit more complicated than I originally thought

2000-11-03  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/config.m4: Changed as per discussion with Sablotron folks.


2000-11-03  Andi Gutmans  <andi@zend.com>

    * NEWS: *** empty log message ***

2000-11-03  Zeev Suraski  <zeev@zend.com>

    * ext/msql/php_msql.c: Fix msql_close()

    * ext/pgsql/pgsql.c: Fix pg_close()

2000-11-03  Andi Gutmans  <andi@zend.com>

    * ext/standard/crypt.c:
    - Make the random generator work again. This patch seems to work.

2000-11-03  Zeev Suraski  <zeev@zend.com>

    * NEWS
      ext/mysql/php_mysql.c: Fix mysql_close()

2000-11-03  David Hedbor  <david@hedbor.org>

    * sapi/caudium/caudium.c:
    Use V_CHDIR_FILE instead of doing the job of that function myself and
    added a define to disable the use of threads for debugging purposes.

2000-11-03  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/sapi_apache2.c:
    Setting no_cache causes Expires: to be send, which is not what we want.

    Also disable ETag. It does not serve any purpose for dynamic pages.

    Finally, disable keep-alive connections again, since we don't know
    the content-length for sure.

2000-11-02  Andi Gutmans  <andi@zend.com>

    * main/fopen-wrappers.c
      main/safe_mode.h: - When mode is specified the flag is a don't care

    * main/fopen-wrappers.c: - Missed one of the php_checkuid() places

2000-11-02  Zeev Suraski  <zeev@zend.com>

    * NEWS: Update NEWS

2000-11-02  Andi Gutmans  <andi@zend.com>

    * ext/standard/link.c
      main/fopen-wrappers.c
      ext/filepro/filepro.c
      ext/pgsql/pgsql.c
      ext/posix/posix.c
      ext/standard/file.c
      ext/standard/filestat.c
      ext/db/db.c
      ext/dbase/dbase.c:
    - Use CHECKUID_* #define's instead of cryptic numbers in php_checkuid()
    - I did not test for validity of the actual php_checkuid() calls and there
    - might be mistakes in the previous code.

2000-11-02  Zeev Suraski  <zeev@zend.com>

    * genfiles: Update to reflect the changes in the parsers/scanners

2000-11-02  Chuck Hagenbuch  <chuck@horde.org>

    * pear/Mail.php: spelling. bad chuck.

    * pear/Mail.php
      pear/Mail/sendmail.php:
    always prepend Receieved: headers to avoid generating mail that looks like
    spam, and remove a silly comment from the sendmail backend.

2000-11-02  David Hedbor  <david@hedbor.org>

    * sapi/caudium/caudium.c:
    Now correctly detects Pike 7.0 and use the alternative code. It also sends the
    number of written bytes to the done callback function.

    * ext/standard/info.c: Added Caudium to credit line.

    * sapi/roxen/README: Changed contact information.

    * sapi/caudium/README: Added notice about Caudium websites.

    * sapi/caudium/.cvsignore
      sapi/caudium/Makefile.in
      sapi/caudium/README
      sapi/caudium/TODO
      sapi/caudium/caudium.c
      sapi/caudium/config.m4: Initial caudium support.

2000-11-02  Stanislav Malyshev  <stas@zend.com>

    * acinclude.m4: Revert the patch - people don't like it

2000-11-02  Sascha Schumann  <sascha@schumann.cx>

    * TODO: Add note

    * TODO: .

2000-11-02  Stanislav Malyshev  <stas@zend.com>

    * acinclude.m4: Fix issue with Sun CC not detecting readdir_r

2000-11-02  Zeev Suraski  <zeev@zend.com>

    * NEWS
      ext/standard/output.c:
    - Fixed a bug that caused PHP not to properly flush its output buffer, if more
      than one output buffer was used

2000-11-02  Sascha Schumann  <sascha@schumann.cx>

    * sapi/README: Update. Someone should really write better docs. =)

    * ext/session/session.c
      main/SAPI.h
      main/main.c
      main/php_logos.c
      main/php_logos.h
      main/php_variables.c
      sapi/apache2filter/sapi_apache2.c: Const'ify part of sapi_request_info.

    query_string, post_data, path_translated, request_uri, auth_user,
    auth_password and argv0 are modified, so they cannot become const.

    * ext/standard/array.c
      main/mergesort.c
      main/php.h: Namespace protect mergesort (caused conflict on Darwin).

    * sapi/apache2filter/apache_config.c
      sapi/apache2filter/php_apache.h
      sapi/apache2filter/sapi_apache2.c:
    Namespace protect dir_cmds and kill some warnings

    * sapi/apache2filter/apache_config.c:
    Restrict php_admin_value to *.conf files.

2000-11-02  Zeev Suraski  <zeev@zend.com>

    * sapi/apache/php4apache.dsp
      win32/php4dll.dsp
      win32/php4dllts.dsp: - Fix Windows build
    - Changed the Apache .dsp to expect the Apache source code files under php_build

2000-11-02  Sterling Hughes  <Sterling.Hughes@pentap.net>

    * ext/sablot/sablot.c: Das war nicht gut.

2000-11-02  Zeev Suraski  <zeev@zend.com>

    * main/Makefile.in
      main/main.c
      main/php_logos.c
      main/php_logos.h: Fix a few warnings

    * NEWS: update NEWS

    * sapi/apache/sapi_apache.c:
    Fix a nasty bug in the shutdown sequence of PHP under Apache.

2000-11-01  Jani Taskinen  <sniper@iki.fi>

    * ext/standard/url_scanner_ex.c
      ext/standard/url_scanner_ex.re: Validators are happy now.

2000-11-01  dickmeiss  <dickmeiss@toye.p.sourceforge.net>

    * ext/yaz/php_yaz.c
      ext/yaz/php_yaz.h: Updated for ZTS mode.

2000-11-01  Andi Gutmans  <andi@zend.com>

    * ext/pdf/pdf.c: - Beautify

2000-11-01  Sascha Schumann  <sascha@schumann.cx>

    * sapi/apache2filter/sapi_apache2.c:
    Our context's lifetime differs from the lifetime of a filter's context,
    so don't set the filter's context in the INIT_CTX macro.

    * sapi/apache2filter/README
      sapi/apache2filter/sapi_apache2.c:
    Use Input filters for handling POST data

2000-11-01  Andi Gutmans  <andi@zend.com>

    * main/safe_mode.c
      main/safe_mode.h:
    - Define the different possible modes for readibility and use in the rest
    - of PHP

    * main/safe_mode.c:
    - In function declerations the opening { should be on a new line

    * ext/standard/file.c: - Change some estrdup()'s to estrndup()'s

    * sapi/apache/mod_php4.c:
    - Revert patch which seems to have caused the STOP mechanism not to work.
    - I'm not quite sure why this should have caused harm even if not completey
    - the right way of doing it.

2000-11-01  Jani Taskinen  <sniper@iki.fi>

    * ext/domxml/php_domxml.c: No more segfaults.

    * ext/gd/gd.c: Add line of possible XBM support to the phpinfo()

    * ext/mcal/php_mcal.c:
    Fixed some compile warnings and removed useless code.

2000-10-31  Zeev Suraski  <zeev@zend.com>

    * sapi/apache/mod_php4.c: Fix Apache build

    * ext/standard/file.c
      ext/standard/filestat.c
      main/win95nt.h: mode_t fixes

2000-10-31  Hartmut Holzgraefe  <hartmut@six.de>

    * ext/standard/info.c
      ext/standard/info.h
      main/main.c: generalization of image handling in phpinfo

2000-10-31  Stanislav Malyshev  <stas@zend.com>

    * sapi/cgi/cgi_main.c: Fix -d functionality

2000-10-31  Zeev Suraski  <zeev@zend.com>

    * main/php_ini.c: - Fix phpinfo()
    - Fix non-thread-safe build

    * main/main.c: Fix memory_limit build problem

2000-10-31  Hartmut Holzgraefe  <hartmut@six.de>

    * main/fopen-wrappers.c: removed some bogus code

    * ext/skeleton/create_stubs
      README.EXT_SKEL:
    support for short comments was added to ext_skel proto files
    theese will be used in proto comments in the source
    and as <refpurpose> information in the XML docs

2000-10-31  Jesus M. Castagnetto  <jesusmc@scripps.edu>

    * ext/sablot/sablot.c:
    cosmetic changes (added some "proto"s missing in the function documentations)

2000-10-31  Jani Taskinen  <sniper@iki.fi>

    * ext/ftp/ftp.c: Both RETR and STOR have also 250 as possible return value

    * ext/ftp/ftp.c: Fix the fix.

2000-10-30  Zeev Suraski  <zeev@zend.com>

    * ext/standard/basic_functions.c
      ext/standard/browscap.c
      main/Makefile.in
      main/configuration-parser.y
      main/configuration-scanner.l
      main/php_ini.c
      main/php_ini.h
      main/php_main.h
      win32/php4.dsp
      win32/php4.dsw
      win32/php4dll.dsp
      win32/php4dllts.dsp:
    - Complete the move to the new INI parser.  (Side effect:  at last, people
      can finally have spaces and tabs in their extension statements...)

2000-10-30  Sascha Schumann  <sascha@schumann.cx>

    * pear/pear.m4:
    PATH is not optional (we print that message, because php-config isn't in the
    PATH).

2000-10-30  Derick Rethans  <d.rethans@jdimedia.nl>

    * ext/odbc/php_odbc.h: - Added the two constants mentioned in bug #6097

2000-10-30  Stanislav Malyshev  <stas@zend.com>

    * ext/sysvshm/sysvshm.c: Update to use reference-serializer too

    * ext/sysvshm/sysvshm.c
      ext/session/session.c
      ext/standard/php_var.h
      ext/standard/var.c: Add support for serializing references.

    * ext/standard/scanf.c: Fix crash in sscanf in error handler (#7533)

    * ext/calendar/cal_unix.c: Don't try to work with negative timestamps

    * main/rfc1867.c: Remove empty temp file on failed upload

2000-10-30  Sascha Schumann  <sascha@schumann.cx>

